Sun Jul 18 02:38:03 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* Version 19.17 released.

	* makeinfo.el: Don't (require 'texinfmt) - that file doesn't exist
	any more.

	* files.el (insert-directory): Doc fix.

	* files.el (insert-directory): If FULL-DIRECTORY-P is non-nil,
	add "." component to the end of the path, so that if file is a
	symlink, we get the contents of the directory, not the symlink
	itself.

Sat Jul 17 13:25:27 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* tar-mode.el (tar-extract): Use view-exit-action to kill viewed buf.

	* view.el: Doc fixes; some args renamed.

	* gnus.el (gnus-info-nodes): Update node names.

	* makeinfo.el (makeinfo-options): Fix option syntax in initial value.

	* texinfo.el (texinfo-mode): Undo changes mistakenly added with
	previous batch: texinfo-{start,end}-of-header are now tex-...

Sat Jul 17 18:13:11 1993  Johan Vromans  (jv@mh.nl)

	* forms.el: New version 2.0.
	Redesigned and rewritten to use Emacs 19 text properties. 
	Requires Emacs 19.16 or later.

Sat Jul 17 01:58:36 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* term/x-win.el: Include (invocation-name) in the error messages
	which might occur during startup.

	* shell.el (shell-process-pushd): Fix syntax error in
	condition-case.

Fri Jul 16 20:16:57 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* menu-bar.el (revert-buffer): Make menu-enable form more accurate
	using revert-buffer-function and verify-visited-file-modtime.
	(menu-bar-help-menu): Put back under global-map.
	(menu-bar-final-items): Set it.

	* mh-e.el (mh-yank-hooks): Use (mark t).
	(mh-new-draft-name): Likewise.

Fri Jul 16 16:30:18 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* comint.el (comint-{next,prev}-prompt, comint-send-eof): New defuns.
	(comint-mode-map): Bind C-c C-n, C-c C-p, and C-c C-d to those.
	Bind C-c C-y to comint-previous-input, for compatibility with v18
	shell.el.

Fri Jul 16 15:53:38 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* advice.el (ad-start-advice-on-load): Initialize to t.

Fri Jul 16 04:45:14 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* term/x-win.el: Make the `-rn NAME' option specify a resource
	name, as documented, and not a resource database string.  Make
	`-name NAME' act like `-rn NAME' and also set the name of the
	initial frame.
	(command-switch-alist): Process the `-rn' and `-name' options
	using the x-handle-name-rn-switch function.
	(x-handle-name-rn-switch): New function, which sets the
	x-resource-name variable.
	(opening connection): Make sure x-resource-name is valid.  If it's
	not a string, set it to (invocation-name), with any periods or
	asterisks changed to hyphens.

	* term/x-win.el: Make the `-xrm STRING' option specify a resource
	database string.  `-rn' used to behave this way.
	(command-switch-alist): Process the `-xrm' switch using
	x-handle-xrm-switch.
	(x-handle-xrm-switch): Renamed from x-handle-rn-switch; this
	function does the right thing for `-xrm', not for `-rn'.

Fri Jul 16 00:11:29 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* sendmail.el (mail-bury): If selected frame is dedicated,
	and there are other visible frames, delete this frame.

	* rmail.el (rmail-mail-new-frame): New variable.
	(rmail-start-mail): New function.
	(rmail-mail, rmail-continue, rmail-reply, rmail-forward)
	(rmail-retry-failure): Use rmail-start-mail.

Thu Jul 15 01:29:45 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* faces.el (face-equal): Don't mess with face-background-pixmap.

	* ispell.el (ispell-menu-map): Add missing quote in defalias.
	(ispell-window-configuration): Initialize to nil.

	* vc-hooks.el (vc-rcs-status): Make work buffer's name start w/ space.

	* simple.el (completion-setup-function): Insert the mouse help message
	only if non-nil `window-system'.

	* paren.el: Enable the hook only if window-system.
	Clear blink-paren-function at the same time.
	(show-paren-command-hook): If after a closeparen,
	highlight that closeparen as well as matching open.
	Use a different color for a mismatch, if color screen.

Thu Jul 15 01:07:51 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* assoc.el (asort): First argument should be named alist-symbol,
	not assoc-symbol.

Wed Jul 14 23:52:20 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* server.el (server-done): Let save-buffer make the backup,
	so that make-backup-files remains effective.

	* loaddefs.el: Delete C-x a C-h binding.

	* menu-bar.el (help-menu-bar-map): Put the Help item in this map.

Wed Jul 14 23:46:02 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* isearch.el (isearch-edit-string): Bind isearch-nonincremental to
	its own value, not to nil.

Wed Jul 14 23:35:51 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* hippie-exp.el: Renamed from hippie.el.

Wed Jul 14 23:08:17 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* compile.el (compilation-parse-errors): After skipping two lines,
	move one char back so point is before the newline.

Wed Jul 14 21:55:13 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* gud.el (gud-debugger-startup): Replaced with gud-massage-args.
	(gud-{gdb,sdb,xdb}-debugger-startup): Replaced with gud-*-massage-args.
	(gdb, sdb, xdb): Argument is command line, not args for it.  Remove
	debugger name from prompt and put it in the default input instead.
	Overload gud-massage-args instead of gud-debugger-startup.
	(gud-chop-words): New function; subr for gud-common-init.
	(gud-common-init): Argument is command line, not args for it.
	Rewritten to use gud-chop-words instead of temp buffer and kludge
	involving read.  Find the program name as the first word of the
	command line.  Use make-comint and gud-massage-args in place of
	gud-debugger-startup. 
	Expand the file name before passing it to gud-massage-args.

Wed Jul 14 19:38:00 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* spook.el (snarf-spooks): Restore function.

	* cookie1.el (cookie-cache): New defvar.
	(cookie-snarf): Cache cookies in cookie-cache, not in obarray (idiot).
	Also store the modtime and punt the cache when it changes.

Wed Jul 14 19:14:37 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	Changes from Anders Holst, to bring hippie-expand up to version 1.2:
	* hippie-exp.el (hippie-expand-max-buffers): New variable.
	(try-expand-line-all-buffers, try-expand-list-all-buffers,
	try-expand-dabbrev-all-buffers): Use it.
	(try-expand-list, try-expand-list-all-buffers): New functions.
	(he-string-beg, he-string-end, he-search-loc): These values are
	now markers, not integers.  Uses changed.
	(he-reset-string, he-substitute-string): Use a marker to preserve
	the old position of point.
	(try-expand-all-abbrevs): handle case the same way as the
        usual expand-abbrev (which is not a very good way, but for
        consistency...). 
	(he-dabbrev-beg): Use `skip-syntax' instead of `skip-chars', to
        adjust its behavior to different modes.
	(hippie-expand): Don't messages which try function it is using,
        when the expansion itself is done in the minibuffer (it was very
        annoying to have the message obscuring the expansion).
	(try-complete-file-name, try-complete-file-name-partially,
	try-complete-lisp-symbol, try-complete-lisp-symbol-partially,
	try-expand-line, try-expand-line-all-buffers,
	try-expand-all-abbrevs, try-expand-dabbrev,
	try-expand-dabbrev-all-buffers): No unnecessary "resetting" of the
	epansion, when no expansion is done (caused the buffer to be
	marked as changed, although nothing was done, among other things).
	(he-reset-string): Undoing of last expansion at a later occasion, now
        undoes correctly (before, it garbled things up).
	(make-hippie-expand-function): now uses "(function ...)" 
        instead of "'" (matters for compilation).
	(try-expand-line, try-expand-line-all-buffers,
	he-line-search-regexp): uses `comint-prompt-regexp' instead of
	`shell-prompt-pattern', to strip off prompt in process buffers.

Wed Jul 14 16:56:19 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* autoload.el (generate-file-autoloads):
	Fix FILE truename hacking to substring
	SOURCE-TRUENAME instead of FILE.

Tue Jul 13 01:51:31 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* faces.el (copy-face): New arg NEW-FRAME.
	(list-faces-display): New command.

	* simple.el (completion-mode): New major mode.
	(completion-setup-function): New function.
	Add it to completion-setup-hook.

	* mouse.el (mouse-choose-completion): New function.

	* dunnet.el: Many functions and variables renamed.

	* sendmail.el (mail-bury): New function.
	(mail-send-and-exit): Call mail-bury.
	(mail-dont-send): New command, with menu bar binding.

	* compare-w.el (compare-windows-skip-whitespace): New function.
	(compare-windows): Use that.
	(compare-windows-whitespace): Value is now regexp.

	* rmail.el (rmail-insert-inbox-text): If inbox is not in the
	spool dir, try copying before renaming.

Tue Jul 13 00:38:53 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* shell.el (shell-prompt-pattern): Don't match more than one line.
	Doc fix.

	* bytecomp.el (byte-compile-from-buffer): Bind float-output-format
	to "%.20e", not "%20e"; the latter is always ignored, since it
	doesn't have a decimal point after the percent sign.

Mon Jul 12 23:17:38 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* autoload.el (generate-file-autoloads): Correctly detect when the
	buffer receiving the autoload forms is in a parent of or the same
	directory as FILE, even in the presence of symlinks.

Mon Jul 12 23:57:14 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* subr.el (define-key-after): Error if KEY has two elements.

	* dired.el (dired-mode-map): Add menu bar items.

Mon Jul 12 23:17:38 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* autoload.el (generate-file-autoloads): Correctly detect when the
	buffer receiving the autoload forms is in a parent of or the same
	directory as FILE.

Mon Jul 12 16:44:47 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* ange-ftp.el: Install the correct regexp in
	file-name-handler-alist.

	* term/x-win.el: Recognize affirmative values for reverseVideo
	properly.  Include "on" in the list of recognized values.

Mon Jul 12 15:11:55 1993  Paul Eggert  (eggert@twinsun.com)

	* vc-hooks.el (vc-rcs-status): Include head version number
	in mode line if there are no locks.

Mon Jul 12 14:36:30 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* menu-bar.el (menu-bar-file-menu): Add menu item for dired.

	* menu-bar.el (ispell-menu-map): New autoload definition.
	(menu-bar-edit-menu): Add "Spell" item.
	* ispell.el (ispell-menu-map): New keymap--both fn and var.

	* loaddefs.el (mode-line-buffer-identification): Doc fix.

Sat Jul 10 23:28:50 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* calendar.el (calendar-holidays): Don't autoload this; its value
	must be set after the user's .emacs file is loaded.

Sat Jul 10 01:15:54 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* paren.el (show-paren-command-hook): Do nothing if not window-system.

Fri Jul  9 00:04:12 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmailout.el (rmail-output): If file is an Rmail file,
	use rmail-output-to-rmail-file.
	(rmail-output-to-rmail-file): If file exists
	and is not an Rmail file, use rmail-output.
	If we find an element in rmail-output-file-alist, eval it.
	(rmail-file-p): New function.
	(rmail-output-file-alist): Now contains expressions to eval.

	* font-lock.el: New file.

	* bytecomp.el (byte-compile-setq-default):
	Generate a progn of calls to set-default, then compile it.

	* menu-bar.el (mouse-menu-bar-buffers):
	Don't lose if all buffer names are short.

	* dunnet.el: New file.

Thu Jul  8 19:31:58 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* loaddefs.el (global-map): Bind M-next to scroll-other-window.

	* compile.el (compilation-error-regexp-alist):
	Broaden ``Line N of "FILE": msg'' regexp
	to also match Ultrix f77: ``Error on line N of FILE: msg''.

Thu Jul  8 18:42:14 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* Make everything that deactivates the mark do it consistently.
	* simple.el (deactivate-mark): New function.
	(kill-ring-save, pop-mark, keyboard-quit): Call it.
	* ispell.el (ispell):
	Call deactivate-mark instead of setting mark-active directly.  Do
	this regardless of transient-mark-mode.
	* isearch.el (isearch-done):
	Call deactivate-mark instead of setting mark-active
	directly.  Do this regardless of transient-mark-mode.

Thu Jul  8 20:51:51 1993  Richard Stallman  (rms@churchy.gnu.ai.mit.edu)

	* files.el (basic-save-buffer): Use after-save-hook.

Thu Jul  8 17:46:22 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* simple.el: Put error-conditions and error-message properties on
	'mark-inactive.
	(mark): Signal 'mark-inactive instead of using error with a message.

Thu Jul  8 17:14:43 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* mailabbrev.el (mail-abbrev-end-of-buffer): Fix interactive spec
	to "P", same as end-of-buffer.

Thu Jul  8 15:06:38 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* hanoi.el: Add (provide 'hanoi).

Wed Jul  7 18:19:03 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (file-relative-name): If we use default-directory,
	call expand-file-name anyway.

	* texnfo-upd.el (texinfo-update-node): Bind auto-fill-hook
	as well as auto-fill-function.
	(texinfo-sequential-node-update): Likewise.

Wed Jul  7 09:25:37 1993  Robert J. Chassell  (bob at grackle)

        * texnfo-upd.el: Fix typo re `texinfo-sequential-node-update.'
        Ensure that no commands depend on the value of
        case-fold-search.
	Rewrite messages.  Avoid using `mark-whole-buffer'.

	(texinfo-start-menu-description):
        New function to insert title as description in a menu. 
        (texinfo-make-menu-list): Remove automatic title insertion.
	(texinfo-master-menu): Error message if file
        contains too few nodes for a master menu.
	Handle the case where no master menu was inserted.
        (texinfo-insert-master-menu-list): Only attempt to insert detailed
        master menu if there is one.
        Insert a master menu only after `Top' node and before next node.

        (texinfo-check-for-node-name): Offer section title as prompt.
        (texinfo-copy-next-section-title): Copy title correctly.
	Handle failure to find @node.
        (texinfo-copy-menu): Error message if menu empty.
        (texinfo-pointer-name):  Find only those
        section commands that are accompanied by `@node' lines.
        (texinfo-section-types-regexp): Look for subh and subs, not just sub.
        (texinfo-make-one-menu): Copy node-name correctly for message.
        (texinfo-copy-menu-title): Copy title as it
        should rather than node line.

        (texinfo-find-higher-level-node): Stop search at limit.
	Special handling for `top' and `chapter' levels.
        (texinfo-copy-menu-title): Rewrite to handle outer include files.
        (texinfo-multi-file-update): Update all nodes properly (and sooner);
        rewrite doc string and interactive. Copy title properly.
        (texinfo-all-menus-update): Fixed typo that
        caused the function to create a master menu when it shouldn't.
        Update pre-existing master menu, if there is one.

	(texinfo-incorporate-descriptions): Use a regexp search to look for 
	both kinds of menu item.
	(texinfo-menu-indent-description): Likewise.
	(texinfo-incorporate-menu-entry-names): New function.
	(texinfo-insert-menu): Handle both kinds of menu item.
 	(texinfo-multi-files-insert-main-menu): Likewise.
	(texinfo-update-node): Pass t as second arg to push-mark.
	(texinfo-sequential-node-update): Likewise.
	(texinfo-insert-node-lines): Bind `title' at a higher level.
	Don't find previous @node if it's close.
	Take region to process as arguments.
	(texinfo-multiple-files-update): Handle prefix arg better within
	`interactive'.  Canonicalize the blank lines.

Wed Jul  7 16:13:57 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* autoload.el (update-file-autoloads):
	Correctly do nothing when there are no cookies.

Wed Jul  7 15:58:54 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* menu-bar.el (mouse-menu-choose-yank):
	Change menu title to "Choose Next Yank".

Wed Jul  7 03:19:41 1993  Paul Eggert  (eggert@twinsun.com)

	* vc-hooks.el (vc-rcs-status): Removed unused variable `status'.

	* rmail.el (rmail-resend): Use RFC 822 style date in Resent-Date: line.
	* sendmail.el (mail-do-fcc): Likewise, for appending Date: lines to
	RMAIL mode buffers.  Use new `mail-rfc822-time-zone' function
	to simplify pinhead generation.
	* mail-utils.el (mail-rfc822-time-zone, mail-rfc822-date): New fns.

Wed Jul  7 02:26:31 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* files.el (cd-absolute): Use abbreviate-file-name on expansion of DIR.

	* gud.el: Add (provide 'gud).

	* files.el (basic-save-buffer):
	Invoke after-save-hook, not after-save-hooks.

	* time.el (display-time-file-nonempty-p): Use file-chase-links.

	* bytecomp.el (byte-compile-setq-default): Handle multiple pairs
	args like setq (as the setq-default subr does).

	* autoload.el: Doc fix.

Tue Jul  6 18:07:14 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmail.el (rmail-variables): Compare truename as well as given name
	against rmail-file-name.

	* man.el (Man-mode-line-format): Add a space after global-mode-string.

Tue Jul  6 11:05:14 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* Version 19.16 released.

Tue Jul  6 01:21:37 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* vc.el (vc-start-entry): Don't call file-name-nondirectory on
	FILE before passing it to vc-mode-line.  Everyplace else passes
	vc-mode-line full filenames, and vc-mode-line now needs the real
	file name to decide which version-control system the file is under.

	* man.el (Man-build-man-command): Don't leave a pipe symbol at the
	end of the command list if Man-filter-list is nil.
	(Man-default-man-args): Don't write out assq and mapconcat.
	(Man-default-man-entry): Don't default to section 2 for C-mode.
	Call Man-default-man-args, and let people use
	Man-auto-section-alist if this is what they want.
	(manual-entry): Call Man-translate-references, instead of writing
	it out.
	(Man-getpage-in-background): Don't apply Man-default-man-args
	here; manual-entry has already run it, and
	Man-follow-manual-reference provides the sections itself.

Mon Jul  5 00:43:20 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* map-ynp.el (map-y-or-n-p): If we get a switch-frame-event,
	save it until we're done asking questions, and then unread it.

Mon Jul  5 03:20:12 1993  Paul Eggert  (eggert@twinsun.com)

	* vc.el (vc-name): Move to vc-hooks.el.
	* vc-hooks.el (vc-name): Moved from vc.el; vc-rcs-status now uses it.
	(vc-name, vc-backend-deduce): Set both vc-name and vc-backend
	properties, to avoid calling vc-registered unnecessarily when
	the other property is needed.
	(vc-rcs-status): Yield only status of locks; do not try to yield " REV"
	if there are no locks, since this cannot be done easily if there are
	branches.  Use vc-name instead of duplicating its function incorrectly.
	Fix off-by-one bug when inserting master header pieces.  Read headers
	8192 bytes at a time instead of 100.  Don't bother to expand-file-name.
	(vc-rcs-glean-field): Removed.

Sun Jul  4 17:29:43 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* outline.el (outline-mode-map): Add menu bar items.
	(outline-minor-mode-map): Copy menu bar submap from outline-mode-map.

	* help.el (describe-key-briefly): Don't set `foo'.

Sun Jul  4 17:01:01 1993  Jim Blandy  (jimb@churchy.gnu.ai.mit.edu)

	* subr.el (posn-point): Properly extract the BUFFER-POSITION field
	of an event when read-key-sequence has placed it in a singleton
	list.

	* comint.el (comint-prompt-regexp): Double the backslashes in the
	sample prompt regexps, so that they print properly when unquoted.

Sun Jul  4 18:54:59 1993  Paul Eggert  (eggert@twinsun.com)

	* vc.el (vc-backend-diff): Undo "-q" change.  This was fixed
	instead by adding -q support to vcdiff.

Sun Jul  4 13:55:13 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* help.el (describe-prefix-bindings): New command.
	(prefix-help-command): Set it.

	* hexl.el: Added a keyword.

Sun Jul  4 12:46:27 1993  Johan Vromans  (jv@mh.nl)

	* forms.el (forms-new-record-filter): Correct default value.
	(forms-modified-record-filter): Correct default value.

Sun Jul  4 00:53:27 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* paren.el (show-paren-command-hook): Add message for paren mismatch.

	* vc-hooks.el (vc-mode-line): Put `RCS' or `SCCS' before version num.

Sat Jul  3 21:44:54 1993  Jim Blandy  (jimb@churchy.gnu.ai.mit.edu)

	* faces.el (make-face-bold, make-face-italic,
	make-face-bold-italic, make-face-unbold, make-face-unitalic):
	Properly pass noerror argument to recursive calls.

	* frame.el (frame-remove-geometry-params): New function.
	(frame-initialize): Call it, instead of writing it out.

Sat Jul  3 15:03:44 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el (kill-region): Cope with change hooks that change props.

Sat Jul  3 06:15:43 1993  Jim Blandy  (jimb@churchy.gnu.ai.mit.edu)

        * term/x-win.el: Check the reverseVideo/ReverseVideo resource,
	correctly distinguish between "on" and "off" values, and put a
	parameter in default-frame-alist.
	* frame.el (frame-initialize): Don't call x-get-resource here.

Sat Jul  3 03:22:04 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* autoload.el (update-file-autoloads):
	Do nothing when there are no cookies.

Fri Jul  2 18:55:23 1993  Jim Blandy  (jimb@churchy.gnu.ai.mit.edu)

	* mouse.el (mouse-drag-region): Correctly handle drags which enter
	other frames.

Fri Jul  2 17:28:59 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* vc.el (vc-path): New variable.
	(vc-do-command): Use vc-path.

	* menu-bar.el (menu-bar-edit-menu): Rename menu item to
	Choose Next Paste.  Create this item along with all the others.

	* isearch.el (isearch-other-meta-char): Handle sequences
	containing mouse clicks in scroll-bar that used another buffer's map.

Fri Jul  2 16:06:38 1993  Jim Blandy  (jimb@churchy.gnu.ai.mit.edu)

	* vc.el (vc-backend-diff): Pass the "-q" flag only if we're using
	rcsdiff.

Fri Jul  2 14:31:59 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* menu-bar.el: Put mouse-menu-choose-yank binding after
	paste=>yank binding in menu-bar-edit-menu.

Fri Jul  2 13:32:10 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* bytecomp.el (byte-compile-keep-pending): Handle fset like defalias.
	(byte-compile-file-form-defmumble): Fix backward if in prev change.

Thu Jul  1 20:14:44 1993  Jim Blandy  (jimb@churchy.gnu.ai.mit.edu)

	* dired-aux.el (dired-diff): Work even when the mark is inactive.

Thu Jul  1 18:10:45 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* sendmail.el (mail-send): Don't test buffer-modified-p
	if buffer is visiting a file.

	* bytecomp.el (byte-compile-file-form-defmumble):
	If byte-compile-compatibility, use fset, not defalias.

Thu Jul  1 16:33:01 1993  Jim Blandy  (jimb@churchy.gnu.ai.mit.edu)

	* simple.el: Add bindings to function-key-map so that the keypad
	keys act like ordinary self-insertion keys, unless explicitly bound.

Thu Jul  1 14:39:35 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* mailabbrev.el (build-mail-abbrevs): Do substitute-in-file-name
	on the abbrev, for `source'.

	* files.el (set-visited-file-name): Rename the old auto save file.

Thu Jun 30 23:31:58 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* menu-bar.el (mouse-menu-choose-yank):
	Just return when x-popup-menu returns nil.
	Add menu-enable property to this function.

Wed Jun 30 17:50:25 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* compile.el (compile-abbreviate-directory): New function.
	(compilation-parse-errors): Use that, to visit files with a dirname
	more like the one the user specified.

Wed Jun 30 15:38:53 1993  Johan Vromans  (jv@mh.nl)

	* forms.el: Add e-mail address and version info.
	Adjust commentary and doc strings.
	(forms-mode): Add ###autoload.
	(forms-find-file): Add ###autoload.
	(forms-find-file-other-window):	Add ###autoload.

Wed Jun 30 21:35:59 1993  Paul Eggert  (eggert@twinsun.com)

	* vc.el (vc-update-change-log): Ensure that file names inserted
	into a ChangeLog are relative to that ChangeLog.

Wed Jun 30 12:43:18 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el (mark-even-if-inactive): New variable.
	(mark): Test it.

	* rmail.el: Doc fixes.

Wed Jun 30 00:29:08 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* gud.el: Add history lists to the debugging commands, so we don't
	have to retype the filename every invocation.
	(gud-gdb-history, gud-sdb-history, gud-dbx-history,
	gud-xdb-history): New variables.
	(gdb, sdb, dbx, xdb): Use them when reading the argument string.

	* mouse.el (mouse-drag-region-1): Commented out.
	(mouse-drag-region): Commented out, and replaced with new version,
	which highlights the region as we drag.
	(mouse-scroll-delay, mouse-drag-overlay): New variables.
	(mouse-scroll-subr): New function.

	* sun-fns.el, sun-curs.el: Move these to lisp/term, to be with
	sun-mouse.el.

Tue Jun 29 19:00:38 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* faces.el (global-face-data): Doc fix.

	* gnus.el (gnus-newsrc-to-gnus-format): Correct regexp which
	matches .newsrc lines not to match more than one line.

Tue Jun 29 13:05:15 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* ls-lisp.el (insert-directory): Doc fix.
	(ls-lisp-format): Provide user name when known.
	On ms-dos, provide a name for the group, to be prettier.

Mon Jun 28 00:47:48 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* subr.el (define-key-after): Delete duplicate bindings that come
	after the new one.  Do insert when we reach the end, if haven't before.

	* paren.el: New file.

	* faces.el (face-initialize): Create `underline' face.
	(x-initialize-frame-faces): Set up `underline' face.

	* faces.el (x-initialize-frame-faces): Check x-display-color-p
	and x-display-planes to decide whether to try using colors or gray.

	* man.el (Man-auto-section-alist): Default value nil.
	(Man-getpage-in-background): Call Man-default-man-args.
	(Man-filter-list): Don't discard overstrike here.
	(Man-set-fonts): New function.
	(Man-bgproc-sentinel): Call Man-set-fonts.
	(Man-version-number): Var deleted.
	(Man-version): Command and binding deleted.
	(Man-mode): Use Manual, not Man, as official mode name.

	* solar.el: Doc fixes.

	* c-mode.el (c-forward-conditional): New function.
	(c-up-conditional): Use c-forward-conditional.
	(c-backward-conditional): New function.
	(c-mode-map): Make bindings for them.

Sun Jun 27 20:56:11 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* vc.el (vc-update-change-log): Restore previous default-directory
	for running rcs2log.

Sat Jun 26 00:18:21 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* subr.el (define-key-after): New function.

Fri Jun 25 13:58:52 1993  Barry A. Warsaw  (warsaw@anthem.nlm.nih.gov)

	* reporter.el (reporter-submit-bug-report): Rename local var curbuf
	to reporter-eval-buffer.
	(reporter-dump-variable): Eval varsym in reporter-eval-buffer.

	* c++-mode.el (c++-fast-backward-syntactic-ws-2)
	(c++-fast-backward-syntactic-ws-1): Change the proper syntax table
	depending on whether we are editing C or C++ code.

	* c++-mode.el (c++-indent-exp): When computing offset for open-brace
	line, check not at class top level before adding c-indent-level.
	Fix bug handling member init lists.
	Fix case where comments follow a continued statement.
	Fix handling of c-brace-offset < 0.

	* c++-mode.el (c++-calculate-indent):
	Fixed indentation when base class declaration is on a separate line
	then the derived class intro header.
	Don't skip up past compound statement if we're in a member init list.

	* c++-mode.el (c++-indent-line): Clean up adjustment
	of block closing braces.  Handle a list as value of
	c++-block-close-brace-offset.

	* c++-mode.el (c++-indent-exp): Use c-continued-statement-offset
	instead of c-indent-level to indent comma separated arg decl lists.

	* c++-mode.el (c++-fast-backward-syntactic-ws-2): Simplify for
	new forward-comment semantics.

	* c++-mode.el (c++-calculate-indent): Change if's to cond in CASE3.
	Require colon when looking for `case' or `default'.
	Use c++-compound-offset.
	(c++-compound-offset): New function.
	Distinguish statement continuation from enum and initializer lists.

Fri Jun 25 18:30:17 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* vc-hooks.el (vc-rcs-status): New variable.
	(vc-mode-line): Display the lock status and head version.
	(vc-rcs-status, vc-rcs-glean-field): New function.

	* menu-bar.el (mouse-menu-bar-buffers): Include % and * in each item.
	Calculate amount of space needed for longest buffer name.
	* mouse.el (mouse-buffer-menu): Likewise.

Fri Jun 25 18:01:47 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* add-log.el (find-change-log): Try get-file-buffer before
	file-exists-p.

Fri Jun 25 17:30:19 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* vc.el (vc-diff): If `diff' gives empty output, return nil.

Wed Jun 23 21:45:19 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* ange-ftp.el: Loosen file-name-handler-alist regexp so we can do
	host name completion.

	* hexl.el (hexl-in-save-buffer): New flag.
	(hexl-save-buffer): Prevent infinite recursion.

Tue Jun 22 04:11:33 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* term/x-win.el (command-switch-alist): "-ib" takes a numeric
	argument; use x-handle-numeric-switch for it.

	* replace.el (query-replace-map): Fix typo in binding for [return].

Tue Jun 22 00:23:04 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmailsort.el: Don't touch rmail-summary-mode-map.
	Don't touch rmail-mode-map.  Don't require rmail or sort.
	(rmail-summary-sort-...): Moved to rmailsum.el.
	(rmail-sort-from-summary): Likewise.

	* rmail.el: Add autoloads for rmailsort commands.
	(rmail-mode-map): Add bindings for those commands.

	* rmailsum.el (rmail-summary-mode-map): Bind summary sort commands.
	(rmail-summary-sort-...): Moved from rmailsort.el.
	(rmail-sort-from-summary): Likewise.  Require rmailsort.

Mon Jun 21 22:01:23 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* compile.el (compile-file-of-error): Remember that
	compilation-error-list stores file names as strings, not as (DIR .
	FILE) pairs.

	* diff.el (diff-parse-differences): Preserve the match data
	across the call to find-file-noselect.

	* subr.el (event-end): Modified to account for multi-click events.

Mon Jun 21 01:53:46 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmail.el (rmail-mode-map): Add local menu bar bindings.
	(rmail-search-backward): New command.
	(rmail-mode): Move to the last message.

	* rmailsum.el (rmail-summary-mode-map): Add local menu bar bindings.
	(rmail-summary-search-backward): New command.
	(rmail-summary-search): Don't use save-excursion.

	* sendmail.el (mail-mode-map): Add local menu bar bindings.

	* texinfo.el: Set up autoloads for files `makeinfo' and `texnfo-upd'.
	(texinfo-delete-from-print-queue-command): New var.
	(texinfo-tex-trailer): New var.
	(texinfo-tex-region): Use that.
	(texinfo-tex-buffer): Rewritten; use the actual source file.
	Binding is now C-c C-t C-b.
	(texinfo-texindex): Turned back on.
	(texinfo-quit-job): New command, with binding.
	(texinfo-delete-from-print-queue): Likewise.
	(texinfo-show-structure): Indent each line according to depth.
	Require texnfo-upd.
	(texinfo-section-types-regexp): Var deleted.
	(texinfo-insert-@-with-arg): New function.
	(texinfo-insert-@var, etc.): Use that.
	(texinfo-insert-@end): New command, now on C-c C-c e.
	(texinfo-insert-@end-example): Deleted.
	(texinfo-insert-@table): New command, on C-c C-c t.
	(texinfo-start-menu-description): New command, on C-c C-c C-d.
	(texinfo-mode): No longer set tex-trailer.
	Make the @node for the top node start a page.
	Use shorter values for tex-end-of-header and tex-start-of-header.
	(texinfo-mode-map): Add bindings for makeinfo-buffer, etc.
	Delete bindings for texinfo-format-buffer/region.
	(texinfo-define-common-keys): New function.

	* texinfmt.el: File deleted.

	* makeinfo.el: New file.

	* metamail.el: New file.

	* time-stamp.el: New file.

Sun Jun 20 20:44:36 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* add-log.el (add-log-current-defun): To find the name of the
	function being defined in emacs-lisp-mode, lisp-mode, and
	scheme-mode, skip an opening paren and an s-expression, instead of
	just one word.  This allows us to properly recognize things like
	define-key and define-macro.

	* replace.el (query-replace-map): Make RET exit query-replace,
	just like ESC.

Sun Jun 20 18:44:30 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* mh-e.el (mh-yank-cur-msg): Test mark-active.

Sat Jun 19 17:14:27 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* version 19.15 released.

Sat Jun 19 17:47:40 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* info.el (Info-insert-dir): Remove the call to recursive-edit.

Sat Jun 19 15:05:59 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* info.el (Info-insert-dir): Record file attributes of files used.
	Recompute the dir if they change.

	* files.el (insert-file): Report error if file is directory.

Fri Jun 18 21:43:43 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* man.el (Man-switches): New variable.
	(Man-build-man-command): Use it to build the man command.
	(Man-mode): Mention it in documentation.

Fri Jun 18 21:13:02 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmailout.el (rmail-output): Check file can be read before trying
	to read part of it.

	* ange-ftp.el (ange-ftp-insert-file-contents):
	Handle extra args BEG, END.

Fri Jun 18 19:25:02 1993  Johan Vromans  (jv@mh.nl)

	* forms.el: Delete local variables list.
	(forms-forms-scrolls): Deleted.
	(forms-forms-jumps): Deleted.
	(forms--change-commands): Use substitute-key-definition.
	(forms-mode): Call forms--change-commands later on.

Fri Jun 18 13:55:31 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* compile.el (compilation-error-regexp-alist): Generalize the
	Apollo/BSD4.3 regexp to handle IBM RS6k too.

	* mouse.el (mouse-secondary-save-then-kill): Don't switch windows.
	Just set-buffer, and put save-excursion around it.
	(mouse-set-secondary, mouse-start-secondary): Likewise.
	(mouse-drag-secondary): Switch windows and move point just temporarily.

Fri Jun 18 13:49:53 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* dired.el (dired-summary): dired-do-rename is on "R", not "r".

Fri Jun 18 10:14:45 1993  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

        * calendar.el (calendar-version): Update to 5.1.  Fixed a variety
        of spelling error in comments and doc strings.
        (calendar-sexp-debug): New variable to turn off error catching.
	(calendar-absolute-from-gregorian): Removed unused vars month, day.
        (view-calendar-holidays-initially, all-hebrew-calendar-holidays,
        all-christian-calendar-holidays, all-christian-islamic-holidays,
        diary-nonmarking-symbol, hebrew-diary-entry-symbol,
        islamic-diary-entry-symbol, diary-include-string,
        abbreviated-calendar-year, european-calendar-style,
        european-calendar-display-form, american-calendar-display-form,
        calendar-date-display-form, print-diary-entries-hook,
        list-diary-entries-hook, nongregorian-diary-listing-hook,
        nongregorian-diary-marking-hook, diary-list-include-blanks,
        holidays-in-diary-buffer, general-holidays,
        increment-calendar-month, calendar-sum, calendar-string-spread,
        calendar-absolute-from-iso, calendar-print-iso-date,
        hebrew-calendar-elapsed-days, list-yahrzeit-dates,
        calendar-print-astro-day-number): Fix doc strings.
        (calendar-nth-named-day): Rewritten to include optional day of month.
        (general-holidays, calendar-holidays, hebrew-holidays,
        christian-holidays, islamic-holidays,
        solar-holidays): Rewritten to include require of cal-dst.el and to
        show the time of the change to/from daylight savings time.
        (calendar-current-time-zone, calendar-time-zone,
        calendar-daylight-time-offset, calendar-standard-time-zone-name,
        calendar-daylight-time-zone-name, calendar-daylight-savings-starts,
        calendar-daylight-savings-ends,
        calendar-daylight-savings-switchover-time): Moved to cal-dst.el.
        (calendar-location-name, calendar-time-display-form, calendar-latitude,
        calendar-longitude): Moved to solar.el.
        (calendar-holidays): Unquote it!

        * solar.el (calendar-holiday-solar-equinoxes-solstices): Renamed
        solar-equinoxes-solstices.
        (calendar-time-display-form, calendar-latitude,
        calendar-longitude): Moved from calendar.el.
        (calendar-time-zone, calendar-standard-time-zone-name,
        calendar-daylight-time-zone-name,
        calendar-daylight-savings-starts, calendar-daylight-savings-ends):
        Take default values from calendar-current-time-zone, instead of
        being overwritten in open code if they were set to nil.
        (solar-time-string): Subtract calendar-daylight-time-offset when
        computing dst-ends.  Avoid rounding errors when rounding time to
        the nearest minute.

        * diary.el (list-sexp-diary-entries,
        hebrew-calendar-year-Saturday-incomplete-Sunday,
        hebrew-calendar-year-Monday-incomplete-Tuesday,
        hebrew-calendar-year-Tuesday-regular-Thursday,
        hebrew-calendar-year-Thursday-complete-Sunday,
        hebrew-calendar-year-Saturday-complete-Thursday,
        hebrew-calendar-year-Monday-complete-Saturday,
        hebrew-calendar-year-Thursday-incomplete-Sunday): Fix doc strings.
        (diary-sexp-entry): Use calendar-sexp-debug to turn off error catching.
        
        * diary-ins.el (insert-cyclic-diary-entry): Fix date form.

        * cal-mayan.el (calendar-mayan-days-before-absolute-zero,
        calendar-mayan-haab-difference, calendar-mayan-tzolkin-difference,
        calendar-mayan-tzolkin-haab-on-or-before,
        calendar-previous-calendar-round-date,
        calendar-absolute-from-mayan-long-count,
        calendar-print-mayan-date): Fix doc strings.

        * holidays.el (calendar-holiday-function-fixed,
        calendar-holiday-function-float, calendar-holiday-function-julian,
        calendar-holiday-function-islamic,
        calendar-holiday-function-hebrew, calendar-holiday-function-sexp,
        calendar-holiday-function-advent,
        calendar-holiday-function-easter-etc,
        calendar-holiday-function-greek-orthodox-easter,
        calendar-holiday-function-rosh-hashanah-etc,
        calendar-holiday-function-hanukkah,
        calendar-holiday-function-passover-etc,
        calendar-holiday-function-tisha-b-av-etc): Renamed without words
        "calendar" and "function"; changed argument from a list of values to
        individual values.  Fixed doc strings.
        (calendar-holiday-function-if): Removed.
        (calendar-holiday-solar-equinoxes-solstices): Renamed
        solar-equinoxes-solstices.
        (calendar-holiday-list): Rewrote to accomodate the name changes
        above and the unquoting of calendar-holidays.
        (calendar-cursor-holidays):  Change screen-width to frame-width.
        (holiday-sexp): Rewritten.

        * lunar.el (lunar-phase): Use time conversion from solar.el

        * cal-dst.el: New file.
        (calendar-/, calendar-%, calendar-absolute-from-time,
        calendar-time-from-absolute, calendar-next-time-zone-transition,
        calendar-time-zone-daylight-rules): New functions.
        (calendar-current-time-zone): Moved from calendar.el and rewritten.
        (calendar-current-time-zone-cache): New variable.
        (calendar-current-time-zone, calendar-time-zone,
        calendar-daylight-time-offset, calendar-standard-time-zone-name,
        calendar-daylight-time-zone-name,
        calendar-daylight-savings-starts, calendar-daylight-savings-ends,
        calendar-daylight-savings-switchover-time): Moved from calendar.el.

Thu Jun 17 19:29:56 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* Version 19.14 released.

Thu Jun 17 19:41:01 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* sendmail.el (mail-citation-hook): New hook var.
	(mail-yank-original): Use that hook if not nil.

	* sc.el: Change usage comment.

Thu Jun 17 18:57:01 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* faces.el (make-face-bold, make-face-italic,
	make-face-bold-italic, make-face-unbold, make-face-unitalic):
	Always pass the frame parameter to internal-try-face-font; we only
	want to set the face for this frame.

	* faces.el (make-face-bold, make-face-italic,
	make-face-bold-italic, make-face-unbold, make-face-unitalic):
	Fix error messages.

Thu Jun 17 00:12:30 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* faces.el (set-face-background-pixmap, face-background-pixmap):
	Functions commented out.

	* mouse.el (mouse-start-secondary): New function.
	(mouse-set-secondary, mouse-drag-secondary): New functions.
	(mouse-kill-secondary, mouse-secondary-save-then-kill): New functions.

	* term/vt200.el: Translate F11 (ESC [ 23 ~) to ESC.
	* term/vt201.el, term/vt220.el, term/vt240.el: Likewise.

	* autoload.el (generate-file-autoloads): Undo previous change
	because make-docfile requires defvar doc string to start on first line.

	* cplus-md.el: Renamed from c++-mode.el.
	* cplus-md1.el: Renamed from c++-mode-1.el.

	* vc.el (vc-rename-file): Remove periods from error messages.
	(vc-backend-logentry-check, vc-revert-buffer): Likewise.
	(vc-retrieve-snapshot, vc-create-snapshot): Likewise.
	(vc-diff, vc-finish-logentry, vc-steal-lock): Likewise.
	(vc-register, vc-next-action-on-file, vc-registration-error): Likewise.
	(vc-cancel-version): Add space to end of question.

	* menu-bar.el (mouse-menu-choose-yank): New function.
	Put it in the edit menu.
	(yank-menu-length): New variable.

Wed Jun 16 20:16:10 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* subr.el (event-basic-type): Deal with listy events properly.

Wed Jun 16 23:06:58 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* autoload.el (make-autoload): Use memq once instead eq twice.
	(generate-file-autoloads): For non-autoloads, copy the defn textually
	rather than printing it after reading.

	* autoload.el (generate-autoload-cookie, update-autoloads-here):
	Doc fixes.

Wed Jun 16 17:21:51 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* frame.el (set-frame-configuration): Don't try to set a frame's
	minibuffer.  This parameter can't be changed, so that would signal
	an error.

Wed Jun 16 13:42:25 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* assoc.el (aput): Doc fix.

	* ls-lisp.el (insert-directory): If no handler, convert SWITCHES
	from a string to a list of characters.

	* disass.el (disassemble-internal): If function is autoload, load it.

	* lisp.el (parens-require-spaces): Var renamed and sense changed.
	(insert-parentheses): Corresponding changes.

	* rmailout.el (rmail-output): Use insert-file-contents to look at
	beginning of output file.

	* term/x-win.el (x-switch-definitions): Fix -iconic.

	* bytecomp.el (byte-compile-file-form-defmumble): Typo in prev change.

Tue Jun 15 03:56:34 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* server.el (server-process-filter): Use server-switch-buffer.

	* gud.el (gud-xdb-directories): Renamed from gud-xdb-paths.
	Defvar moved earlier.  All uses changed.
	(gud-xdb-debugger-startup): Rename local var `paths'.
	(gud-xdb-file-name): Likewise.

	* inf-lisp.el (inferior-lisp-buffer): Move defvar earlier.

	* mailalias.el (define-mail-alias): Remove excess whitespace better.

	* mailabbrev.el (define-mail-abbrev): Renamed from define-mail-alias.
	(build-mail-abbrevs): Use new name.

	* bytecomp.el (byte-compile-file-form-defmumble): Use defalias
	for named function, even if no doc string.

	* dired.el (dired-repeat-over-lines): Going fwd, skip new lines
	that FUNCTION inserts after the current line.
	Going backwd, no need for dired-move-to-filename each time.

Tue Jun 15 21:10:22 1993  Shane Hartman  (shane@nugget.spr.com)

        * gud.el (xdb): New debugger supported (xdb under HPUX-PARISC).
        (gud-xdb-debugger-startup): New function.
        (gud-xdb-file-name, gud-xdb-accumulation): New functions.
        (gud-xdb-marker-filter, gud-xdb-paths, gud-xdb-find-file): New.

Mon Jun 14 14:53:25 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* lisp.el (parens-dont-require-spaces): New variable.
	(insert-parentheses): Obey that variable.

	* emerge.el (emerge-make-diff3-list): Pass ancestor second.
	(emerge-extract-diffs3): Replace group-1 with group-2.
	(emerge-handle-local-variables): Pass no arg to hack-local-variables.

	* picture.el (picture-replace-match): New function.
	* dabbrev.el (dabbrev-expand): Do all changes with replace-match.
	In picture-mode, use picture-replace-match instead.

Mon Jun 14 10:57:43 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* holidays.el: Eval calendar-holidays; don't just use its value.

	* complete.el: (provide 'complete).

Mon Jun 14 03:10:35 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* window.el (balance-windows): Total rewrite.

Sun Jun 13 00:33:55 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* bytecomp.el (byte-compile-file): Undo previous change.
	(batch-byte-recompile-directory): Doc fix.

	* isearch.el (isearch-highlight): If no face `isearch', use `region'.

	* c-mode.el (c-indent-line): Call c-backward-to-start-of-if
	in the case of else following a close brace.

	* man.el (Man-getpage-in-background): Use TERM=dumb to prevent
	terminal control sequences in the output.

Sat Jun 12 16:58:04 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (abbreviate-file-name): Match home dir with no /
	if nothing else follows.

	* finder.el (finder-find-library): New function.
	(finder-commentary): Use it.

	* forms.el, forms-pass.el, forms-d2.el, forms-dat.el, forms.README:
	Moved from subdir forms-mode.  Subdir deleted.

Sat Jun 12 16:03:03 1993  Johan Vromans  (jv@mh.nl)

	* forms.el (forms--change-commands): 
	Use (function (lambda ...)) instead of '(lambda...).

	* forms.el: Provide `forms' as well as `forms-mode'.
	(forms-new-record-filter, forms-modified-record-filter): Add defvars.

Sat Jun 12 02:53:34 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (make-directory): By default create dir default-dir. 

Fri Jun 11 11:46:51 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* vc.el (vc-backend-diff): Always use -q option.

	* files.el (file-truename): Don't use expand-file-name to merge
	a link target into the previous dir.  Handle .. and . explicitly.

	* env.el (setenv): Treat case as significant.

	* mailabbrev.el (sendmail-pre-abbrev-expand-hook):
	If last-command-char is not a character, don't check char-syntax.

	* inf-lisp.el: Doc fixes. 
	(run-lisp): Add autoload.
	(inferior-lisp-mode-map): Explicitly make local prefix keys.

	* cmulisp.el: File deleted.

	* server.el (server-window): New variable.
	(server-switch-buffer): Use it.

	* flow-ctrl.el (enable-flow-control): Don't alter the 8-bit flag.

	* man.el (Man-filter-list): Add an element for X man pages.
	(Man-goto-page): Continue past errors in Man-build-references-alist.

	* rmailout.el (rmail-output-to-rmail-file): Use the smart default
	in the prompt.

	* register.el (view-register): Handle file name values.

	* etags.el (etags-tags-completion-table): When skipping the noise
	before the tag name, let it end with any char not allowed in a tag.

	* files.el (cd): Use file-name-absolute-p.
	(cd-absolute): No longer interactive.

	* echistory.el (electric-history-map): Don't use fillarray;
	make default bindings instead.  Bind up, down, home, next, prior.

Fri Jun 11 05:44:40 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* frame.el (frame-initialize): Remember to actually traverse
	initial-frame-alist.

	* gud.el (gud-last-last-frame): New variable.
	(gud-display-frame): Save the frame we displayed in
	gud-last-last-frame.
	(gud-refresh): Force gud-display-frame to jump to the last frame
	displayed, even if it has already done so once.

	* man.el (manual-entry): Recognize the subject(section) syntax.

	* picture.el (move-to-column-force): If column is negative, go
	flush left.

	* simple.el (hscroll-point-visible): Work as documented in the
	docstring for hscroll-step.

Fri Jun 11 00:04:40 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* lisp-mode.el (lisp-indent-function): Look for either
	lisp-indent-hook or lisp-indent-function property.

	* files.el (make-backup-files): Doc fix.

	* mouse.el (mouse-set-mark-fast): New function.
	(mouse-show-mark): New function.
	(mouse-kill-ring-save, mouse-save-then-kill): Use them.
	(mouse-save-then-kill): Don't let kill-region alter this-command.
	Check last-command accordingly.
	(mouse-split-window-vertically): Handle scroll bar events.

Thu Jun 10 13:41:06 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmail.el (rmail-primary-inbox-list): Use defvar, not defconst.

	* files.el (basic-save-buffer): Cal auto-save-mode with t as arg
	if and only if auto save was off and default is on.
	(set-visited-file-name): Likewise.

	* simple.el (append-to-buffer): Interactively, supply all 3 args.
	Allow nonexistent buffers.

	* files.el (abbreviate-file-name): Make abbreviated-home-dir
	from `~/', not from just `~'.
	(hack-one-local-variable): Query for ...-hook(s) and ..-function(s)
	as the `eval' variable.

	* ispell.el: Doc fixes.
	(ispell-command, ispell-command-options): New defvars.
	(start-ispell): Use them.

	* ange-ftp.el (ange-ftp-multi-msgs): Add 331-.

	* man.el (Man-mode): Run Man-mode-hook.

	* bibtex.el (bibtex-mode-map): Use tex-insert-quote, not TeX-...

Thu Jun 10 15:16:11 1993  Shane Hartman  (shane@nugget.spr.com)

        * c++-mode.el (calculate-c++-indent): Respect
        c-continued-brace-offset (as in c-mode.el).

Thu Jun 10 06:39:46 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* frame.el (frame-initialize): When deleting geometry
	specifications from initial-frame-alist, remember that they may
	occur more than once, and do, if the -geometry option was
	specified as well as a .geometry resource.

	* scroll-bar.el (scroll-bar-mode): Variable deleted.
	(scroll-bar-mode): Function changed to consult default-frame-alist
	instead of the variable.

	* gnus.el (gnus-start-news-server): If no server has been
	specified, but gnus-nntp-service is nil, don't ask for a server
	name; use the local host.

	* ange-ftp.el (ange-ftp-make-directory): Take second optional
	argument parents, like the original.  Implement it.

	* gnus.el (gnus-newsrc-to-gnus-format): Change regexp which
	matches .newsrc lines for better performance under the new regexp
	routines.

Thu Jun 10 13:40:44 1993  Dave Gillespie  (daveg@synaptics.com)

	* bytecomp.el: Bug fixes and upgrade to match Zawinski's v2.10.
	(byte-compile-dest-file): Added support for emacs-lisp-file-regexp.
	(byte-recompile-directory): Several things involving `noninteractive'.
	(byte-compile-file): Changed prompting in read-file-name.
	(byte-compile-insert-header): Put a magic number at top of .elc files,
	fixed backwards test of byte-compile-compatibility.
	(byte-compile-form, byte-defop-compiler19, byte-compile-list,
	byte-compile-concat, byte-compile-insert): Likewise.
	(byte-compile-condition-case): Added checking for unknown conditions.
	(batch-byte-recompile-directory): New function.

Wed Jun  9 05:43:49 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* compile.el (compilation-error-list): When we haven't yet
	generated a marker for the source position of an error message,
	store (FILENAME . LINE-NUMBER), not ((DIRECTORY . FILE)
	LINE-NUMBER).  Doc fix.
	(next-error, compilation-parse-errors): Adjusted appropriately.

	* scroll-bar.el (scroll-bar-set-window-start): Remember that the
	scroll bar numbers reflect the accessible region of the buffer,
	not the entire buffer.

Tue Jun  8 12:28:05 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* dired.el (dired-flag-auto-save-files): Ignore `*' added by ls -F.

	* sc.el (sc-mark): Use mark-marker.

Tue Jun  8 08:28:14 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* Version 19.13 released.

Tue Jun  8 00:40:46 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* fortran.el (fortran-indent-new-line): Renamed from
	fortran-reindent-then-newline-and-indent.

	* mouse.el (mouse-drag-region-1): Un-comment-out this function.

	* info.el (Info-follow-reference): Fix completion defaulting.

Mon Jun  7 21:47:37 1993  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

        * calendar.el (calendar-current-time-zone): Change variable names
        to make them more readable.
        (calendar-time-zone, calendar-standard-time-zone-name,
        calendar-daylight-time-zone-name, calendar-daylight-savings-ends,
        calendar-daylight-savings-starts): Don't autload them.

Mon Jun  7 00:25:00 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* apropos.el (safe-documentation): Don't crash on byte-compiled macro.

	* telnet.el (telnet-simple-send): New function.
	(telnet): Arrange to use that.

	* sun-keys.el: File deleted.

	* texinfo.el (texinfo-section-types-regexp): Add @chapheading.

	* gud.el: Doc fixes.  Delete local variable list at the end.
	(expr-forward-sexp): Renamed from forw-expr.
	(expr-backward-sexp): Renamed from back-expr.

	* case-table.el (describe-buffer-case-table): Merge locals i and ch.
	Make *Help* current buffer for describe-vector.

	* bibtex.el: Fix typos in previous change.
	Add a few menu items.

	* compile.el (compilation-error-regexp-alist): Make sure each regexp
	can only match a few characters at the front.  Split off the Mips
	CC regexp from the Apollo regexp.

	* rmail.el (rmail-variables): Default rmail-inbox-list here.
	(rmail): Not here.

	* ange-ftp.el (ange-ftp-real-load): New function.
	(ange-ftp-load): New function--handles `load'.

Sun Jun  6 18:29:36 1993  Paul Eggert  (eggert@twinsun.com)

	* term/sun-mouse.el (mouse-union-first-preferred): Renamed from
	mouse-union-first-prefered.

Sun Jun  6 17:46:25 1993  Paul Eggert  (eggert@twinsun.com)
	
	* sc.el (sc-consistent-cite-p): Renamed from sc-consistant-cite-p.

	* etags.el (etags-recognize-tags-table): Fix misspelling of
	find-tag-regexp-next-line-after-failure-p.

	* bibtex.el (bibtex-name-alignment): Renamed from
	bibtex-name-alignement.

	* allout.el (outlinify-sticky): Renamed from outlineify-sticky.

	* faces.el (x-create-frame-with-faces): Reversevideo -> ReverseVideo.
	* frame.el (frame-initialize): Likewise.

Sun Jun  6 01:27:16 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* outline.el (outline-minor-mode): Add autoload cookie.

	* bibtex.el: Define 2 local menu-bar submaps.
	(bibtex-x-help, bibtex-x-environment): Deleted.

	* isearch.el (search-upper-case): Make `no-yanks' the default.
	(isearch-no-upper-case-p): New arg REGEXP-FLAG.
	(isearch-search): Pass new arg.
	(isearch-member-equal): Deleted.
	(isearch-overlay): New variable.
	(isearch-highlight, isearch-dehighlight): Rewritten to use overlays.

	* dired.el (dired-unmark-all-files): Read arg as just a character.
	Use non-regexp search to find a specific mark.
	Use subst-char-in-region to make the change.
	Improve the message at the end.

	* vip.el (vip-ctl-key-equivalent): Use vip-escape-to-emacs.
	(vip-escape-to-emacs): Use read-key-sequence and key-binding.
	Arg EVENTS replaces arg CHAR.  
	(vip-ESC, vip-ctl-c, vip-ctl-x, vip-ctl-h): These callers changed.

	* compile.el (compile-internal): Alter current buffer only temporarily.

Sat Jun  5 13:08:08 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* sendmail.el (mail-do-fcc): Replace the code for appending to buffer.

	* rmailsum.el (rmail-summary-next-msg): Fix number of dots in regexp.

	* scroll-bar.el (scroll-bar-drag-1):
	Calculate position relative to the accessible part of the buffer.

	* menu-bar.el (menu-bar-help-menu): Add defvar.
	(menu-bar-edit-menu, menu-bar-file-menu): Likewise.

	* dired.el (dired-flag-backup-files): Handle `*' made by `ls -F'.

	* ange-ftp.el (internal-ange-ftp-mode): Renamed from ange-ftp-mode.
	Callers changed.

	* menu-bar.el (window-system): Enable menu bars only if
	window-system is non-nil.

	* add-log.el (add-log-current-defun): Fix typos in last change.

Sat Jun  5 04:39:08 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* term/x-win.el (x-selection-timeout): Set it, using x-get-resource.

Fri Jun  4 07:14:44 1993  Paul Eggert  (eggert@twinsun.com)

	* timezone.el: (timezone-make-date-arpa-standard,
	timezone-make-date-sortable): Move common code into timezone-fix-time.
	(timezone-fix-time): Merge common code from above two functions.
	Yield time zone at end of result vector.
	Set time zone offset correctly as of the given time,
	instead of guessing from the current offset.
	(timezone-make-arpa-date, timezone-zone-to-minute): Convert
	current-time-zone style timezones into RFC-822 style timezones.

	(timezone-time-from-absolute, timezone-time-zone-from-absolute,
	timezone-day-number, timezone-absolute-from-gregorian):
	More functions borrowed from Reingold's calendar package.

	(timezone-make-arpa-date, timezone-make-sortable-date): Can safely
	assume that year includes century, since timezone-fix-time guarantees
	this.

	* gnuspost.el (gnus-current-time-zone):	New function, which tries
	current-time-zone, and if that fails falls back on gnus-local-timezone.
	(gnus-inews-date): Use it.
	(gnus-inews-valid-date): New optional args TIME (default now) and ZONE
		(default GMT).
	(gnus-inews-buggy-date): New optional arg TIME (default now).

	* gnus.el (gnus-local-timezone): Now used only if current-time-zone
	does not work.

Fri Jun  4 01:16:48 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* mh-e.el (mh-yank-cur-msg): Use (mark t).

	* simple.el (mark): Doc fix.

	* add-log.el (add-log-current-defun): Handle Fortran.

	* rmail.el (rmail-resend): Require sendmail and mailalias.

	* time.el (display-time-24hr-format): Make it a user option.

	* edt.el (GOLD-prefix): Define *after* GOLD-map.

	* dired.el (dired-change-marks): Just ding if one arg is RET.
	Search for strings, not regexps.  Use subst-char-in-region.

	* isearch.el (isearch-mode): Set isearch-window-configuration
	only if in slow mode.
	(isearch-done): Use isearch-window-configuration only if non-nil.
	(isearch-other-control-char): For mouse event, call isearch-done
	in the buffer whose keymap was used.

	* flow-ctrl.el (enable-flow-control): Doc fix.

Thu Jun  3 20:01:19 1993  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

        * calendar.el (calendar-holidays): Quote it to delay evaluation
        until it's needed.

        * holidays.el (calendar-holiday-list): Eval calendar-holidays.

Thu Jun  3 00:47:23 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* sendmail.el (mail-do-fcc): Omit first 2 lines when appending
	to an RMAIL buffer.

	* simple.el (kill-ring-save): Doc fix.

	* rmailsum.el (rmail-summary-expunge-and-save): Do save-buffer last.
	Use two separate save-excursion calls.
	(rmail-summary-input): Use pop-to-buffer.
	(rmail-summary-get-new-mail): Gobble rmail-current-message;
	later go to that message.
	(rmail-summary-next-msg): Start at end of line, if moving forward.
	Move to beginning of line, after the loop.
	(rmail-new-summary): Fix format of elt in minor-mode-alist.

	* rmail.el (rmail-select-summary): Add a save-excursion.

	* rmailsum.el (rmail-summary-expunge-and-save):
	Call set-buffer again after rmail-only-expunge.
	(rmail-summary-add-label, rmail-summary-kill-label):
	Fix reading the label.
	(rmail-summary-rmail-update): Bind window locally.
	Use unwind-protect, not save-window-excursion.

	* vc-hooks.el (vc-find-file-hook): Check buffer-file-name is non-nil.

	* hideif.el (define-hide-ifdef-mode-map): Don't bind C-c LETTER.
	Use C-c ESC LETTER instead.
	Handle case where where-is-internal returns nil.

	* texinfmt.el: Provide texinfmt.

	* bytecomp.el (byte-compile-insert-header): Fix backwards test
	of byte-compile-compatibility.

	* info.el (Info-mode-map): Bind mouse-2, not mouse-3.

	* view.el (View-scroll-lines-forward): If we exit, do nothing else.

	* calendar.el (calendar-mode): Doc fix.
	(calendar-mark-ring): New defvar.

	* frame.el (frame-initialize): Set cursor-color last.

	* vip.el (vip-escape-to-emacs): Temporarily restore local map
	and use read-key-sequence.

	* rmailsum.el (rmail-summary-by-senders): New function.
	(rmail-message-senders-p): New function.

Thu Jun  3 17:58:59 1993  Dave Gillespie  (daveg@synaptics.com)

	* complete.el (PC-lisp-complete-symbol): Added.
	(PC-look-for-include-file): Recognize some Lisp notations.
	(PC-include-file-all-completions): Fixed uppercase variable names.

Wed Jun  2 12:56:57 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* info.el (Info-suffix-list): Handle .gz suffix.
	* ange-ftp.el (ange-ftp-binary-file-name-regexp): Handle .gz.

	* ehelp.el (electric-help-command-loop): Use equal to compare
	lists of events.

	* electric.el (Electric-command-loop): Use eq to compare events.

	* diff.el (diff): Really do use arg SWITCHES.

	* frame.el (frame-initialize): Delete geometry parms
	from initial-frame-alist.

Wed Jun  2 09:59:02 1993  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

        * calendar.el (calendar-daylight-savings-starts): Mention use of
        nil value in documentation string.
        (calendar-daylight-time-offset): New variable.
        (calendar-daylight-savings-switchover-time):  New variable.
        (calendar-mode): Mention them.
        (calendar-time-zone, calendar-print-astro-day-number,
        calendar-time-display-form): Change Universal Time (UT) to
        Coordinated Universal Time (UTC). 

        *solar.el (solar-setup, solar-ephemeris-time, sunrise-sunset): Change
        Universal Time (UT) to Coordinated Universal Time (UTC).
        (solar-time-string): Use calendar-daylight-time-offset instead of
        1 hr, and use calendar-daylight-savings-switchover-time instead of
        midnight.  Add an optional parameter to allow forcing the use of
        standard or daylight savings time.  Fix code so it works in
        southern hemisphere (start of dst precedes end of dst in a
        calendar year) and when dst either starts or ends in a calendar
        year, but not both.

Tue Jun  1 17:40:30 1993  Ken  Manheimer  (klm@coil.nist.gov)

	* allout.el (outlineify-sticky): Reconciled provisions for
	non-standard and standard prefix leaders.

Tue Jun  1 16:09:26 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Version 19.12 released.

	* reporter.el: New file.

	* mouse.el (mouse-buffer-menu): Don't select the event's window,
	if event has frame instead.

	* tar-mode.el: Typo in autoload cookie.

	* shell.el (shell-prompt-pattern): Use defvar.

	* ange-ftp.el (ange-ftp-make-backup-files): Doc fix.

	* sendmail.el (mail-signature): Do not insert a line with `--'.

	* menu-bar.el (mouse-menu-bar-buffers): Renamed from mouse-buffer-menu.

	* subr.el (posn-timestamp): Doc fix.

	* sort.el (sort-fold-case): New variable.
	(sort-subr): Bind case-fold-search from sort-fold-case.

	* simple.el (undo):
	Pass proper arg to delete-auto-save-file-if-necessary.

	* desktop.el: New file.

	* c++-mode-1.el: New file.

Tue Jun  1 16:03:30 1993  Ken  Manheimer  (klm@coil.nist.gov)

	* allout.el (move-to-column): Pass zero instead of negative arg.
	Added some free variables defvars, so byte-comple doesn't complain.
	Included some stub code, eventually will be proper use of Emacs 19
	minor-mode-sensitive keymaps.

Tue Jun  1 14:01:25 1993  Stephen A. Wood  (saw@cebaf.gov)

	* fortran.el (fortran-mode): Replace comment-indent-hook with
	comment-indent-function.

	* fortran.el (fortran-is-in-string-p): Replaced with new version
	that uses the syntax table.

	* fortran.el (calculate-fortran-indent): Lines that have a # after
	whitespace are interpreted as cpp directives and outdented back to
	column zero.

Tue Jun  1 00:27:03 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* lucid.el (map-keymap): Doc fix.

	* dired-aux.el (dired-compress-file): Use gzip when proper/possible.

	* sc.el: Fix installation instructions.
	(sc-cite-original): Add autoload cookie.

	* sendmail.el (mail-yank-hooks): New hook variable.
	(mail-yank-original): Run the hook.
	(mail-indent-citation): New function.

	* cl.el (cl-mod): Renamed from mod.

	* Version 19.11 released.

	* lucid.el (copy-tree): Use let* to bind new before i.

	* terminal.el (te-pass-through): Delete debugging code left by mistake.

	* comint.el (comint-filter): Put window-start before the input.

	* isearch.el (isearch-mode): If enter recursive-edit,
	also bind isearch-recursive-edit.

	* cookie1.el: Renamed from cookie.el.
	Provide cookie1.
	* yow.el, spook.el: Changed accordingly.

Mon May 31 23:21:41 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* outline.el (outline-flag-region): Pass t as NOUNDO arg
	to subst-char-in-region.  No need to restore buffer-modified-p by hand.

Mon May 31 20:29:00 1993  Richard Stallman  (rms@wookumz.gnu.ai.mit.edu)

	* term/x-win.el (x-invocation-args): Add defvar.

Mon May 31 19:59:12 1993  Junio Hamano  (junio@twinsun.com)

	* window.el (count-windows): PROC argument of
	walk-windows takes an argument.

Mon May 31 00:20:50 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* gnus.el (gnus-summary-isearch-article): Call isearch-forward
	in ordinary fashion with no args.
	(gnus-inews-article-hook, gnus-prepare-article-hook):
	Initialize to a list.
	(gnus-read-newsrc-file): If timestamps are equal, reload .newsrc. 

	* bibtex.el (bibtex-mode): Add autoload.

	* files.el (inhibit-local-variables-regexps): New variable.
	(set-auto-mode): Handle inhibit-local-variables-regexps.

	* tar-mode.el: Don't initialize write-file-hooks.
	Don't change auto-mode-alist.
	(tar-regexp): Deleted.
	(tar-normal-mode): Deleted.
	(tar-mode): Add autoload.

	* faces.el (x-resolve-font-name): Clean up error messages.

	* timer.el (run-at-time): Pass args to start-process in right order.

	* info.el (Info-get-token): Check that thesecond search succeeded.

	* edebug.el: Provide edebug.

	* rmailsum.el (rmail-message-subject-p): Fix typo in string constant.

	* cl.el (mod): Use cl-floor.
	(rem): Use cl-truncate.

	* gud.el (gud-def): Don't use gud-key-prefix at compile time.

	* window.el (shrink-window-if-larger-than-buffer): Add `interactive'.
	Do nothing if window contents not entirely visible.

	* sendmail.el (mail-do-fcc): Put back the newline at the start
	of the fcc temp buffer.  It got lost somewhere.

Sun May 30 15:14:40 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* gnus.el (gnus-nntp-server): Use gnus-default-nntp-server.

	* info.el (Info-mode-map): Correct Info-top to Info-top-node.

	* man.el (Man-notify-when-ready): Correct previous change.

Sun May 30 18:28:43 1993  Stephen Gildea  (gildea@alex.lcs.mit.edu)

	* mh-e.el (mh-signature-file-name): New variable.
	mh-e version 3.8.2.

Sun May 30 13:21:04 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	 * faces.el (x-resolve-font-name): Fix args to error; the format
	 string was changed, but not the arguments to be substituted.

	 * faces.el (x-resolve-font-name): Give correct error message
	 depending on whether or not FACE was non-nil.

Sun May 30 00:15:27 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Version 19.10 released.

Sat May 29 00:40:17 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* term/bobcat.el: Just load term/keyswap.el.

	* term/vt200.el: Just load term/vt100.el.
	* term/apollo.el: Just load term/vt100.el.
	* term/vt102.el, term/vt125.el, term/vt201.el, term/vt220.el,
	term/vt240.el, term/vt300.el, term/vt320.el, term/vt400.el,
	term/vt420.el: New files.  Just load vt100.el.

	* term/lk201.el: New file.
	* term/vt100.el: Use term/lk201.el.

	* term/vt100.el (vt100-wide-mode): Add missing arg in set-frame-width.

Sat May 29 00:33:39 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* startup.el (command-line-1): Pass arg to other-window.

	* files.el (find-file-run-dired): Doc fix.
	(find-file-read-only): Return the buffer.
	(find-file-read-only-other-window): Likewise.
	(find-file-read-only-other-frame): Likewise.

	* timer.el (cancel-function-timers): Renamed from spurious duplicate
	definition of cancel-timer.

	* add-log.el (find-change-log): Use file-chase-links.

	* files.el (file-chase-links): New function.
	(backup-buffer): Use file-chase-links.
	(file-chase-links): Handle leading .. in symlink target.

	* c-mode.el (c-up-conditional): Handle commented-out #-cmds properly.

	* window.el (split-window-vertically): Return the new window.

	* paths.el (gnus-local-organization): Initially nil.

	* isearch.el (isearch-search): Take note of isearch-case-fold-search
	initial value.

	* lisp-mode.el (indent-sexp): Even if outer-loop-done is t,
	still move down one line.

	* files.el (auto-mode-alist): Fix syntax for sgml mode.

	* man.el (Man-mode-map): Bind m to manual-entry.
	(Man-notify-when-ready): Make arg name consistent.
	Use delete-other-window.
	(Man-mode): Use buffer-disable-undo, not old name.

	* faces.el (x-resolve-font-name): Allow symbol as FACE arg.
	Allow t as FRAME arg.

	* sendmail.el (send-mail-function): Use defvar. not defconst.

	* mouse.el (x-fixed-font-alist): Specify field 7, not field 6.

Fri May 28 00:43:24 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* iso8859-1.el: File deleted.
	* superyank.el: File deleted.

	* vc.el (vc-steal-lock, vc-insert-headers): Fix question whitespace.
	(vc-finish-logentry): Use delete-windows-on.

	* add-log.el (find-log-file): Use source file's truename dir.

	* mh-e.el: Version 3.8.1 from Gildea.

	* loaddefs.el (-key): repeat-complex-command moved to C-x ESC ESC.

	* hexl.el: Doc fixes.
	(hexl-char-after-point): Get rid of mistakenly free variables.

	* info.el (Info-insert-dir): Ignore duplicate directories.

	* paths.el (Info-default-directory-list): Take out ../../info.
	Avoid duplication.
	(manual-formatted-dirlist, manual-formatted-dir-prefix): Deleted.

	* subr.el (baud-rate): Doc fix.

	* add-log.el (find-change-log): Chase symlinks multiple levels.

	* rmailsum.el (rmail-new-summary): Set rmail-summary-buffer
	to nil at beginning; set it for real after summary is set up.

Thu May 27 20:58:51 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (find-alternate-file): Hide truename and inode number
	temporarily, like the visited file name.

	* iso8859-1.el: Pass just the downcase table to set-case-...

Thu May 28 20:58:08 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* find-dired.el (find-dired-sentinel): Write a line describing death.
	Set mode-line-process to record exit status.
	Delete the process.

Thu May 27 08:43:08 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* frame.el (frame-initialize): Handle reverseVideo resource.
	* faces.el (x-create-frame-with-faces): Handle reverseVideo resource.

	* iso-insert.el, iso-ascii.el, iso-swed.el: Provide same name as file.

	* ange-ftp.el (ange-ftp-dired-compress-file):
	Use dired-compress-file, not dired-compress-filename.

	* completion.el: Pervasive changes to use Emacs 19 features
	and conform to Emacs conventions.

Thu May 27 02:35:32 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* Version 19.9 released.

Thu May 27 01:37:30 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* term/x-win.el: Check for a geometry resource, and apply it to the
	initial frame.

Wed May 26 23:32:25 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* isearch.el (isearch-forward): Remove the claim that
	isearch-whitespace-chars matches any string of whitespace.

Wed May 26 16:26:16 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* completion.el: Comment out handling of shell-send-input.
	Delete the "local thinking machines" definitions at the end
	since they caused compilation failure.

	* cl.el (cl-member): Renamed from member.

	* time.el (display-time-day-and-date): Use defvar, not defconst.

	* subr.el (listify-key-sequence): Avoid the constant ?\M-\200.

	* files.el (find-file-noselect): Expand buffer-file-truename
	before copying it to anything else.

	* dired.el (dired-other-frame): New function, with binding.

	* compile.el: Make C-x ` binding just once.

	* help.el (finder-by-keyword): Autoload from `finder', not `finder.el'.

	* nroff-mode.el (nroff-mode): Don't leave nroff-electric-mode void.

	* byte-opt.el (byte-optimize-divide):
	Don't optimize to less than two arguments.

	* hexl.el (hexlify-command, dehexlify-command): Use exec-directory.

	* rmailsort.el: New version from Umeda.
	(timezone-make-date-sortable): Make autoload for this.
	(rmail-sort-by-recipient): Downcase the strings for sorting.
	(rmail-sort-by-recipient): Likewise.
	(rmail-sort-by-lines): Renamed from rmail-sort-by-size-lines.
	Use numbers to sort by.
	(rmail-summary-...): New functions.  Bind in rmail-summary-mode-map.
	(rmail-sort-from-summary): New function.
	(rmail-sort-messages): Don't bother checking major mode.
	Put message bounds in sort list, not its text.
	Choose string< or < as predicate.
	Reorder messages by exchanging them, with inhibit-quit bound.
	(rmail-fetch-field): Start by widening.
	(rmail-sortable-date-strng): Deleted.
	(rmail-make-date-sortable): New function, used instead.

	* paths.el (gnus-local-organization): Renamed from ...-your-...
	(gnus-local-domain): Likewise.

Wed May 26 02:49:13 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* faces.el (x-resolve-font-name): If PATTERN is nil, return the
	frame's face.
	(set-face-font): Only use x-resolve-font-name if FONT is a string.
	Copying a faces shouldn't resolve the font.

	* paths.el (Info-default-directory-list): Add
	configure-info-directory to this list.

Wed May 26 00:18:13 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* scroll-bar.el (scroll-bar-mode): Make default value t.

	* help-macro.el (make-help-screen): Handle mouse events.
	Be smart about window configurations--when and whether to restore.

	* info.el (Info-follow-nearest-node): Omit 4th arg to Info-get-token.

	* sgml-mode.el (sgml-validate): compile1 renamed to compile-internal.
	(sgml-mode): Add autoload cookie.
	* files.el (auto-mode-alist): Recognize .sgm, .sgml, .dtd.

	* files.el (auto-mode-alist): Treat .H and .hh as C++ files.

	* mouse.el (mouse-set-mark): Activate the mark.
	Don't bounce the cursor if Transient Mark mode.
	(mouse-save-then-kill): Pass explicit args to kill-ring-save.
	(mouse-kill-ring-save): Likewise.

	* mail-utils.el (mail-strip-quoted-names):
	Catch errors from forward-sexp.

	* comint.el (comint-filter): Restore buffer-read-only in proper buffer.

	* ispell.el: Provide `ispell'.

	* ange-ftp.el (ange-ftp-set-buffer-mode): Do nothing unless
	visited name is an ange ftp magic name.

	* advice.el: New version from Chalupsky.

Tue May 25 11:47:35 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* dired.el (dired-unmark-all-files): Read arg as a string.

	* rmailsum.el (rmail-summary-mark-deleted): Check for end of buffer.
	Pass t as NOWARN when calling rmail-summary-goto-msg.

	* dired-aux.el (dired-compress-file): Test the return value
	of dired-check-process properly.
	Fix use of nonexistent var `name'.

	* info.el (Info-edit, Info-last-search, Info-enable-edit): 
	Correct case in `Info-mode-map'.

	* rmail.el (rmail-bury): Fix call to set-window-buffer.

	* loaddefs.el: copy-to-register now on C-x r s.

Tue May 25 11:06:28 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* term/x-win.el: Pass x-command-line-resources to x-open-connection.
	(x-command-line-resources): New variable.
	(x-handle-rn-switch): New function.
	(command-switch-alist): Add -rn.

Tue May 25 06:26:51 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* term/x-win.el (command-switch-alist, x-switch-definitions): Treat
	`-i' like `-itype', as in Emacs 18.

Tue May 25 05:15:14 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* Version 19.8 released.

	* startup.el (command-line-1): Don't handle `-i'.  We're
	abandoning the `insert file' meaning in favor of the `use a
	bitmapped icon' meaning.

	* faces.el (set-face-font): Call x-resolve-font-name on the font
	before including it in the face.
	(x-resolve-font-name): New function.

	* iso-syntax.el: Make downcase into a proper case table before
	passing it to set-standard-case-table.

	* disp-table.el (standard-display-european): Doc fix.  Make
	it autoload.  Make it respond to prefix arg like a minor mode.

Mon May 24 17:17:02 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* term/x-win.el (x-select-text): New arg PUSH.
	(x-switch-definitions): Represent -r as `reverse' option.

Mon May 24 17:16:41 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (find-file-read-only-other-window): 
	Use find-file-other-window.

	* paths.el (Info-default-directory-list): Add ../../info.

	* info.el (Info-suffix-list): Fix duplicate .z to .info.z.

	* faces.el (x-create-frame-with-faces): Handle `reverse' as parameter.
	* frame.el (frame-initialize): Likewise.

	* dired.el (dired-flag-backup-files): Speedup:
	check explicitly for ~ at end of line.
	(dired-flag-auto-save-files): Similar change.

	* register.el (jump-to-register):
	Don't fail if frame-configuration-p is unbound.

	* files.el (cd): Set cd-path to a list.

	* simple.el (kill-new): Pass t as 2nd arg to interprogram-cut-function.
	* select.el (x-set-cut-buffer): New arg PUSH.

Mon May 24 12:14:41 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* disp-table.el (standard-display-default): New function.
	(standard-display-european): New command.

	* loaddefs.el: Bind [?\M-\C-\ ] to mark-sexp.

Mon May 24 14:44:48 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el (shell-command): Don't activate mark even momentarily.

Mon May 24 03:54:44 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* case-table.el, disp-table.el, finder.el, iso-ascii.el,
	iso-insert.el, iso-swed.el, iso-syntax.el, iso8859-1.el,
	swedish.el: Change "i14n" keyword to "i18n".
	* finder.el (finder-compile-keywords): Replacement unnecessary.

Mon May 24 01:06:01 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* menu-bar.el (menu-bar-mode): Doc fix.

Sun May 23 21:58:38 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* lucid.el (switch-to-other-buffer): Build the list of acceptable
	buffers properly.

	* faces.el (make-face): Change interactive spec to 'S'.

Sun May 23 18:44:30 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* ange-ftp.el (ange-ftp-raw-send-cmd): Allow quitting
	during accept-process-output.

	* finder.el (finder-known-keywords): Use i18n, not i14n.
	(finder-compile-keywords): Substitute i18n for i14n.
	Turn off undo in *finder-scratch*.  Ignore file names
	starting with =.
	(finder-mode, finder-current-item): Rename headmark to finder-headmark.
	(finder-list-matches, finder-list-keywords): Likewise.

	* iso8859-1.el: Call set-case-..., not standard-case-...

Sun May 23 18:56:04 1993  Paul Eggert  (eggert@twinsun.com)

	* calendar.el (calendar-daylight-savings-starts,
	calendar-daylight-savings-ends): Default to nil if the locale
	never has DST.

Sat May 22 19:37:01 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

        * Version 19.7 released.

Sat May 22 18:33:19 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* vc.el (vc-comment-to-change-log): Don't take FILE argument, since
	vc-update-change-log doesn't support it anyway.
	Don't bind default-directory.  Instead pass second arg to
	file-relative-name.
	(vc-update-change-log): Use find-change-log instead of hardcoding.

Sat May 22 18:08:08 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* cl.el (cl-floor, cl-ceiling, cl-truncate, cl-round): Renamed
	from floor, ceiling, truncate, and round; the old names conflict
	with built-in functions.

Sat May 22 14:00:33 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* gud.el (gud-def): Fix inclusion of the define-key.
	(gdb, sdb, dbx): Change bindings from letters to control chars.
	(gud-common-init): Add save-excursion.
	(gud-display-line): Don't mess with buffer-read-only.
	(gud-filter): Set output-after-point *after* deleting old prompt.
	Likewise for `moving'.

	* subr.el (event-modifiers): Doc fix.

	* help.el (describe-key, describe-key-briefly):
	Discard the click or drag that follows a down event.

	* levents.el (event-modifiers): Function deleted.
	(read-command-event): For switch-frame event, call select-frame.

Sat May 22 01:53:26 1993  Noah Friedman  (friedman@nutrimat.gnu.ai.mit.edu)

        * rlogin.el (rlogin-filter): Yet another rewrite which handles
        unusual values of scroll-step in a winning way by window-start
        frobnication. 

Sat May 22 00:18:56 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el (pending-undo-list): Var declared.

	* apropos.el (apropos-print-matches): Bind tem.

Fri May 21 18:54:24 1993  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

        * holidays.el: Update reference to the papers in S-P&E.
        (filter-visible-calendar-holidays): Test for nil date.

        * cal-mayan.el: Update reference to the papers in S-P&E.

        * cal-french.el: Update reference to the papers in S-P&E.

Fri May 21 12:37:20 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* apropos.el (apropos-match-keys): Handle modern keymap structure.

	* simple.el (transient-mark-mode): Doc fix.

	* outline.el (outline-minor-mode): Make permanent local in all buffers.
	Give the command a doc string, and make it autoload.

	* lisp-mode.el (lisp-body-indent): Add doc.

Thu May 20 09:57:37 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* texinfo.el (texinfo-section-types-regexp): Define here.

	* delsel.el: Provide delsel.
	(keyboard-quit): Definition deleted.
	(minibuffer-keyboard-quit): If Delete Selection mode is off,
	do abort even if mark is active.

Wed May 19 15:48:21 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	Some time-handling patches from Paul Eggert:
	* calendar.el (calendar-current-time-zone): New function.
	(calendar-time-zone, calendar-standard-time-zone-name,
	calendar-daylight-time-zone-name): Use it instead of current-time-zone.
	* sendmail.el (mail-do-fcc): Use the same absolute time for both
	current-time-string and current-time-zone.  Adjust to new format
	returned by current-time-zone.

	* xfaces.el (face-equal): Doc fix.

Wed May 19 12:01:40 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* delsel.el: Renamed from pending-del.el.
	Functions and variables renamed to ...delete-selection...
	from ...pending-delete...
	Bind all minibuffer keymaps alike.

	* outline.el (outline-heading-end-regexp): Fix typo.
	(outline-minor-mode-map): New variable.
	(minor-mode-map-alist): Add new entry.
	(outline-minor-mode): Work with above change.
	Do not set outline-regexp or outline-header-end-regexp.

Wed May 19 08:24:52 1993  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

        * calendar.el (hebrew-calendar-yahrzeit): Correct error from S-P&E
        paper in test for Adar I 30 date of death for yahrzeit in a
        non-leap year when Shevat 29 must be used.

Wed May 19 02:02:10 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* files.el (set-auto-mode): If the buffer's file name is nil,
	don't try to compare it against the entries in auto-mode-alist.

Wed May 19 00:06:03 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* ispell.el (ispell-command-loop): Make an undo boundary.

	* isearch.el (isearch-mode-map): Use vector, not string, to bind
	printing characters.

Tue May 18 19:21:59 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* select.el (xselect-convert-to-class): Just return "Emacs" here.
	That's what the class will always be.

Tue May 18 18:28:06 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* loaddefs.el: Add bindings for C-SPC and C-/, like C-@ and C-_.

Tue May 18 17:14:27 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* startup.el (normal-top-level, command-line, command-line-1):
	Don't call the frame and face initialization functions unless
	they're bound.

	* frame.el (frame-notice-user-settings): Don't make
	frame-initial-frame unbound; just set it to nil.
	* startup.el (command-line-1): Call frame-notice-user-settings
	before displaying the startup message.

	* server.el (server-switch-hook): New hook.
	(server-process-filter): Call it.

	* bibtex.el (bibtex-string): Use \" instead of "" to get a double
	quote inside a string.
	* vms-patch.el (print-region-function): Same.

Tue May 18 11:45:59 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* sendmail.el (mail-yank-original): In Transient Mark mode,
	don't get error and don't activate the mark.

	* isearch.el (isearch-mode-map): Extend the dense keymap to 256 chars.

Mon May 17 00:42:53 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* trace.el, advice.el: New files.

	* bytecomp.el (byte-compile-file): Don't write output if error.

	* sendmail.el (mail-setup): Leave point before signature, not after.

	* rmailsort.el (rmail-sortable-date-string): Handle date in format
	produced by current-time-string.

	* simple.el (keyboard-quit): Run deactivate-mark-hook.
	(kill-ring-save): If quit happens while cursor is bounced,
	make it appear like a command-level quit.

	* loaddefs.el: Add bindings for C-digits, C-M-digits, C-- and C-M--.

	* isearch.el (isearch-mode): Set deactivate-mark.

	* menu-bar.el (fill-region, kill-region, delete-region)
	(kill-ring-save): Use mark-active as enable condition.
	(undo): Add an enable condition.

Sun May 16 23:37:21 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* texinfo.el (texinfo-chapter-level-regexp): Copied here.

Mon May 17 02:42:16 1993  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* gnus.el (gnus-info-directory): Variable removed.
	(gnus-info-find-node): Don't use it.

Sun May 16 22:40:14 1993  Richard Stallman  (rms@geech.gnu.ai.mit.edu)

	* gnus.el, gnuspost.el, gnusmail.el, gnusmisc.el
	* nntp.el, nnspool.el, mhspool.el: Version 3.15 from Umeda.

	* frame.el (toggle-scroll-bar): Renamed from toggle-vertical-scroll...

Sun May 16 09:19:32 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* texinfo.el: Don't require tex-mode or texnfo-upd.
	(texinfo-mode-map): Binding for " deleted.
	(texinfo-tex-print): Require tex-mode here.
	(texinfo-tex-region): Likewise.
	(texinfo-tex-region): Update name of tex-set-buffer-directory.

	* tex-mode.el (tex-insert-quote): Doc fix.

	* vc.el: Don't require sendmail, compile, or dired.

	* simple.el (push-mark): Always activate the mark
	if not in Transient Mark mode.

	* c-mode.el (mark-c-function): Activate the mark.

	* ispell.el (ispell): Deactivate mark before the Ispell run.
	(ispell-point): Delete the sit-for; it was confusing.
	(ispell): Don't use save-excursion; just restore current buffer.
	(ispell-next): Don't save-excursion or save-window-excursion.
	(ispell-point): Don't save-excursion.
	(ispell-window-configuration): New variable.
	(ispell-show-choices): Set it if not nil.
	(ispell-next): Initialize to nil.  Restore at end.

	* simple.el (yank, yank-pop): Don't activate the mark.

	* lisp.el (mark-sexp, mark-defun): Activate the mark.
	* page.el (mark-page): Activate the mark.
	* paragraphs.el (mark-paragraph, mark-end-of-sentence): Likewise.

	* simple.el (mark-whole-buffer, mark-word): Activate the mark.
	(push-mark): Optional arg ACTIVATE.
	(set-mark-command): Use that.

	* faces.el (face-initialize): Do make the modeline face.
	(x-initialize-frame-faces): Explicitly invert `modeline' face.
	(x-create-frame-with-faces): Simplify; do nothing special
	with `default' or `modeline' face.

Sat May 15 22:09:19 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* version.el (emacs-version): Alpha release 19.6.

Sat May 15 12:52:36 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* faces.el: Rename `primary-selection' to `region'.

	* mouse.el (mouse-set-region): Call set-mark to activate mark.

	* isearch.el (isearch-done): Don't activate mark.

	* simple.el (push-mark): Don't activate the mark.
	(set-mark-command): Explicitly do so here.
	When popping, don't mind if mark is inactive.
	(pop-mark): Deactivate mark.  Don't mind if it's inactive.
	(yank-pop): Don't mind if mark is inactive.
	(keyboard-quit): Deactivate the mark.
	(kill-ring-save): When bouncing cursor,
	bounce the mark too, so highlighted area does not change.

	* bytecomp.el (byte-compile-track-mouse): New function.
	This is a kludge; track-mouse must be compiled better.

	* simple.el (transient-mark-mode): New command.

	* mouse.el (mouse-drag-region): New command, on down-mouse-1.

	* map-ynp.el (map-y-or-n-p): Show the answers in the echo area.

	* faces.el (face-initialize): Turn off `modeline' face.
	Set region-face.
	(invert-face): Really do use the default colors.
	(x-initialize-frame-faces): Always try "gray" color for
	primary-selection; always invert if that fails.
	Similar changes for highlight, secondary-selection.

	* menu-bar.el: Fix up the edit commands.  Add fill-region.

Fri May 14 11:46:53 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* menu-bar.el (menu-bar-mode): New command.  Use for initialization.

	* faces.el (make-face): Add interactive spec.
	(set-default-font): Deleted.

	* isearch.el (isearch-mode-map): Handle any length vector in keymap.
	(isearch-char-to-string): Handle non-character events properly.

Fri May 14 11:21:22 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* subr.el (overlay-start, overlay-end, overlay-buffer): Removed.

	* vc.el (vc-version-diff): Match parens.

Fri May 14 03:29:31 1993  Paul Eggert  (eggert@twinsun.com)

	* vc.el (vc-revert-buffer1): Don't assume that compilation-error-list
	is a list; it might be t.

Thu May 13 12:53:28 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* emerge.el: Installed version 5 from drw.
	Merged in previous FSF changes, plus new changes:
	(emerge-count-matches-string): Renamed from count-matches-string.
	(emerge-command-prefix): Now C-c C-c.
	(emerge-shadow-key-definition): Deleted.
	Callers use substitute-key-definition.
	(emerge-recursively-substitute-key-definition): Deleted.
	Callers use substitute-key-definition.
	(emerge-unselect-hook): Renamed from emerge-unselect-hooks.
	(emerge-files-internal): Use file-local-copy to handle remote files.
	(emerge-files-with-ancestor-internal): Likewise.
	(emerge-remote-file-p): Deleted.
	(emerge-abort): New command.
	(describe-mode): Deleted.
	(emerge-hash-string-into-string): Renamed from hash-string-into-string.
	(emerge-unslashify-name): Renamed from unslashify-name.
	(emerge-write-and-delete): Don't write-file if file-out is nil.
	(emerge-setup-fixed-keymaps): Put emerge-abort on C-].
	(emerge-find-difference-diff): Renamed from emerge-find-difference.
	(emerge-find-difference): New command.  Now on `.'.
	(emerge-diff-ok-lines-regexp): Renamed from emerge-diff-ok-lines.
	(emerge-diff3-ok-lines-regexp): Renamed from emerge-diff3-ok-lines.

Thu May 13 05:48:19 1993  Paul Eggert  (eggert@twinsun.com)

	* vc.el (vc-version-diff): Don't move point in current buffer.

Thu May 13 05:28:14 1993  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* etags.el (tags-table-including): Take new third arg CORE-ONLY.
	If non-nil, ignore files without extant buffers.
	(visit-tags-table-buffer): Call tags-table-including first with
	CORE-ONLY set, and then afterwards with it clear.

Wed May 12 12:13:49 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* term/x-win.el: Require menu-bar.el.
	* menu-bar.el: Provide 'menu-bar.

	* compile.el (Setting minor-mode-map-alist):
	Put the map directly in the alist, not a variable name.
	* vc.el: Likewise.

	* macros.el (kbd-macro-query): Fix prompt string.

	* loadup.el: Preload mouse, scroll-bar and select if have multi-frames.

	* vc.el: Improve doc strings and prompt strings.
	(vc-cancel-version): Ask whether to revert buffer.

	* lmenu.el (default-menubar): Make initial value nil.
	(kill-this-buffer, x-new-frame)
	(sensitize-file-and-edit-menus-hook, format-buffers-menu-line)
	(buffers-menu-max-size, complex-buffers-menu-p)
	(buffers-menu-switch-to-buffer-function, buffer-menu-save-buffer)
	(buffer-menu-write-file, build-buffers-menu-internal)
	(build-buffers-menu-hook): Functions and variables deleted.

	* faces.el (face-initialize): New function.
	All initialization code moved into it.
	Call at end of file, if using X frames already.
	(x-create-frame-with-faces): Don't use faces if not initialized.

	* startup.el (command-line): Call frame-initialize explicitly.
	Call face-initialize.
	(normal-top-level): Call frame-notice-user-settings explicitly.
	* frame.el: Do not put those functions on hooks.

	* terminal.el (te-pass-through): Handle meta chars and non-char events.
	(terminal-map, etc.): Use default bindings, not fillarray.
	Make the maps sparse.
	(terminal-meta-map): New map; lets us make ESC a prefix key.
	(terminal-map): Bind ESC to terminal-meta-map.
	(te-more-break-unread): Handle non-char as last-input-char.
	(te-filter): Delete code that worked with meta-flag.
	(terminal-emulator): Don't look at meta-flag.
	(terminal-mode): Don't make meta-flag local.
	(te-stty-string): Quote the args that have ^.  Add pass8.

Sat May  8 00:55:11 1993  Paul Eggert  (eggert@twinsun.com)

	* vc.el (vc-diff): Report an error if the buffer isn't registered.
	(vc-registration-error): New function.
	(vc-next-action, vc-diff, vc-print-log, vc-backend-diff): Use it to
	make VC's error messages more uniform.

	* vc.el (vc-directory, vc-revert-buffer1): Quote lambdas with
	(function ...) for Emacs 18.
	(compilation-old-error-list): Set if undefined, for Emacs 18.

Tue May 11 15:15:05 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* faces.el: Re-arranged to put accessors at the top.

Mon May 10 12:16:50 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* buff-menu.el (Buffer-menu-quit): New function, now on q.
	(buffer-menu): Update list of options.
	Don't save a window config.
	(Buffer-menu-select): Don't call Buffer-menu-execute.
	Don't restore a window config.
	(Buffer-menu-mode-map): Buffer-menu-select now on v.

Mon May 10 00:49:06 1993  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* bytecomp.el (byte-recompile-directory): If ARG is non-nil, set
	it to its prefix numeric value.  Test for ARG being zero with eq,
	not zerop.

Sun May  9 19:38:38 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmailout.el (rmail-output): Undo June 11 1992 change:
	Don't try to use Date field in the From.

	* faces.el: Rename all references to try-face-font to
	internal-try-face-font, so we don't need lucid.el.

	* faces.el (read-face-name): Call face-list, not list-faces.

	Fail more gracefully if we can't build bold, italic, etc,
	versions of the default font.
	* faces.el (make-face-bold, make-face-italic,
	make-face-bold-italic, make-face-unbold, make-face-unitalic):
	Implement NOERROR argument.
	(x-initialize-frame-faces): Use the NOERROR argument to the
	font manipulation functions to avoid errors while starting up.
	Remove initialization of isearch font.
	* xfaces.c (internal-x-complain-about-font): Add new frame
	argument, so we can check the frame parameters to find the
	default font.  Callers changed.

	* faces.el (x-create-frame-with-faces): Fix typo.  Dyke out
	code to fully qualify the modeline font; we may not be able to
	do that correctly.

Sun May  9 19:17:29 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* dabbrev.el (dabbrev-expand): Delete a search-forward call
	after the second replace-match.

Sun May  9 23:16:19 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* add-log.el (find-change-log): If there is a buffer-local value of
	change-log-default-name, just return it with no searching.
	Previously if it was set to a nonexistent file name, we would
	loop forever.

Sun May  9 01:30:05 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* replace.el (query-replace-map): Bind [escape] like "\e".

	* macros.el (kbd-macro-query): Use query-replace-map to define answers.

	* vc.el (diff-switches): Define var here as well as in diff.el.
	(vc-backend-diff): Handle either string or list.

	* comint.el (comint-filter): Increment opoint only if after
	insertion point.

Sat May  8 23:15:07 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* faces.el: Call internal-set-face-1, not internat-set-face-1.
	
	* faces.el: Don't set frame-creation-function here; term/x-win.el is
	the appropriate place to set it.

	* faces.el: Only apply x-initialize-frame-faces to X frames; pass
	over terminal frames.

	* faces.el: Provide 'faces.

Sat May  8 22:42:26 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* term/x-win.el: Since we require faces.el, there's no point in setting
	frame-creation-function to x-create-frame - just set it directly
	to x-create-frame-with-faces.

Sat May  8 12:45:17 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* sendmail.el (mail-do-fcc): Don't output a newline before From...

	* rmail.el (rmail-convert-to-babyl-format): Delete 1 char
	if we see a newline instead of what we expect.

	* register.el (jump-to-register): Allow file name "in" a register.

	* scroll-bar.el (scroll-bar-drag, scroll-bar-drag-1): New functions.
	Put scroll-bar-drag on down-mouse-2 in scroll bar.
	Leave up-events on mouse-2 unbound.

	* help-macro.el: Provide help-macro, not help-screen.
	* help.el: Require help-macro, not help-screen.

	* menu-bar.el: Don't add menu bar to minibuffer-only frames.

Fri May  7 22:47:43 1993  Paul Eggert  (eggert@twinsun.com)

	* vc.el (vc-directory-18): New function.
	If Emacs 18, make vc-directory alias to this.

Fri May  7 12:50:35 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* loaddefs.el: Bind M-right and M-left to forward-word, backward-word.
	Unbind M-up and M-down.

	* calendar.el (calendar-mode-map): Add arrow key bindings.

	* rmail.el (rmail-resend): Add `resent' attribute.
	(rmail-forward): With prefix arg, run rmail-resend.

Fri May  7 03:02:55 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* term/x-win.el: (require 'faces), too.  Move (require 'select) to top,
	with the other requires.

Thu May  6 13:13:10 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* finder.el: Bind finder-exit to 'q', not 'x'; the former is the
	conventional way to get out of such a package.
	(finder-summary): Use substitute-command-keys.
	(finder-mode): Use \\<...> to make sure we get the right keymap.

Thu May  6 10:28:04 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* replace.el (flush-lines, keep-lines, how-many):
	Delete spurious `s' from prompt arg to read-from-minibuffer.

	* comint.el (comint-filter): New function.
	(comint-exec): Install the filter.

	* simple.el (previous-matching-history-element): If minibuf is empty,
	use the last regexp specified a the default.
	(next-matching-history-element): Likewise.

	* comint.el (comint-previous-matching-input): New command, on M-r.
	(comint-next-matching-input): New command, on M-s.
	(comint-previous-similar-input): Commented out.
	(comint-next-similar-input): Likewise.
	(comint-previous-input-matching): Deleted.
	(comint-last-input-match): Var commented out.
	(comint-mode): Don't make comint-last-input-match local.

Wed May  5 14:11:45 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (auto-mode-alist): Delete the entries for makefile-mode.

	* asm-mode.el: Doc fix.

	* man.el: Rename functions and variables `man-*' to `Man-*'.
	(manual-entry): Make prompt string clearer.

	* simple.el (blink-matching-paren-distance): Change default to 12,000.

Tue May  4 12:42:19 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* vc.el (minor-mode-map-alist): Don't use it if it's void.
	(vc-cancel-version): Doc fix.
	(vc-backend-diff): Use diff-switches, not vc-diff-options.
	(vc-diff-options): Variable deleted.

Mon May  3 12:52:03 1993  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

        * calendar.el: Update reference to the papers in S-P&E.
        (calendar-print-astro-day-number): Correct spelling error in
         message string.

Mon May  3 11:00:27 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* help.el (help-for-help):  Use lower case letters for help options.

	* rect.el (string-rectangle): Renamed from fill-rectangle.
	(string-rectangle-line): Renamed from fill-rectangle-line.

Sat May  1 10:53:35 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* vc.el (vc-dired-prefix-map): New keymap.
	Use it in minor-mode-map-alist for vc-dired-mode.

	* vc-hooks.el (vc-mode-line): Don't alter key bindings.
	(vc-toggle-read-only): Put on C-x C-q unconditionally.
	(vc-mode): Add permanent-local property.

Fri Apr 30 07:51:50 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (find-file-noselect): On VMS, always set buffer-file-name
	to the truename.

	* vc.el (vc-revert-buffer1): Fix format of compilation-error-list.

	* files.el (find-file-noselect): Do set buffer-file-name
	to the truename, when find-file-visit-truename.

Thu Apr 29 13:19:09 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* yow.el (yow): Fix interactive spec.

	* files.el (insert-directory): Undo change of March 23;
	dereferencing links is inappropriate for dired.

	* edebug.el (edebug-display): Call the `mark' function with the
	FORCE argument non-nil, so that we don't get an error if the mark
	isn't set yet.

	* edebug.el (global-edebug-prefix, global-edebug-map): Add
	autoload cookies for these, so they are present when Emacs starts
	up.

	* edebug.el (global-edebug-map): Bind `C-x X d' to edebug-defun in
	this map; we can't bind it to `C-x x', as the installation
	instructions suggest, because that conflicts with
	copy-to-register.

Thu Apr 29 09:34:02 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* complete.el: New file.

	* vc.el (vc-match-substring): Renamed from match-substring.
	(vc-parse-buffer): Use new name.

	* shell.el (shell-prompt-pattern): Undo last change.

	* files.el (file-truename): Redo esr's change.

	* loaddefs.el: Put arrow key bindings back to the ordinary Emacs cmds.
	* simple.el (up-arrow, down-arrow, left-arrow, right-arrow): Deleted.

	* simple.el (kill-line, next-line-add-newlines): Doc fix.
	(kill-whole-line): Doc fix.
	(kill-forward-chars, kill-forward-chars): Reinsert as before.

	* simple.el: Change defalias to define-function.

Wed Apr 28 18:48:52 1993  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* vc.el (vc-revert-buffer1):
	Ignore non-marker elts of compilation-error-list.

	* compile.el: Add compilation-minor-mode to minor-mode-alist and
	minor-mode-map-alist.
	(compilation-minor-mode): New defvar.
	(compilation-minor-mode-map): New defvar; keymap with the bindings
	from compilation-mode-map except SPC and DEL.
	(compilation-mode-map): Construct this keymap to inherit from
	compilation-minor-mode-map.
	(compilation-setup): New function, code broken out of compilation-mode.
	(compilation-mode): Call it.
	(compilation-minor-mode): New function to toggle
	compilation-minor-mode; if setting it, call compilation-setup.

Wed Apr 28 17:19:21 1993  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* bibtex.el: Installed Aaron Larson's new bibtex.el.  See the
	header comment for details.

Wed Apr 28 16:31:02 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* gnuspost.el (gnus-inews-organization):
	If ORGANIZATION is "", set it to nil.

Wed Apr 28 13:34:40 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* files.el (file-truename): Undo last change.

Tue Apr 27 22:01:32 1993  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* files.el (file-truename): Do the right thing when $HOME = "".

	* simple.el (hscroll-step): New variable.
	(hscroll-point-visible): New function.
	(left-arrow, right-arrow): These use hscroll-point-visible for
	better auto- scrolling behavior.

	* picture.el: Completed the package entry point's name change from
	edit-picture to picture-mode.
	(move-to-column-force, picture-end-of-line): When movement is
	completed, scroll horizontally if necessary to make point visible.
	(picture-beginning-of-line): New function.
	(picture-mode-map): Use	substitute-key-definition.

	* gud.el (gud-format-command): Fix %f expansion to send ondly the
	basename of files to gdb.

Tue Apr 27 11:25:32 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* disp-table.el (describe-display-table): Don't use the term
	"rope"; we're using vectors of characters now.
	(standard-display-8bit, standard-display-ascii): Set the element
	of the display table to a vector, not an integer; the latter
	doesn't mean anything.

	* mouse.el (mouse-buffer-menu): Don't right-justify the buffer
	name; this doesn't look nice if we use a proportional font.

	* sendmail.el (mail-setup): Don't insert "--\n" before the
	signature.  If they want it, they can put it in their .signature
	file.

	* lucid.el: Comment out fset of set-screen-width properly.

	* lucid.el: (provide 'lucid).

	* lucid.el: (switch-to-other-buffer): Avoid buffers whose names
	start with a space.

Mon Apr 26 15:21:01 1993  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* etags.el (find-tag-interactive): New function to read args.
	(find-tag-noselect, find-tag, find-tag-other-window)
	(find-tag-other-frame, find-tag-regexp): Use it.
	(find-tag, find-tag-other-window):
	Take new arg REGEXP-P, pass to find-tag-noselect.
	(find-tag-regexp): Call either find-tag-other-window or find-tag,
	rather than find-tag-noselect and switch-to-buffer[-other-window].
	(tags-location-stack): New defvar.
	(find-tag-noselect): If NEXT-P is '-, pop location off
	tags-location-stack.

Mon Apr 26 05:15:08 1993  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* cmacexp.el: Installed Francesco Potorti's enhanced and
	cleaned-up version, see its commentary for details.

	* tex-mode.el: Doc fixes.  Also a few teaks to pacify the
	byte-compiler.

	* terminal.el: Some defvars moved.
	Defvars added for many variables.
	(te-stty-string): Specify the characters explicitly--not `stty dec'.

Mon Apr 26 05:01:41 1993  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* files.el (cd): Handle leading "~" like an absolute filename.

	* dired.el: Changed fsets to defaliases.

Sun Apr 25 22:26:51 1993  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* comint.el (comint-mod): Nuked.  A call to ring-mod replaces it.
	(comint-mem): Nuked.  A call to member replaces it.

	* ring.el: Rewritten.  A poor choice of representation made the
	old code excessively complex.  The new version is smaller and
	faster.  The interface is unchanged, except that ring-remove now
	accepts an optional numeric argument specifying the element to
	remove.

	* gud.el: Set no-byte-compile local variable t to work around a
	byte-compiler bug.
	(gud-def, global-map): Move C-x C-a commands to global map.  Restore
	original C-x SPC global binding.

	* vc.el (vc-diff): Get proper error message when you run this with
	no prefix arg on an empty buffer.
	(vc-directory): Better directory format --- replace the user and
	group IDs with locking-user (if any).
	(vc-finish-logentry, vc-next-comment, vc-previous-comment):  Replace
	*VC-comment-buffer* with a ring vector.

Sun Apr 25 06:14:19 1993  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* simple.el (down-arrow): New function.  Uses
	next-line-add-newlines to suppress addition of new lines at end of
	buffer.
	(up-arrow): Alias of previous-line, added for consistency.
	These changes complete terminal-type-independent support for arrow
	keys.

	* tex-mode.el (tex-compilation-parse-errors): Added.  At the
	moment, this would have to be applied manually.  It's not worth
	trying to integrate this with the rest of the mode more tightly
	until we decide whether and how compile's interface is going to
	change away from a closed subsystem.

	* files.el (cd): Changed to use to resolve relative cd calls.
	(cd-absolute): Added.  This is actually the old cd code with a
	changed doc string.
	(parse-colon-path): Added. Path-to-string exploder --- may be
	useful elsewhere.

	* ring.el: Added and fixed documentation.
	(ring-rotate): Nuked.  It was (a) unused, and (b) totally broken
	(as in, any attempt to use it died with a type error, and when I
	patched it to fix that I found its algorithm was broken).
	(ring-ref): Added doc string.

Sun Apr 25 00:48:29 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* bytecomp.el (meta-flag): Declare this an obsolete variable.

	* subr.el (listify-key-sequence): Use a character constant to
	decide which bits to flip, not an integer constant.

Sat Apr 24 06:08:52 1993  Noah Friedman  (friedman@nutrimat.gnu.ai.mit.edu)

        * shell.el (shell-prompt-pattern): Add `;' as potential prompt
          delimiter (for `es' and `rc' shells most particularly). 

Fri Apr 23 07:31:14 1993  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* isearch.el: Replaced all fsets with defaliases.

Fri Apr 23 06:51:44 1993  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* bytecomp.el (define-function): Changed name back to defaliases
	to get things in a known-good state.  The unload patch had been
	half-applied, leading to lossage.

	* register.el, gnuspost.el, find-dired.el, cust-print.el,
	two-column.el, tar-mode.el, shell.el, lselect.el, select.el,
	ispell.el, life.el, picture.el, rmail.el, mim-mode.el, replace.el,
	tex-mode.el, frame.el, lucid.el, subr.el:
	All fsets changed to defaliases.

	* edt.el: Some fsets changed to defaliases.

	* telnet.el: Commentary added.
        (telnet): Doc fix.
        (rsh): Added entry point for rsh to remote host, per suggestion by
	Michael McNamara <mac@ardent.com>.  No change to any other code.

	* info.el (Info-find-node, Info-insert-subfile): Do the right
	thing if info files have been compressed or gzipped.  This is
	saving me lots of disk space.

	* simple.el: All fsets changed to defaliases.
	(kill-forward-chars, kill-backward-chars): Deleted.  These were
	internal subroutines used by delete-char and delete-backward-char
	before those functions were moved into the C kernel.  Now nothing
	uses them.
	(kill-line): Added kill-whole-line variable.  Defaults to nil; a
	non-nil value causes a kill-line at the beginning of a line to
	kill the newline as well as the line.  I find it very convenient.
	Emulates Unipress' &kill-lines-magic variable.
	(next-line): Added next-line-add-newlines variable.  If nil,
	next-line will not insert newlines when invoked at the end of a
	buffer.  This obviates three LCD packages.
	(left-arrow, right-arrow): New functions.  These do backward-char
	and forward-char first. If line truncation is on, they then scroll
	left or right as necessary to make sure point is visible.

	* loaddefs.el: All fsets changes to defaliases.
	(global-map): Changed bindings of [left] and [right] to left-arrow and
	right-arrow respectively.

Thu Apr 22 22:56:54 1993  Roland McGrath  (roland@mole.gnu.ai.mit.edu)

	* ange-ftp.el (ange-ftp-binary-file-name-regexp):
	Match .z and .z-part-?? files.

Wed Apr 21 03:47:05 1993  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* makefile.el: Rewritten and simplified, commentary added.  It now
	will usually detect when the makefile target or macro lists need
	to be rebuilt and do it automatically; in particular, this means
	you no longer have to deal with an annoying wait at find-time.

Mon Apr 19 21:29:48 1993  Roland McGrath  (roland@mole.gnu.ai.mit.edu)

	* vc.el (vc-revert-buffer1): Typo fix in last change.

	* shell.el (shell-mode): isationization (doc fix).

	* shell.el (shell-mode): Capitalize mode name.

	* vc.el (vc-comment-to-change-log): Restored interactive spec.
	Why was it removed?  Why does the only log entry mentioning this
	function contain no actual information?

	* vc.el (vc-revert-buffer1):
	Completely rewrote compilation reparsing code.

	* files.el (find-file-noselect): Never set SAME-TRUENAME to a
	buffer whose buffer-file-name is nil.

	* files.el (set-auto-mode): If the buffer begins with "#!", look
	for -*- in the first two lines, not just the first one.

Sat Apr 17 17:44:30 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* sendmail.el (mail-do-fcc): Make a numeric time zone indicator
	with current-time-zone--don't run `date'.

Fri Apr 16 19:36:29 1993  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* bytecomp.el (byte-compile, byte-compile-keep-pending)
	(byte-compile-file-form-defmumble): Generate define-function
	rather than fset, to install definitions for defun, defmacro, etc.

	* loadhist.el: New file.

	* tar-mode.el: Add defvars to pacify the byte compiler, at RMS's
	request.

	* diff.el (diff-parse-differences): Small robustification ---
	don't lose if we call this with compilation-parsing-end nil

Fri Apr 16 19:23:21 1993  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* electric.el (shrink-window-if-larger-than-buffer):
	Moved to window.el.

Fri Apr 16 18:55:13 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* comint.el (comint-match-partial-pathname): Move "---" range in
	character class in regular expressions to the end of the character
	class; this way, it meets the POSIX regexp specs.

	* files.el (abbreviate-file-name): If abbreviated-home-dir ends
	with a slash, don't remove the corresponding slash from filename
	when we collapse the home directory to ~.

Fri Apr 16 09:06:07 1993  Noah Friedman  (friedman@nutrimat.gnu.ai.mit.edu)

        * rlogin.el: Add autoload cookies for all defvars.
        (rlogin-process-connection-type): New variable.
        (rlogin): Use it to determine process-connection-type.
        (rlogin): Set process mark to point-max, not point-min.
        (rlogin-with-args): Put `+' inside \(\) pair in string-match.
        (rlogin-password): Take optional arg `proc' for use by rlogin-filter.
        Write docstring.  Call new winning version of comint-read-noecho
        instead of doing reading by hand. 
        (rlogin-mode): Wrote docstring. 
        (rlogin-filter): Completely rewritten to be more efficient.

Wed Apr 14 16:35:17 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* resume.el (resume-suspend-hook): Renamed from empty-args-file.
	Add autoload cookie.
	(resume-emacs-args-buffer): Renamed.
	(resume-write-buffer-to-file): Renamed.

	* two-column.el (tc-dissociate): Renamed from tc-kill-association.
	Move binding to C-x 6 d.

Wed Apr 14 15:56:19 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* autoload.el (update-file-autoloads, update-directory-autoloads):
	If called interactively, save generated-autoload-file when done.

Wed Apr 14 15:34:50 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* makefile.el (makefile-mode): Fix typo in autoload cookie.

	* isearch.el: Doc fixes.

Wed Apr 14 16:41:51 1993  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* gud.el (gud-mode): Created C-c synonym bindings in the GUD
	buffer's local map.
	
	(gud-key-prefix): Changed to C-x C-a.

Wed Apr 14 16:38:49 1993  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* help-macro.el: Name changed from help-screen.el to fit in a
	14-character limit.

	* sun-curs.el: Name changed from sun-cursors.el to protect the
	innocents.

Wed Apr 14 03:34:44 1993  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* finder.el: Rewritten.  The Finder is now a major mode with the
	ability to browse package commentary sections and a completely 
	point-and-shoot interface similar to Dired's.

	* window.el (shrink-window-if-larger-than-buffer): Moved from
	electric.el to windows.el, minor bug fix.  This is to avoid code
	duplication between vc.el, electric.el, and finder.el.
	
	(ctl-x-map): Added C-x - and C-x + as experimental bindings for
	shrink-window-if-larger-than-buffer and balance-windows
	respectively.  Since shrink-window-if-larger-than-buffer has to
	live here anyhow, let users use it to manage screen space.

	* lisp-mnt.el (lm-commentary-region): Gone.
	
	(lm-commentary): New function, replacing lm-commentary-region.

Mon Apr 12 21:36:52 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* bytecomp.el: The `suspend-hooks' variable is obsolete now, and
	`suspend-hook' is the right name.

Mon Apr 12 21:36:20 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* term/sun-mouse.el (suspend-emacstool): Run suspend-hook, not
	suspend-hooks.

Mon Apr 12 07:54:16 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rot13.el (rot13-display-table): Use `vector', not `make-rope'.

	* disp-table.el: Use `vector', not `make-rope'.

	* rot13.el (rot13-other-window): Add autoload.

Mon Apr 12 04:30:46 1993  Noah Friedman  (friedman@nutrimat.gnu.ai.mit.edu)

        * comint.el (comint-process-echoes): New variable.
        (comint-mode): Make it buffer-local. 
        (comint-send-input): Delete text from process mark to point if
        variable `comint-process-echoes' is non-`nil', since it is assumed
        process will re-echo the text. 

Mon Apr 12 03:49:01 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* disp-table.el: Use `vector', not `make-rope'.

	* rot13.el (rot13-other-window): Add autoload.
	(rot13-display-table): Use `vector', not `make-rope'.

Sat Apr 10 14:28:05 1993  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* gud.el (gdb, sdb, dbx): Improved prompting a la grep.

	* comint.el: Clean up cmu* uses in header comments.

Sat Apr 10 06:21:55 1993  Jim Blandy  (jimb@mole.gnu.ai.mit.edu)

	* subr.el (overlay-start, overlay-end, overlay-buffer): New
	defsubsts.

Sat Apr 10 00:39:29 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)
	
	* paragraphs.el (sentence-end, forward-sentence): Doc fixes.

        * finder.el (finder-by-keyword): Build an alist to pass to
	completing-read, instead of building an invalid obarray.
	
	* finder.el (finder-by-keyword): If the user quits or enters the
	empty string in response to the keyword prompt, restore the old
	window configuration properly.

Sat Apr 10 00:39:29 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* paragraphs.el (sentence-end, forward-sentence): Doc fixes.

Fri Apr  9 23:17:05 1993  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* emerge.el (emerge-with-ancestor): Applied Donald Erway's fix
	patch, which included the following explanatory comment: "D.Erway
	- This used to just do emerge-get-diff3-group on 2, then on
	3. This was incorrect, since the file 3 info for a diff can
	preceed the file 2 info for that same diff. So we save and restore
	point to overcome this."

Fri Apr  9 03:34:22 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* subr.el (overlay-start, overlay-end, overlay-buffer): New
	defsubsts.

        * finder.el (finder-by-keyword): Build an alist to pass to
	completing-read, instead of building an invalid obarray.

	* finder.el (finder-by-keyword): If the user quits or enters the
	empty string in response to the keyword prompt, restore the old
	window configuration properly. 

Thu Apr  8 17:47:39 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* autoload.el (generate-file-autoloads): Doc fix.

Thu Apr  8 16:35:59 1993  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* gud.el: Massive changes, amounting nearly to a rewrite.  The new
	features include auto-configuring support for SVr4, more commands,
	and a full minor-mode implementation that binds all GUD commands
	not just in the GUD interaction mode, but in C buffers visited by
	GUD.  The common prefix of GUD commands is now C-x X, like
	electric-debug mode.

	* vc-hooks.el (vc-mode): name change.  This looks better in keymap
	listings and conforms to the naming conventions used by other
	packages.

	* vc.el (vc-directory. vc-start-entry, vc-next-action,
	vc-next-action-on-file): The vc-directory listing is now in an
	augmented Dired mode that supports vc-next-action on all marked
	files.

	* dired.el (dired-noselect, dired-internal-noselect,
	dired-insert-directory): Enhancements to support passing dired a
	DIRNAME argument consisting of a directory-name car and a
	list-of-files cdr.  This is needed to support VC's augmented
	dired, which wants a filtered file display that recurses (showing
	all version-controlled files in subdirectories as well as the
	top-level ones).

	* menu-bar.el: Added and corrected library headers.

Thu Apr  8 07:10:13 1993  Richard Stallman  (rms@geech.gnu.ai.mit.edu)

	* menu-bar.el: entered into RCS

	* lucid.el: Add copyright notice.

Wed Apr  7 20:58:20 1993  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* compile.el (compile-internal): Initialize the process-mark.

	* compile.el (compilation-error-regexp-alist):
	Tighten first regexp so that it
	requires a colon or open-paren before the line number, not just
	whitespace.

	* compile.el (compilation-parse-errors): Remove debugging setq.

	* compile.el (compilation-filter): New function.
	(compile-internal): Make it the process's filter.

	* compile.el (compilation-error-regexp-alist):
	Fixed MIPS CC regexp to match file
	names longer than one char.
	(compilation-parse-errors): Error if compilation-error-regexp-alist is nil.

Wed Apr  7 17:42:52 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* menu-bar.el: New file.

	* fill.el (fill-nonuniform-paragraphs): New command.

Wed Apr  7 16:58:20 1993  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* compile.el (compile-internal): Initialize the process-mark.

Wed Apr  7 16:14:29 1993  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* compile.el (compilation-error-regexp-alist): Tighten first
	regexp so that it requires a colon or open-paren before the line
	number, not just whitespace.

Wed Apr  7 15:24:19 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (find-file-noselect):
	Verify other buffers' file numbers are still valid.

Wed Apr  7 14:34:17 1993  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* compile.el (compilation-filter): New function.
	(compile-internal): Make it the process's filter.

	* compile.el (compilation-error-regexp-alist): Fixed MIPS CC
	regexp to match file names longer than one char.
	(compilation-parse-errors): Error if
	compilation-error-regexp-alist is nil.

Wed Apr  7 00:27:01 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* tabify.el (untabify): Don't really change where restriction starts.

Tue Apr  6 13:11:10 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* dired.el (dired-pop-to-buffer): Adjust count-lines val for last line.

Mon Apr  5 19:52:16 1993  Roland McGrath  (roland@wookumz.gnu.ai.mit.edu)

	* add-log.el (find-change-log): New function.
	(add-change-log-entry): FILE-NAME frobnicating code moved there;
	call it.
	* vc.el (vc-comment-to-change-log):
	Renamed from vc-comment-to-changelog.
	Take optional arg and pass it to find-change-log.
	Added docstring and interactive spec.

Mon Apr  5 17:13:43 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* compile.el (compilation-error-regexp-alist):
	Merged HP-UX 7.0 fc regexp with the
	GNU format regexp: just allowing blanks to terminate the line number
	makes that one handle the HP case.  Merged MIPS RISC CC regexp with
	Apollo cc regexp: make "s optional, and don't anchor to bol.

	* compile.el (compilation-error-regexp-alist):
	Changed MIPS RISC CC regexp (last one) to
	be anchored at bol, and to never match multiple lines.

Sat Apr  3 23:28:03 1993  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* man.el, assoc.el: Installed Barry Warsaw's new and much more
	featureful man page browser.

	* finder.el, help-screen.el, faces.el: Added or corrected
	documentation headers

Sat Apr  3 11:00:56 1993  Noah Friedman  (friedman@geech.gnu.ai.mit.edu)

	* comint.el: New comint-read-noecho.

Fri Apr  2 16:41:54 1993  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* chistory.el (repeat-history-command): Bug fix.  Someone forgot a car.

Fri Apr  2 01:18:58 1993  Richard Stallman  (rms@wookumz.gnu.ai.mit.edu)

	* mpuz.el (mpuz-try-letter): Use read-char to read digit.
	Use message directly also.  Use downcase.
	(mpuz-read-map): Deleted.

	* dired.el (dired-unmark-all-files): Read the arg as just a char.

Thu Apr  1 17:19:36 1993  Richard Stallman  (rms@wookumz.gnu.ai.mit.edu)

	* lisp-mode.el (eval-defun): Rename argument to avoid collision.
	(eval-last-sexp): Likewise.

Wed Mar 31 21:11:36 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* etags.el (etags-tags-completion-table): Rewritten with a mondo
	regexp.

Wed Mar 31 20:05:51 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* timer.el (timer-program): New defconst.
	(run-at-time): Use timer-program as the name of the program the
	subprocess should run, and search for it in exec-directory, rather
	than checking the entire exec path.

Wed Mar 31 16:12:06 1993  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* simple.el (indent-for-comment): Use skip-syntax-backward in place of
	skip-chars-backward.
	Correctly set INDENT to the return value of comment-indent-function.

	* etags.el (etags-tags-completion-table): Use skip-syntax-backward
	instead of skip-chars-backward.

	* view.el (view-exit): Use local map view-old-local-map,
	not (current-local-map).
	(view-buffer-other-window): Remove spurious backslashes from
	interactive spec.

	* map-ynp.el (map-y-or-n-p): Make bindings of user-defined keys be
	each a vector containing the user's binding, rather than 'user.  Check
	(vectorp DEF) and call the vector's elt, rather than checking (eq 'user
	DEF) and calling something completely random.

	* novice.el (enable-command): Remove spurious assignment of free
	variable `foo'.

	* help.el (describe-function): For Lisp functions, write a
	prototype call before the docstring, instead of an argument
	description after it.

Tue Mar 30 17:15:24 1993  Noah Friedman  (friedman@nutrimat.gnu.ai.mit.edu)

	* files.el (find-backup-file-name): Delete nothing if overflow
	in number of versions to keep.

Tue Mar 30 16:12:13 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* subr.el (int-to-string): Make this an alias for the subr
	number-to-string.

Tue Mar 30 14:37:56 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* isearch.el (isearch-mode-map): Delete the binding for C-h.
	(isearch-done): Customize the message about mark.

Tue Mar 30 14:37:42 1993  Noah Friedman  (friedman@nutrimat.gnu.ai.mit.edu)

        * comint.el (comint-read-noecho): Rewritten to provide some simple
        editing ability and be able to abort when called from a process
        filter.  Re-arranged and updated docstring.

Tue Mar 30 16:22:39 1993  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* ring.el: Changed summary line.

Tue Mar 30 02:27:30 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* faces.el: New file.

Mon Mar 29 14:08:44 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmail.el (rmail): Don't use mbox as inbox by default.

	* simple.el (count-lines): Use save-match-data.

	* buff-menu.el: Put back removed years in copyright notice.

Mon Mar 29 15:38:31 1993  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* vc.el (vc-next-action, vc-print-log, vc-diff, vc-revert-buffer):
	Improved logic for parent buffer finding.

	(vc-cancel-version): bug fix.

Mon Mar 29 03:09:10 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* mailabbrev.el: Provide mailabbrev, not mail-abbrevs.

Sun Mar 28 15:10:50 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* fill.el (fill-individual-paragraphs): When skipping mail headers,
	skip to a blank line.

	* env.el (setenv): Renamed back from putenv.

	* replace.el (regexp-history): New history list.
	(occur, flush-lines, keep-lines, how-many): Use it.
	(occur): Don't insert previous string in minibuffer gratuitously.
	Just use it if input is empty.
	Use save-match-data around count-lines.

Sun Mar 28 01:53:54 1993  Noah Friedman  (friedman@nutrimat.gnu.ai.mit.edu)

        * setenv.el: Renamed to env.el.  Provide `env', not `setenv'. 
        (setenv): Renamed to `putenv', which is the more proper complement
        of `getenv'.  `setenv' retained as an alias. 
        Make VALUE parameter optional; if not set, remove VARIABLE from
        process-environment. 

        * rlogin.el (rlogin): If given a prefix argument and an rlogin
        session for HOST is already running, start a new rlogin process
        rather than switching to the existing one.  Added docstring.
	Bound `proc' in let*.
        (rlogin-explicit-args, rlogin-password-paranoia): New variables.
        (rlogin-filter): Prompt for passwords in minibuffer if
        rlogin-password-paranoia is set. 
        (rlogin-with-args, rlogin-password): New functions.

Sun Mar 28 06:40:46 1993  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* vc.el (vc-comment-to-changelog): A useful vc-checkin hook, added.
	(vc-checkout): Now rejects attempts to check out files via FTP.
	
	* vc.el: The `derived buffers' in the mode (the VC log buffer,
	status buffers, and most buffer output commands) now know which
	file buffer was their parent, and most commands will try to find
	such a parent buffer when executed from within a special buffer.

	* makefile.el: Added autoload cookie for entry point.

	* files.el (auto-mode-alist): added pairs for .ms, .man, .mk,
	[Mm]akefile, .lex.

	* electric.el: (shrink-window-if-larger-than-buffer) Added doc
	string.  Made argument optional, because window-buffer does the
	right thing with nil.

	* ebuff-menu.el (electric-buffer-menu-mode-map): fillarray isn't a
	 valid operation on maps any more.

Sat Mar 27 16:26:22 1993  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* refer.el: Installed.

Sat Mar 27 13:00:59 1993  Richard Stallman  (rms@wookumz.gnu.ai.mit.edu)

	* lucid.el (try-face-font, find-face, get-face): New aliases.

Sat Mar 27 08:20:12 1993  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* abbrevlist.el, old-inf-lisp.el, old-screen.el old-shell.el,
	oshell.el: Removed.

Sat Mar 27 02:44:26 1993  Noah Friedman  (friedman@nutrimat.gnu.ai.mit.edu)

        * rlogin.el: Updated copyright year and added autoload cookies.
        (rlogin): Set process marker to beginning of buffer.
        (rlogin-filter): Use unwind-protect to restore match-data.  Use
        insert-before-markers instead of insert to keep input and output
        from getting garbled.  Delete spurious ?\C-m chars in output
        instead of replacing them with ?\ .

Sat Mar 27 01:18:21 1993  Richard Stallman  (rms@wookumz.gnu.ai.mit.edu)

	* case-table.el: Add autoloads.
	(set-case-syntax-delims, set-case-syntax-pair, set-case-syntax):
	Rename arg STRING to TABLE.  Do not set the standard case table.

Fri Mar 26 21:45:40 1993  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* loaddefs.el: Commented out function-key-error definition and
	uses in the global keymaps.  RMS and jimb objected to the amount
	of space these took up in the keybinding listings.

Sat Mar 27 01:58:44 1993  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* lpr.el (printify-buffer): Added, debugged from Roland McGrath's
	printify-buffer code in LCD.

	* cookie.el (cookie): Enhanced it to handle both LINS files and
	UNIX fortune files.

	* rect.el (fill-rectangle):  Added.  Inspired by Lynn Slater's
	insert-box package in LCD, but the interface and implementation
	are different.

	* loaddefs.el (ctl-x-map): Added binding for fill-rectangle.

	* buff-menu.el (Buffer-menu-toggle-read-only): Added, per Rob
	Austein's suggestion in the LCD package bm-toggle.el.

	* subr.el (add-hook):  Added optional arg to cause hook to be
	appended rather than prepended to the hook list.  This obviates
	the 23 different hook-bashing packages in LCD.
	
	* subr.el (current-word): Added.  Lots of help and default-generator
	functions in LCD use it, and it's remarkably difficult to get
	right, especially given the new syntax primitives.

Fri Mar 26 07:28:20 1993  Richard Stallman  (rms@geech.gnu.ai.mit.edu)

	* files.el (local-write-file-hooks): New variable.
	(set-visited-file-name): Kill local-write-file-hooks as local var.
	(basic-save-buffer): Use local-write-file-hooks.

Fri Mar 26 02:27:15 1993  Richard Stallman  (rms@wookumz.gnu.ai.mit.edu)

	* files.el (local-write-file-hooks): New variable.
	(set-visited-file-name): Kill local-write-file-hooks as local var.
	(basic-save-buffer): Use local-write-file-hooks.

Fri Mar 26 04:17:45 1993  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* yow.el (psychoanalyze-pinhead): Needed a prefrontal lobotomy.  I
	gave it one.

	* two-column.el: Added Commentary.

Thu Mar 25 03:40:35 1993  Richard Stallman  (rms@geech.gnu.ai.mit.edu)

	* help.el (describe-function): Add blank line above doc string.

	* uncompress.el: Add provide call.

Thu Mar 25 01:57:43 1993  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* lisp-mnt.el (lm-last-modified-date): Fixed return bug.

	(lm-author, lm-maintainer): These now return cons pairs, not strings.

	* shell.el: Brent Benson's patch to support `cd -'.

	* mh-e.el (mh-unshar): Added.

	* emacsbug.el: Added a (provide 'emacsbug); lisp-mnt.el needs this.

Wed Mar 24 23:38:53 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* term/x-win.el (x-defined-colors): Use x-color-defined-p instead of
	x-defined-color.
	(x-handle-geometry): Use x-parse-geometry instead of x-geometry.

Wed Mar 24 20:27:07 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* calendar.el (calendar-standard-time-zone-name,
	calendar-daylight-time-zone-name): Initialize these at load-time,
	as well as calendar-time-zone.

	* calendar.el (calendar-time-zone): Fix code which initializes
	this.

Wed Mar 24 02:59:21 1993  Richard Stallman  (rms@wookumz.gnu.ai.mit.edu)

	* term/x-win.el: Bind M-next to an alias scroll-other-window-1
	to get better doc string output.

Tue Mar 23 18:27:03 1993  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* compile.el: Fix library headers.

Tue Mar 23 07:41:49 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* files.el (insert-directory): Do chase symlinks before passing
	the directory name to ls.

Tue Mar 23 07:26:34 1993  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* buff-menu.el: Incorporated changes from Bob Weiner's enhanced
	buff-menu from the LCD archive.

Tue Mar 23 02:26:42 1993  Richard Stallman  (rms@geech.gnu.ai.mit.edu)

	* replace.el (query-replace-map): Define backspace like delete.

Mon Mar 22 22:44:49 1993  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

        * cookie.el: Created.  This file contains what was formerly the
	guts of spook.el, lightly hacked to support more than one
	simultaneous cookie database.

	* spook.el, yow.el: Modified to use cookie.el.  Total code in
	the three files cookie.el, yow.el and spook.el is less than the
	old spook.el + yow.el.

	* time.el, timer.el, uncompress.el, underline.el, view.el, vip.el,
	xscheme.el: Added or corrected Commentary section.  This finishes
	my pass over the lisp libraries; I'll teach the finder about
	these commentary sections soon.

Mon Mar 22 17:35:29 1993  Richard Stallman  (rms@wookumz.gnu.ai.mit.edu)

	* term/x-win.el (x-win-suspend-error):
	suspend-hook renamed from suspend-hooks.

Mon Mar 22 16:53:22 1993  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* help.el, register.el, replace.el, reposition.el, rfc822.el,
	rlogin.el, rot13.el, scribe.el, scroll-bar.el, sendmail.el,
	setenv.el, sgml-mode.el, simple.el, simula.el, sort.el, spell.el,
	spook.el, studly.el, tabify.el, text-mode.el: Added or corrected
	Commentary headers.

Mon Mar 22 14:15:30 1993  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

        * diary-insert.el: Change the name to diary-ins.el.
        * calendar.el: Change all autoload references to diary-ins.

Mon Mar 22 06:59:54 1993  Richard Stallman  (rms@geech.gnu.ai.mit.edu)

	* help.el: Don't load help-screen at run time if compiled.

Mon Mar 22 05:42:35 1993  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* man.el, mlconvert.el, mlsupport.el, modula2.el, mouse.el,
	mpuz.el, netunam.el, novice.el, nroff-mode.el, options.el,
	outline.el, page.el, paragraphs.el, picture.el, prolog.el,
	rect.el: Added or corrected Commentary sections.

Mon Mar 22 03:27:18 1993  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* abbrev.el, ada.el, add-log.el, array.el, autoinsert.el,
	autoload.el, awk-mode.el, bib-mode.el, bibtex.el, buff-menu.el,
	bytecomp.el, c++-mode.el, c-mode.el, cl-indent.el, cmacexp.el,
	cmulisp.el, cmuscheme.el, comint.el, compare-w.el, compile.el,
	debug.el, diff.el, dired-aux.el, dired.el, disass.el,
	dissociate.el, doctor.el, ebuff-menu.el, edebug.el, ehelp.el,
	emacsbug.el, emerge.el, files.el, fill.el, fortran.el, gosmacs.el,
	hanoi.el, hexl.el, hideif.el, icon.el, indent.el, iso-insert.el,
	iso-swed.el, iso-syntax.el, iso8859-1.el, ispell.el, kermit.el,
	ledit.el, life.el, lisp-mode.el, lisp.el, lpr.el, macros.el,
	mail-utils.el, mailalias.el, makefile.el, makesum.el, mim-mode.el,
	modula2.el, nroff-mode.el, perl-mode.el, prolog.el, scheme.el,
	sgml-mode.el, tex-mode.el:
	Added or corrected Commentary sections.  There's more of this
	coming; soon, the package finder will be able to browse Commentary
	sections, and I want almost all packages to have useful ones.

Sun Mar 21 03:03:46 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* help.el: Don't load help-screen at run time if compiled.

	* simple.el (line-number-mode): New function and variable.

	* loaddefs.el (default-mode-line-format-default): Use %l.

Sun Mar 21 00:30:21 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

 	* time.el (display-time): Doc fix.

	* isearch.el (isearch-switch-frame-handler): Call
	handle-switch-frame instead of select-frame; it has been renamed.

	* simple.el (comment-indent-function): New variable, intended to
	replace comment-indent-hook.
	(comment-indent-hook): Make this default to nil now.
	(indent-for-comment): If comment-indent-hook is non-nil, call it
	for backward compatibility; otherwise, call
	comment-indent-function.
	* bytecomp.el: Declare comment-indent-hook an obsolete variable.

Sat Mar 20 15:16:51 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* time.el (display-time): Doc fix.

	* lucid.el: Alias lower-screen and raise-screen to lower-frame and
	raise-frame, the new names for those functions.

Fri Mar 19 21:48:09 1993  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* bush.el: Deleted.

	* finder.el: Make sure that when new keywords are compiled, we see them
	immediately.

Fri Mar 19 17:38:48 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

        * tex-mode.el (tex-send-command): Fix the command sent so that no
        blank is inserted when replacing the asterisk with the file name.

Fri Mar 19 14:21:44 1993  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* vt100-led.el, bg-mouse.el, sup-mouse.el, sun-mouse.el:
	moved to term directory.

Thu Mar 18 21:44:24 1993  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* Makefile: created.  This exists mainly so developers elsewhere
	can unlock the lisp files to accept an update tar, then relock
	them without locking the few that should stay writeable.

	* solar.el, ange-ftp.el: Corrected Keywords header

	* ftp.el: Nuked (actually, moved to =ftp.el).
	ange-ftp.el replaces this.

Thu Mar 18 21:39:28 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

        * solar.el (solar-time-string): Round the time properly.

Thu Mar 18 21:29:42 1993  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* abbrev.el, abbrevlist.el, add-log.el, apropos.el, array.el,
	autoload.el, awk-mode.el, cal-french.el, cal-mayan.el,
	calendar.el, cmulisp.el, cmuscheme.el, comint.el, compile.el,
	completion.el, cust-print.el, dabbrev.el, debug.el, diary.el,
	diff.el, disass.el, edebug.el, edmacro.el, emacsbug.el, finder.el,
	inf-lisp.el, ispell.el, life.el, lisp.el, lunar.el, macros.el,
	netunam.el, old-shell.el, scribe.el, spell.el, sun-cursors.el,
	terminal.el, unrmail.el, vms-pmail.el:
	Add or correct Keywords headers for finder.

Thu Mar 18 19:22:48 1993  Richard Stallman  (rms@geech.gnu.ai.mit.edu)

	* frame.el (make-frame): Renamed from new-frame.
	(new-frame): Alias for make-frame.

Thu Mar 18 14:18:32 1993  Richard Stallman  (rms@wookumz.gnu.ai.mit.edu)

	* frame.el (make-frame): Renamed from new-frame.
	(new-frame): Alias for make-frame.

Thu Mar 18 11:34:34 1993  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

        * tex-mode.el (tex-send-command): Fix the command sent so that no
        blank is inserted when replacing the asterisk with the file name.

Thu Mar 18 03:38:31 1993  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* term/wyse50.el: (function-key-map) Nuke code no longer bound to keys.

	* term/tvi970.el: (function-key-map)
	As many key cookies as possible renamed to fit the new conventions
	documented in lisp/term/README.

	* term/vt100.el, term/news.el: (function-key-map)
	Fix things so that bindings are added to the keymap already created by
	terminal initialization.

Wed Mar 17 16:57:17 1993  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* help-screen.el: Installed, following release.  Now package
	writers can easily implement help screens resembling Emacs's
	own on-line help system.

	* help.el: help-for-help now uses make-help-screen from help-screen.el.

Wed Mar 17 13:24:32 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* finder-inf.el: Deleted the RCS file.

Wed Mar 17 17:19:16 1993  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* isearch.el, lselect.el, select.el, scroll-bar.el, texinfo.el,
	pending-del.el, profile.el, texinfmt.el, ls-lisp.el, meese.el,
	isearch.el, tmenu.el, lmenu.el, rmailsum.el, unrmail.el,
	hippie.el, lmenu.el, rmailmsc.el, rlogin.el, mhspool.el,
	lisp-mode.el, novice.el, mouse.el, vms-pmail.el, vc-hooks.el,
	levents.el, iso8859-1.el, isearch.el, hippie.el, find-gc.el,
	cust-print.el, find-dired.el, etags.el, electric.el, dired.el,
	dired-aux.el, cust-print.el, cmuscheme.el, cmulisp.el, cl.el,
	case-table.el, byte-run.el, ange-ftp.el, backquote.el:
	Added or corrected library header comments.

Wed Mar 17 14:26:35 1993  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* finder.el (finder-compile-keywords): Treat nil in a path
	argument as $PWD.
	
	(finder-by-keyword): Handle LFD as input gracefully.

Wed Mar 17 14:01:56 1993  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* vc-hooks.el: Increment version number to match vc.el's.

	* vc.el (vc-header-strings): Name changed to vc-header-alist, to match
	the docs.
	
	(vc-finish-logentry, vc-next-comment, vc-previous-comment,
	vc-comment-search-forward, vc-comment-search-backward) The VC comment
	ring is now a separate buffer from *VC-log*; editing of old comments
	is no longer destructive.

Tue Mar 16 21:09:56 1993  Paul Eggert  (eggert@twinsun.com)

	* vc.el (vc-version-diff): Use (message ...), not (message (format
	...)).  (vc-backend-checkout, vc-backend-assign-name): Correct
	bogus messages.

	* vc-hooks.el: Merge today's change by eric with everybody else's
	change (from 1992/08/04 through 1993/02/24).

Tue Mar 16 13:03:35 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* bytecomp.el (byte-compile-from-buffer): Put buffer containing
	compiled code in binary overwrite mode.

        * simple.el (quoted-insert): In overwrite mode, don't read digits
	as an octal character code.  In binary overwrite mode, overwrite
	the characters instead of inserting them.
	(overwrite-mode-textual, overwrite-mode-binary): New symbols, for
	use in the mode line.
	(overwrite-mode): Doc fix.  Use force-mode-line-update.
	(binary-overwrite-mode): New function.
    	* loaddefs.el (minor-mode-alist): Make the mode line element for
	overwrite-mode be the symbol `overwrite-mode'.

Tue Mar 16 10:52:06 1993  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* vc.el, vc-hooks.el: the macro vc-error-occurred has to move from
	vc.el to vc-hooks.el for C-x C-f of a nonexistent file to work.

Tue Mar 16 03:40:21 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* calendar.el (calendar-time-zone): Initialize this when
	calendar.el loads, not in the defvar.

Mon Mar 15 01:01:29 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* register.el (view-register): Neglect not to avoid failing to
	properly display all the possible sorts of things one might find
	in a buffer.

	Make frame configurations start with a distinctive symbol.
	* frame.el (current-frame-configuration): Return a list as before,
	but starting with `frame-configuration'.
	(set-frame-configuration): Check that CONFIGURATION is a list
	starting with `frame-configuration', strip it off, and do as before.
	(frame-configuration-p): New function.
	* register.el (jump-to-register): Use frame-configuration-p,
	instead of catching an error in set-frame-configuration.  Really now.

	* indent.el (indent-region, indent-region-function): Doc fix.

	* indent.el (indent-line-function): Doc fix.

Sun Mar 14 23:43:04 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* sort.el (sort-float-fields, sort-numeric-fields): Use
	string-to-number, not string-to-float or string-to-int.

	* sort.el (sort-float-fields): Make this autoloaded.

	* sort.el (sort-numeric-fields): Doc fix.

Sun Mar 14 00:51:01 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* lselect.el, select.el: New files.

	* term/x-win.el: Require select.el.
	(x-select-text): Update call to x-set-cut-buffer.
	Put `PRIMARY' and `CLIPBOARD' in upper case.
	(x-cut-buffer-or-selection-value): Put `PRIMARY' in upper case.

	* lucid.el, lmenu.el, levents.el: New files.
	Much of lmenu.el comes from Lucid.

Sat Mar 13 16:45:11 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmailsum.el (rmail-summary-next-msg): Call display-buffer.
	(rmail-summary-previous-all, rmail-summary-next-all): Likewise.
	(rmail-summary-rmail-update): Do nothing if rmail buffer not visible.
	(rmail-summary-mode-map): Don't bind C-n, C-p.  Use ordinary move cmds.

Fri Mar 12 19:53:22 1993  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* term/x-win.el: Added library headers.

Fri Mar 12 14:53:51 1993  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* loaddefs.el (global-map): Fixed a typo in the binding of
	[kp-backtab].

	* term/x-win.el: Added library headers back in. Didn't touch
	any key bindings or code, and won't without making sure there
	won't be any repeat of the bad-patch brouhaha.

Thu Mar 11 18:50:04 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* term/x-win.el: Cancel previous change, since it discarded
	earlier necessary changes.

Thu Mar 11 13:45:58 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* term/x-win.el: Cancel previous change, since it discarded
	earlier necessary changes.

Thu Mar 11 09:00:25 1993  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* term/vt100.el:
	Added headers, commented out code the duplicates startup effects.

	* term/x-win.el: Added headers, removed function bindings.

	* term/wyse50.el: Added headers, changed some keycap names.

	* term/tvi970.el: Added headers, changes some keycap names.

	* term/sun.el: Added headers, removed function-key bindings.

	* term/news.el: Added headers, changed a few cookie names.

	* term/keyswap.el: Initial revision

Thu Mar 11 07:01:17 1993  Jim Blandy  (jimb@mole.gnu.ai.mit.edu)

	* term/x-win.el: Disable suspending under X windows by setting
	suspend-hooks, not suspend-hook.  The latter is an obsolete name.
	Use add-hook instead of setting suspend-hooks directly.

Thu Mar 11 03:00:19 1993  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	A boatload of changes to terminal support and terminal capability
	initialization that make it a lot smarter, with a more uniform
	and featureful interface across many different keyboard types.
 
	* term.c (fkey_table): has been expanded to handle the entire
	  intersection of the capability sets defined by X keysyms and
	  terminfo.  That is, every keysym for which there is a natural
	  equivalent in terminfo is now bound to that by the startup code.

	* loaddefs.el (global-map): Natural default keybindings set up for
	  almost all supported keysyms other than function keys.  All
	  other keysyms are now default-bound to a function which explains
	  that the key is not bound to anything, then raises an error.

	* term/READ.ME: terminal package conventions and standard keysym
	  cookies are now documented here.

	* term/AT386.el: new package installed.  Handles IBM-AT style
	  console keyboards with style and flair.

	* term/new-at386.el: removed, it was obsolescent.

	* term/apollo.el: nuked and linked to vt100.el.  All it formerly
	  did was load vt100.el.

	* term/bobcat.el: copied and linked to `keyswap.el'.

	* term/keyswap.el: the old bobcat.el with headers and docs.  This
	  is available for other terminal packages to call.

	* term/news.el: cleaned up, headers added.

	* term/sun.el: headers added, [again] changed to [redo].  This
	  package is a hairball and should probably be scrapped if we
	  can find or built abetter one.

	* term/tvi970.el: headers added, [enter] changed to [kp-enter].

	* term/vt100.el: headers added, cleanup, explicit function-key
	  enable is no longer necessary.

	* term/vt200.el: nuked.  It's now a link to vt100.el.  This is possible
	  because all the things handled differently on the vt200 are
	  mined out of termcap by 19's initialization before either
	  package is loaded.

	* term/wyse50.el: cleaned up, headers added, various cookie names
	  changed, function bindings removed.

	* term/x-win.el: cleaned up, headers added.  Some bindings of keycap
	  cookies to functions were removed; all that stuff is handled
	  terminal-independently in loaddefs now.

        Other changes:

	* help.el: added binding and menu line for new `P' package-finder
	command.  Won't actually take effect till the next Emacs build.

	* vc.el (vc-backend-checkin): Fixed bizarre POM-dependent bug
	introduced into VC by a bad patch.  This was one for the
	books....badly corrupted vc-checkin code somehow mostly functioned
	for three days.  The Code That Would Not Die...

Thu Mar 11 02:01:52 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* startup.el (command-line-1): Fix copyright year.

Wed Mar 10 12:59:06 1993  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

        * diary-insert.el (insert-anniversary-diary-entry,
        insert-block-diary-entry): Fix calendar-date-display-form used.

Wed Mar 10 12:06:52 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* files.el (basic-save-buffer): If file-precious-flag is set, and
	we write the buffer to a temp file and then rename it, don't
	neglect to set the new file's modes properly.

Wed Mar 10 06:31:49 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* term/x-win.el (function-key-map):
	Map key symbols backspace, return... into ASCII chars.
	Likewise their Meta versions.
	Also add `ascii-character' properties.

Tue Mar  9 17:58:31 1993  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* term/at386.el:  Removed.  The new terminal initialization stuff
	  makes it superfluous.  I wrote it, so I should know. :-)

	* vc.el: Installed version 5, the new baseline.  This version
	  merges my changes with Paul Eggert's.

Tue Mar  9 00:36:33 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* timer.el (run-at-time): Allow an integer as TIME.
	(cancel-timer): New function.

	* c-mode.el (c-beginning-of-statement): If next to a comment,
	use sentence motion.

	* map-ynp.el (map-y-or-n-p): Use query-replace-map.

	* replace.el (query-replace-map): New keymap.
	(perform-replace): Use query-replace-map.
	(query-replace, query-replace-regexp, map-query-replace-regexp):
	(replace-string, replace-regexp): Don't print `done' if unread chars.

	* help.el (command-apropos): Print echo area message iff found symbols.

	* rmailsum.el (rmail-update-summary): New function.
	(rmail-new-summary): New arg redo-form.  Considerable rewrite
	of how and when buffers are selected.
	(rmail-summary-mode): New local vars rmail-summary-redo,
	revert-buffer-function, post-command-hook, rmail-current-message.
	(rmail-summary-expunge): Use rmail-update-summary.
	(rmail-summary-get-new-mail): Likewise.
	(rmail-summary-expunge-and-save): Likewise.
	(rmail-summary-input): Don't update summary at all.
	(rmail-summary-reply): Do the work inside save-window-excursion,
	then switch to the mail buffer.
	(rmail-summary-retry-failure): Likewise.
	(rmail-summary-edit-current-message): Delete spurious autoload.
	(rmail-summary-summary): Function deleted.
	Use plain rmail-summary on h and C-M-h.
	(rmail-summary-rmail-update): New function.

	* rmail.el (rmail-delete-forward): Go to summary buf to change D mark.
	Always do the motion in the rmail buffer; let that handle summary.
	(rmail-undelete-previous-message): Likewise.
	(rmail-select-summary): New macro.
	(rmail-show-message): Use rmail-select-summary.
	(rmail-get-new-mail): Likewise.
	(rmail-expunge): Likewise.

	* pending-del.el: New file.

Mon Mar  8 01:39:42 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* subr.el (posn-timestamp, posn-col-row, posn-point, posn-window):
	(event-end, event-start, mouse-movement-p): Moved from mouse.el.
	* mouse.el: Functions moved to subr.el.

Sun Mar  7 15:12:13 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* subr.el (event-basic-type): New function.

	* isearch.el: Renamed from isearch-mode.el.

	* isearch-mode.el (isearch-other-meta-char): Call listify-key-sequence.
	(isearch-unread): Don't call it here.
	(isearch-mode-map): Bind the ASCII-equivalent function keys.

Sun Mar  7 18:20:54 1993  Paul Eggert  (eggert@twinsun.com)

	* vc.el (vc-update-change-log): Check that ChangeLog is writable
	before starting the expensive rcs2log process.
	Use call-process instead of shell-command to invoke rcs2log;
	this avoids undesired shell escapes and is more robust about errors.
	Put mark at point-min, so that the new insertion is in the region.
	(vc-checkin-hook): Fix `runs-hooks' typo.
	(vc-checkout-writeable-buffer-hook): New var.
	(vc-next-action): Fix bug: initial checkin was botched when C-x v v
	was applied to a new file while vc-initial-comment was non-nil.
	(vc-register): Don't barf when registering a new, empty buffer.
	(vc-directory): The `No files are currently registered'
	message was wrongly worded, because sometimes the message talks
	about locked files, not registered files.
	(vc-file-tree-walk): Change (apply 'funcall ...) to (apply
	...), since the 'funcall is redundant.
	When traversing a directory tree, message
	"Traversing directory XXX" so that the user can see what progress is
	being made.  Traversal can take a long time.  Omit first argument,
	since it is always the current directory.  All callers changed.
	(vc-file-tree-walk-internal): New function.
	(vc-do-command, vc-diff, vc-version-diff, vc-backend-diff):
	Remove redundant calls to `format'.
	(vc-diff): Remove unused variable `old'.
	(vc-version-diff): When recursively generating a difference
	listing, don't append the latest output unless diff was actually run;
	otherwise, you'll get the output from the previous file by mistake.

Sun Mar  7 04:22:37 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* term/x-win.el (function-key-map):
	Map key symbols backspace, return... into ASCII chars.

Sun Mar  7 02:34:45 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* isearch-mode.el (isearch-mode): Don't make a pre-command-hook.

	* vc.el (vc-revert-buffer1): Use mark-marker; don't alter mark-active.

	* subr.el (event-modifiers): New function.
	(eventp): New function.

Sat Mar  6 00:12:46 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* isearch-mode.el (isearch-unread): Find last list element by hand.

	* info.el (Info-forward-node): Properly go to first menu item.
	(Info-insert-dir): Bind temp wider, around use.

	* term/x-win.el (function-key-map):
	Map key symbols backspace, return... into ASCII chars.
	Likewise their Meta versions.
	Also add `ascii-character' properties.

	* simple.el (set-mark): Activate the mark.
	(mark): Handle region-active.  New optional arg FORCE.
	(exchange-point-and-mark, push_mark): Pass FORCE.
	(set-mark-command): Likewise.

	* terminal.el (te-escape-extended-command-unread): Handle any key seq.

	* emerge.el (emerge-show-file-name): Handle any kind of event.

	* fortran.el (fortran-abbrev-start): Handle any kind of event.
	(fortran-window-create-momentarily): Likewise.

	* ehelp.el (electric-help-command-loop): Handle any kind of event.

	* ebuff-menu.el (electric-buffer-list): Handle any kind of event.
	(Electric-buffer-menu-exit): Handle any key sequence.

	* info.el (Info-summary): Handle any event
	when flushing the display.

	* simula.el (simula-electric-label): Handle any event
	when flushing the display.

	* subr.el (momentary-string-display): Handle any event
	when flushing the display.

	* comint.el (comint-dynamic-list-completions): Handle any event
	when flushing the display.

	* subr.el (listify-key-sequence): New function.
	* simple.el (prefix-arg-internal): Use listify-key-sequence.

	* isearch-mode.el (isearch-unread): Handle multiple args.
	For Emacs 19, use listify-key-sequence.
	If not Emacs 19, assume they are a meta sequence.
	(isearch-other-meta-char): Pass the whole key sequence.
	(isearch-other-control-char): Make this alias for ...-meta-char.

	* rmail.el (rmail-bury): Record Rmail buffer to bury it later.

Fri Mar  5 15:34:03 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* disp-table.el: Add autoload comments.
	(rope-to-vector): Deleted.
	(describe-display-table): Don't use rope-to-vector.

	* compare-w.el (compare-windows): Use compare-buffer-substrings.

Fri Mar  5 11:33:59 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* term/x-win.el: Disable suspending under X windows by setting
	suspend-hooks, not suspend-hook.  The latter is an obsolete name.
	Use add-hook instead of setting suspend-hooks directly.

	* bytecomp.el: Declare suspend-hook to be an obsolete variable.

Fri Mar  5 09:37:35 1993  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

        * calendar.el (hebrew-calendar-yahrzeit): Change reference to
        nonexistent function last-month-of-hebrew-year to the correct
        function hebrew-calendar-last-month-of-year.

        * cal-mayan.el (calendar-mayan-haab-on-or-before,
        calendar-mayan-tzolkin-on-or-before): Change `mod' to `%'.

	* cal-mayan.el (calendar-next-tzolkin-date): Delete bogus second
	defun.

Thu Mar  4 12:31:22 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* simple.el (kill-ring-save): Doc fix.

	* sun-mouse.el (suspend-emacstool): Run suspend-hooks, not
	suspend-hook.

	* resume.el: Doc fix.

	* simple.el (yank, yank-pop): Always return nil; don't rely on
	exchange-point-and-mark to return nil.
	* fill.el (justify-current-line): Return nil, to be sure to
	conform with documentation.

Wed Mar  3 00:11:53 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (write-file): Handle directory name as arg.

	* rmail.el: Major changes from Bob Weiner <weiner@pts.mot.com>
	Handle some Emacs 18 function names to run in 18.
	This is to facilitate working with Weiner.
	(rmail-reply-prefix): New variable.
	(rmail-reply): Use that variable to add to subject.
	(rmail-retry-failure): Change binding to M-m.
	(rmail-forward): Look for >From as well as for From.
	Handle case where neither is found.
	(rmail-last-regexp): New variable.
	(rmail-mode): Make rmail-last-regexp local.
	(rmail): Don't update rmail-mode data for old buffer
	if it's not in rmail mode.
	Error if in Rmail Edit mode.
	(rmail-bury): New command, plus key binding.
	(rmail-summary-by-topic): New key binding.
	(rmail-insert-inbox-text): Check for pop case earlier.
	(rmail-convert-to-babyl-format): Handle Content-Length field.
	(rmail-maybe-display-summary): New function.
	(rmail-redisplay-summary): New user option.
	(rmail-undelete-previous-message, rmail-delete-forward):
	(rmail-get-new-mail, rmail-show-message): Update summary buffer if any.
	Call rmail-maybe-display-summary to put it back on screen.
	(rmail-only-expunge): Renamed from rmail-expunge.
	(rmail-expunge): New function.
	(rmail-message-recipients-p, rmail-message-regexp-p): New functions.
	(rmail-summary-exists, rmail-summary-displayed): New functions.

Tue Mar  2 13:38:56 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* cl.el (defsetf): Use eval-and-compile for self-update-fn.

	* add-log.el (add-change-log-entry): Never move past second hdr line.

Tue Mar  2 07:35:52 1993  Jim Blandy  (jimb@mole.gnu.ai.mit.edu)

	* term/x-win.el (x-switch-definitions): Use the proper names for
	the scroll bar parameters.

	Use the term `scroll bar', instead of `scrollbar'.
	* term/x-win.el, frame.el, mouse.el: Terminology changed.
	* scrollbar.el: Renamed to scroll-bar.el.

	* term/x-win.el: Require `scroll-bar', not `scrollbar'.

Tue Mar  2 00:25:09 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* frame.el (new-frame): Doc fix.

	* info.el (Info-directory-list): Doc fix; it is set according to
	INFOPATH, not INFODIR.

	* info.el (Info-find-node): Don't try to set the info buffer's
	directory according to Info-directory; that variable doesn't exist
	any more.  Instead, let Info-insert-dir set the current directory.
	(Info-insert-dir): Properly check for upper- and lower-case forms
	of "dir", with and without ".info" extension.  Set the buffer's
	default-directory to the directory containing the first dir file
	we find, and cache it in Info-dir-contents-directory.
	(Info-dir-contents-directory): New variable, to cache the
	directory we decided to use as the merged directory's
	default-directory.

	* term/x-win.el (x-switch-definitions): Use the proper names for
	the scroll bar parameters.

Mon Mar  1 04:04:09 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* frame.el: Doc fixes.
	(set-pointer-color): Renamed to set-mouse-color.
	(set-border-color): New function.

	* info.el (Info-insert-dir): Make menu items in Top node
	pointing each of the other nodes.

	* rmail.el (rmail-get-new-mail): Reset read-only after find-file.

Mon Mar  1 00:18:31 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* simple.el (kill-region): If the buffer is read-only, call
	`barf-if-buffer-read-only' instead of just `ding', to get the
	appropriate error condition and message.

	* hexl.el (hexl-mode-map): When initializing, remember that the
	argument to key-binding is a key sequence, not a single key.

	* mouse.el (mouse-split-window-vertically): If the user clicks too
	close to the top or bottom of a window, split at the closest
	reasonable line.  Give a helpful error message if the window is
	too small to be split anywhere.
	(mouse-split-window-horizontally): Similar changes.

Sun Feb 28 01:27:39 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* simple.el (insert-buffer): Make sure this returns nil.

	* simple.el (quoted-insert): Use insert-char, instead of writing
	out the loop.

	* etags.el (find-tag-other-window): If another window is already
	displaying the tag's buffer, explicitly set that window's point to
	the tag's position.

	Use the term `scroll bar', instead of `scrollbar'.
	* term/x-win.el, frame.el, mouse.el: Terminology changed.
	* scrollbar.el: Renamed to scroll-bar.el.

Fri Feb 26 15:48:00 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* frame.el (auto-raise-mode): Renamed from toggle-auto-raise.
	(auto-lower-mode): Renamed from toggle-auto-lower.

Fri Feb 26 02:22:26 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* timer.el (run-at-time): Doc fix.

	* autoload.el (generate-file-autoloads): Add another
	save-excursion so that point is before the generated autoloads
	after we scan the file.

Thu Feb 25 01:38:33 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* add-log.el (add-change-log-entry): Find end of first paragraph
	from after the header line.

	* subr.el (walk-windows): Doc fix.

	* register.el (point-to-register): Make arg ARG optional.
	(window-configuration-to-register): Likewise.
	(frame-configuration-to-register): Likewise.

Wed Feb 24 19:36:06 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* term/x-win.el (scroll-bar-mode, scroll-bar-mode): Move these
	functions to scrolbar.el.
	* scrollbar.el (scroll-bar-mode, scroll-bar-mode): Here they are.
	Make scroll-bar-mode set the {vertical,horizontal}-scrollbars
	parameters in default-frame-alist, and modify all extant screens
	using the correct parameter names.

Wed Feb 24 13:03:57 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* vc-hooks.el (vc-find-file-hook): Discard vc status of file
	if we will actually have to create the buffer.

Mon Feb 22 03:18:59 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* gud.el (gud-break): With a prefix argument, set a temporary
	breakpoint.
	(gud-apply-from-source): New argument ARGS, to pass to FUNC.  Now
	it's really like `apply'.
	(gud-set-break): Add another argument to this method.
	Document it in the section describing how the methods are supposed
	to be used.
	(gud-gdb-set-break): New argument TEMP; if non-nil, set a
	temporary breakpoint.
	(gud-sdb-set-break, gud-dbx-set-break): New argument TEMP.  Ignore
	it, since I don't know how to set a temporary breakpoint in these
	debuggers.

	* subr.el (string-to-int): Make this an alias for
	string-to-number.

Sun Feb 21 17:16:50 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* two-column.el: Add autoloads for the functions defined in
	tc-mode-map.

Sun Feb 21 01:28:49 1993  Richard Stallman  (rms@wookumz.gnu.ai.mit.edu)

	* info.el (Info-insert-dir): New function.
	(Info-find-node): Use Info-insert-dir to visit dir file.

	* mlsupport.el (esc-map, ctl-x-map): Define as functions.

Sat Feb 20 01:22:56 1993  Richard Stallman  (rms@wookumz.gnu.ai.mit.edu)

	* apropos.el (super-apropos-check-doc-file):
	Look for DOC file in proper directory.

	* files.el (insert-directory): Doc fix.

Fri Feb 19 00:05:48 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* help.el (describe-function):
	Print the arglist if the function is bytecode or a list.

Wed Feb 17 21:23:39 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* files.el (revert-buffer): Reverse the sense of the first
	argument, but leave interactive usage the same.
	* vc.el (vc-resynch-window): Call vc-revert-buffer1 with the newly
	appropriate arguments.  This seems to be the only file which was
	adjusted for the new meaning of the revert-buffer arguments.

Wed Feb 17 16:30:21 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* autoload.el (generate-file-autoloads):
	If no buffer was visiting FILE when we started,
	kill the buffer we create.

Wed Feb 17 15:31:57 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* isearch-mode.el (isearch-backward-regexp):
	New arg no-recursive-edit, always non-nil for interactive call.
	Rename first arg, and set it right in interactive call.
	(isearch-forward-regexp): Likewise.
	(isearch-forward, isearch-backward): Likewise no-recursive-edit.

Tue Feb 16 01:33:55 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* frame.el (frame-initialize): Fix error syntax.
	(toggle-horizontal-scroll-bar): Likewise.
	(toggle-horizontal-scroll-bar): Renamed from set-horizontal-bar
	(toggle-vertical-scroll-bar): Likewise.
	(toggle-auto-lower, toggle-auto-raise): Likewise.
	(set-foreground-color, set-background-color):
	Renamed from set-frame-{fore,back}ground.

Mon Feb 15 19:22:00 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* informat.el (Info-tagify): Change the regular expression which
	recognizes node names to work properly with Emacs 19's regexp
	semantics.

Mon Feb 15 02:42:40 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (find-file-hooks): Delete permanent-local property.
	(find-file-not-found-hooks): Likewise.

	* bytecomp.el (byte-compile-lambda):
	Test of byte-compile-compatibility was backwards.

Fri Feb 12 17:16:14 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* gosmacs.el: Bind M-h to delete-previous-word, not
	backward-kill-word; the latter has different prefix semantics.

	* frame.el: Clean up initialization code.
	(initial-frame-alist): Doc fix.
	(minibuffer-frame-alist): New default value, with a reasonable height.
	(filtered-frame-list, minibuffer-frame-list): New functions.
	(frame-initialize): Use minibuffer-frame-list, instead of writing
	it out.
	(frame-notice-user-settings): Thoroughly rearranged.
	Notice changes to default-frame-alist as well as initial-frame-alist.
	Properly handle requests to make the initial frame into a
	minibufferless or minibuffer-only frame.
	Create a minibuffer-only frame if the initial frame should lack a
	minibuffer and there are no other minibuffer frames created by the
	user's initialization file.
	Fix any frames using the initial frame as a surrogate minibuffer
	frame.
	Restore the current buffer after creating and deleting all these
	frames.

	* frame.el (set-default-font, set-frame-background,
	set-frame-foreground, set-cursor-color, set-pointer-color,
	set-auto-raise, set-auto-lower, set-vertical-bar,
	set-horizontal-bar): Give these docstrings.
	(set-auto-raise, set-auto-lower, set-vertical-bar,
	set-horizontal-bar): Make these toggle or look at the prefix
	argument, like minor modes.
	
	* frame.el (set-vertical-bar): Use the proper parameter symbol.
	(set-horizontal-bar): Signal an error indicating that horizontal
	scrollbars are not implemented.

	* lisp-mode.el (lisp-fill-paragraph): New function.
	(shared-lisp-mode-map): Bind M-q to lisp-fill-paragraph.

Thu Feb 11 18:31:38 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* flow-ctrl.el (enable-flow-control...): Renamed from evade...
	(enable-flow-control): Add autoload.

Wed Feb 10 01:45:16 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* gosmacs.el (set-gosmacs-bindings): Fix binding of \eh.

Wed Feb 10 01:16:56 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* gosmacs.el: Require 'mlsupport, to get definition of
	backward-kill-word.

Wed Feb 10 00:11:57 1993  Stephen A. Wood  (saw@cebaf.gov)

	* fortran.el (fortran-prepare-abbrev-list-buffer): Put quote in
	front of first argument to `insert-abbrev-table-description'.

	* fortran.el (fortran-is-in-string-p): Fixed incorrect behaviour
	when in first statement of a buffer.

Mon Feb  8 17:25:34 1993  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* add-log.el (add-change-log-entry): Undo Jan 25 change.  It worked
	for buffers in indented-text-mode, but lost for change-log-mode,
	which is what matters.

Mon Feb  8 15:32:57 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* compile.el (compilation-forget-errors): Just set
	compilation-directory-stack to nil; no need to loop through it.
	(next-error): For a non-numeric prefix arg, pass nil for
	compile-reinitialize-errors's FIND-AT-LEAST arg.
	(next-error): When getting marker for error source location, be
	sure to examine buffer local value of compilation-old-error-list
	before switching to source file buffer.

Mon Feb  8 12:03:00 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* rmailout.el (rmail-output, rmail-output-to-mail-file): Reverse
	the order of the arguments and make COUNT optional, for backward
	compatibility's sake.

	* cl.el (cl-version): Mark as no longer in beta test.

Sun Feb  7 21:36:06 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* subr.el (mod): Add back this alias for %.

Sun Feb  7 00:50:20 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* sort.el (sort-build-lists): Record the key as pair of positions;
	don't copy string from buffer.
	(sort-subr): Use compare-buffer-substrings.

Sat Feb  6 20:11:21 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* sendmail.el (mail-setup): Use fill-region-as-paragraph
	for To field; handle the CC just like the To.

	* rmailsum.el: Big rewrite from weiner@pts.mot.com.

Fri Feb  5 13:28:05 1993  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* comint.el (make-comint): Added docstring.

Fri Feb  5 12:41:42 1993  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* simple.el: Restore nuked information in minibuffer history bindings.
	Use intelligent method of disabling completion-oriented bindings.

Thu Feb  4 21:05:09 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el: Once again, go back to ordinary next-history-element
	for M-n in minibuf, even for completion.

Tue Feb  2 15:22:27 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* sort.el (sort-subr): Doc fixes.

	* sendmail.el (mail-do-fcc): Allow dash in timezone name.

Mon Feb  1 17:18:22 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* texinfo.el (texinfo-mode): Make page-delimiter buffer-local, and
	set it according to texinfo-chapter-level-regexp.

	* simple.el (kill-region): If the buffer is read-only, do beep,
	but also put the region in the kill ring.  Doc fix.

Sun Jan 31 15:48:19 1993  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* mailabbrev.el (mail-abbrev-end-of-buffer):
	Changed interactive spec from "P" to "p".

Fri Jan 29 22:42:48 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* cmacexp.el (c-macro-expand): Use expanded name to write or delete.
	Send two eofs.

Thu Jan 28 15:22:10 1993  Roland McGrath  (roland@wookumz.gnu.ai.mit.edu)

	* simple.el (next-complete-history-element): Restore point after
	replacing the buffer text with the appropriate history element.

Thu Jan 28 01:14:05 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el: Don't use the completion-oriented history commands.
	* paths.el (sendmail-program): Try /usr/ucblib/sendmail.

Tue Jan 26 01:26:58 1993  Jim Blandy  (jimb@mole.gnu.ai.mit.edu)

	* term/x-win.el: x-selection-value has been renamed to x-selection.
	x-own-selection has been renamed to x-set-selection, and the order
	of its arguments has been reversed, for consistency with other
	lisp functions like put and aset.
	* term/x-win.el (x-select-text): Adjusted.
	(x-cut-buffer-or-selection-value): Check the primary selection,
	using x-selection, instead of checking the cut buffer again.

	* term/x-win.el: Doc fix.

Mon Jan 25 12:08:05 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* frame.el (frame-notice-user-settings): Use new name
	frame-live-p, instead of live-frame-p.

	x-selection-value has been renamed to x-selection.
	x-own-selection has been renamed to x-set-selection, and the order
	of its arguments has been reversed, for consistency with other
	lisp functions like put and aset.
	* term/x-win.el (x-select-text): Adjusted.
	(x-cut-buffer-or-selection-value): Check the primary selection,
	using x-selection, instead of checking the cut buffer again.

	* disass.el (disassemble): Add autoload cookie for this.
	* bytecomp.el (byte-decompile-bytecode): Add an autoload for this.

	compiled-function-p has been renamed to byte-code-function-p.
	* subr.el: Define compiled-function-p as an alias for it.
	* bytecomp.el: Register compiled-function-p as obsolete.
	* bytecomp.el, byte-opt.el, disass.el, help.el, map-ynp.el: Change
	uses.

	* subr.el (numberp): Remove fset which made this an alias for
	integerp; now numberp also recognizes floats.

Mon Jan 25 12:04:33 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* etags.el (tags-query-replace): C-t.

	* add-log.el (add-change-log-entry): Restrict PARAGRAPH-END to
	being on the first page.

	* simple.el (next-complete-history-element): Use only buffer
	contents before point to match history elements.

Sun Jan 25 19:45:01 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* simple.el ({next,previous}-complete-history-element): New functions.
	Bind them to M-n/M-p and next/prior in minibuffer completion maps.

Sun Jan 24 16:14:04 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	unread-command-event has been replaced by unread-command-events.
	* simple.el (prefix-arg-internal): Use this to push back all
	key sequences for processing by the main command loop, instead of
	trying to simulate its behavior ourselves.
	* bytecomp.el: Document unread-command-event as an obsolete
	variable, although nothing but the GNU Emacs 19 sources use it.
	Adjust obsolescence message for unread-command-char.
	* comint.el (comint-dynamic-list-completions): Change uses of
	unread-command-event to work with unread-command-events.
	* ebuff-menu.el (electric-buffer-list, Electric-buffer-menu-exit):
	Same.
	* edebug.el (edebug-outside-excursion): Same.
	* ehelp.el (electric-help-command-loop): Same.
	* electric.el (Electric-command-loop): Same.
	* emerge.el (emerge-show-file-name): Same.
	* fortran.el (fortran-abbrev-start,
	fortran-window-create-momentarily): Same.
	* gnus.el (gnus-Subject-next-article): Same.
	* info.el (Info-summary): Same.
	* isearch-mode.el (isearch-update, isearch-unread): Same.
	* map-ynp.el (map-y-or-n-p): Same.
	* mlsupport.el (push-back-character): Same.
	* replace.el (perform-replace): Same.
	* simula.el (simula-electric-label): Same.
	* subr.el (read-quoted-char, momentary-string-display): Same.
	* sun-mouse.el (mouse-second-hit): Same.
	* terminal.el (te-escape-extended-command-unread): Same.
	* vip.el (vip-escape-to-emacs, vip-prefix-arg-value,
	vip-prefix-arg-com): Same.

	* simple.el (quoted-insert): Doc fix.

Sat Jan 23 03:11:03 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* mouse.el (mouse-save-then-kill): Instead of deleting the text
	whenever the text of the region happens to be the same as the
	front of the kill-ring, delete it only when the front of the kill
	ring is identical to the last text we put there, and point and the
	mouse click are at the same position.

	* mouse.el (mouse-save-then-kill): If the undo list is disabled,
	don't build an undo record.

	* mouse.el (mouse-save-then-kill): If we're deleting the text,
	kill from point to the mouse click, not from point to mark; mark
	and the mouse click may not be the same.  If they're not, this
	screws up the undo record we create, corrupting the undo list
	pretty nastily.

Fri Jan 22 01:00:05 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* term/x-win.el: Doc fix.

	* mouse.el (mouse-set-font): Account for the fact that
	x-popup-menu returns nil if no selection is made.

	* mouse.el (mouse-buffer-menu, mouse-set-font): Bind these to the
	down-going events.
	(mouse-split-window-vertically): Move the binding for this down
	out of the commented-out scrollbar section, so it is on S-mouse-2
	on the mode line.

Thu Jan 21 22:37:11 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* c-mode.el (c-fill-paragraph): Fix the regular expressions used
	for finding paragraph beginnings and endings so that they think
	lines containing only whitespace and asterisks are paragraph
	separators/starters.

	* add-log.el (add-change-log-entry): If we've just started a new
	date, limit the searches to within the current date, not the first
	paragraph; the latter extends into the previous date.

Thu Jan 21 17:37:04 1993  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* etags.el (tags-loop-scan): Set default value to an error form.

	* etags.el (visit-tags-table-buffer): When propagating a change of
	name after file-find-noselect, refer to tags-file-name, not the
	undefined var FILE.

Wed Jan 20 15:01:27 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* c-mode.el (c-fill-paragraph): When modifying the
	paragraph-separate regexp, don't let it match paragraph starts.

Tue Jan 19 16:05:15 1993  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* etags.el (visit-tags-table-buffer):
	Error if called with 'same and no current table.

Tue Jan 19 15:15:15 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* mouse.el (event-end): Work on click events, too.
	(mouse-split-window-vertically): Use event-end and
	posn-col-row, instead of mouse-coords, which is obsolete.

	* mouse.el: Comment out the scrollbar commands until we make them work.

	* mouse.el: Comment out jla's experimental things.  What are these
	doing in the distribution source anyway?

	* mouse.el: Bind the help menu to C-down-mouse-2, instead of
	C-mouse-2; this way, you can use the mouse-up event to make the
	menu selection.
	(help-apropos-map, help-keys-map, help-manual-map, help-misc-map,
	help-modes-map, help-admin-map): Give the menu names for these
	keymaps using make-sparse-keymap's optional argument, rather than
	constructing them by hand.

	* scrollbar.el: (require 'mouse)
	(scrollbar-set-window-start, scrollbar-scroll-down,
	scrollbar-scroll-up): Use event-end, from mouse.el.

Tue Jan 19 15:10:39 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* x-mouse.el: Deleted; it was the interface to the Emacs 18-style
	mouse interface, which doesn't exist anymore.

Fri Jan 15 07:48:49 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* c-mode.el (c-switch-label-regexp): New constant.
	(electric-c-terminator, c-indent-line, indent-c-exp): Use it to
	correctly recognize default labels in switch statements.

Fri Jan 15 02:00:19 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* shell.el (shell): Doc fix.

Thu Jan 14 16:26:21 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* files.el (switch-to-buffer-other-frame): Pass t to pop-to-buffer.

Thu Jan 14 03:35:40 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* scrollbar.el: New file.
	* term/x-win.el: Require 'scrollbar.

Wed Jan 13 10:36:59 1993  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

        * solar.el (solar-time-string): Round the time properly.

Tue Jan 12 20:30:46 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* mouse.el (mouse-save-then-kill): When deleting, avoid delay
	and don't set the mark.  Replace obsolete fn event-point.
	(mouse-kill): Replace obsolete fn event-point.

Mon Jan 11 22:15:22 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* page-ext.el (next-page): Correctly handle negative page count.

Mon Jan 11 00:10:01 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el (kill-append): Doc fix.

Sat Jan  9 23:11:03 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* frame.el (frame-notice-user-settings): Don't try to delete the
	initial frame if the user took care of that.

Sat Jan  9 08:52:19 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmail.el (mail-unsent-separator): Add `-- begin message --'.

	* dired.el (dired-regexp-history): New history list.
	(dired-read-regexp): Use that history list.  Take just one arg.
	* dired-aux.el (dired-mark-read-regexp): Give dired-read-regexp 1 arg.

Sat Jan  8 19:01:00 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* upd-copyr.el (update-copyright): Doc fix.

Fri Jan  8 16:12:30 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* add-log.el (add-change-log-entry): Search for existing ChangeLog
	in parent dir and its parents.

Fri Jan  8 15:28:41 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* timer.el (run-at-time): Use a pipe to talk to the timer process.

Thu Jan  7 16:27:43 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* simple.el (set-goal-column): Make this disabled by default.

Thu Jan  7 05:18:23 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* sendmail.el (mail-send):
	Don't clear modified or delete autosave if visiting a file.

Tue Jan  5 23:40:18 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* hippie.el: New file.

Mon Jan  4 06:35:53 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* apropos.el (apropos-match-keys): Handle non-chars as keys.

Sat Jan  2 16:20:41 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* compile.el (compilation-sentinel): Change buffer-read-only with let.

Tue Dec 29 16:06:31 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* mouse.el (mouse-buffer-menu): Select the window clicked on.

Tue Dec 28 20:07:26 1992  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* add-log.el (add-change-log-entry):
	Notice when ENTRY is equal to FILE-NAME,
	not the hard-wired string "ChangeLog".
	Added missing regexp-quote's in same-day entry search.
	Search only in the first paragraph for a similar entry to add to.

Sat Dec 26 03:46:03 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (abbreviated-home-dir): New variable.
	(abbreviate-file-name): Properly convert abbreviated homedir to ~.

Thu Dec 24 17:42:05 1992  Roland McGrath  (roland@albert.gnu.ai.mit.edu)

	* etags.el (visit-tags-table-buffer):
	When picking a table and using tags-table-list,
	skip over nonexistent files in the list.

	* etags.el (etags-verify-tags-table):
	Use eq instead of = in case char-after returns nil.

Mon Dec 21 14:13:11 1992  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* etags.el (visit-tags-table-buffer):
	Don't look in list for tags-file-name if nil.

	* etags.el: Many comments added and docstrings fixed.
	(tags-table-list): Elt of nil is not special.
	(tags-expand-table-name): Value of nil is not special.
	(tags-next-table): Removed arg RESET; no caller used it.
	(visit-tags-table-buffer): Don't need to do tags-expand-table-name
	in or form. When table is invalid, only set tags-file-name to nil
	globally if its global value contained the losing table file name.
	(find-tag-tag): Return a string, not a list.
	(find-tag-noselect, find-tag, find-tag-other-window,
	find-tag-other-frame): Changed callers.
	(etags-recognize-tags-table): Call etags-verify-tags-table, rather than
	duplicating its functionality.
	(visit-tags-table-buffer): When CONT is 'same, set it to nil after the
	cond.  We want the normal list frobbing to take place in this case.
	(find-tag-other-window): Save and restore window-point around call to
	find-tag-noselect.

Mon Dec 21 13:34:22 1992  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* subr.el (ignore):
	Use defun instead of fset to define; the byte compiler is smart
	enough now not to compile this trivial function into slow byte code.

Mon Dec 21 02:59:00 1992  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* c-mode.el (c-fill-paragraph): Calculating the proper fill-prefix
	shouldn't change the buffer text.  Make it not.  If we're in the
	blank space before another comment, fill that one as a comment,
	not as normal text.

Sun Dec 20 14:30:41 1992  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* simple.el (kill-region): Change interactive spec to signal an
	error if the buffer is read-only, and remove the code to do a
	copy-region-as-kill if the buffer is read-only.

Sat Dec 19 15:53:30 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* loadup.el: Display load-path at start.

Sat Dec 19 09:30:24 1992  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* sendmail.el (mail-position-on-field): `end' is guaranteed to be
	at the beginning of the header separator; don't skip back to the
	end of the previous line.

	* loadup.el: Dump under the name `emacs', not `xemacs'.

	* compile.el (compilation-error-regexp-alist): Tightened up
	BSD/GNU regexp to insist that line number end with a colon or
	close-paren.

Thu Dec 17 04:12:08 1992  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* rmail.el (rmail-unix-mail-delimiter): Not all time zone names
	end with "T".  Accept any sequence of three or four alphabetic
	characters.

	* simple.el (set-mark-command): Clarify doc string.

	* simple.el (prefix-arg-internal): Don't apply string-to-char to
	get the first element of the key sequence - it might be a vector.

Tue Dec 15 18:56:21 1992  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* c-mode.el (c-fill-paragraph): When guessing the fill prefix,
	don't ever grab any actual text.

Mon Dec 14 11:15:11 1992  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* compile.el (compilation-error-regexp-alist): Add regexp for the
	MIPS CC distributed with Ultrix.

Sat Dec 12 03:22:57 1992  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* paths.el (Info-default-directory-list): The info files are
	supposed to be in /usr/local/info these days.  Add it to the list
	of directories to search.

Fri Dec 11 01:19:11 1992  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* vc.el (vc-do-command): Set the default directory of the *vc*
	buffer to the directory containing FILE.

Wed Dec  9 17:30:20 1992  Roland McGrath  (roland@wookumz.gnu.ai.mit.edu)

	* info.el (Info-{first,second,third,fourth,fifth}-menu-item): Removed.
	(Info-nth-menu-item): New function; bound to 1..9.

Tue Dec  8 21:29:34 1992  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	The find-file-name-handler function in ../src/fileio.c is now
	callable from lisp; use it instead of writing out its code.
	* dired-aux.el (dired-compress-file): Just that.
	* dired.el (dired-uncache): Just that.
	* files.el (file-local-copy, file-truename,
	file-name-sans-versions, make-directory, save-buffers-kill-emacs):
	Just that.
	* ls-lisp.el (insert-directory): Just that.

	* ange-ftp.el (ange-ftp-unhandled-file-name-directory): New
	function.  Set ange-ftp's `unhandled-file-name-property' to its
	name.

Mon Dec  7 20:10:32 1992  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* lpr.el (lpr-switches, lpr-command): Make these defvars, not
	defconsts.

Fri Dec  4 00:31:30 1992  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* c-mode.el (c-fill-paragraph): When trying to make sure that the
	comment ender isn't on its own line, don't signal an error if
	there is no comment ender.

Thu Dec  3 23:45:21 1992  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* sendmail.el (mail-self-blind, mail-interactive,
	mail-yank-ignored-headers): Make these defvars, not defconsts.
	Otherwise, they wipe out the user's customizations when we
	autoload sendmail.el.

Tue Dec  1 22:34:42 1992  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* hanoi.el (hanoi): If pole-spacing is odd, round down, not up.
	To see if the window is wide enough, just check if one half of a
	ring will fit inside pole-spacing.

Fri Nov 27 17:54:20 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* add-log.el (add-change-log-entry):
	Expand file-name again after chasing links.

Fri Nov 20 14:33:20 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* vc.el (vc-next-action): Undo previous change.

Thu Nov 19 16:44:24 1992  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* vc.el (vc-next-action): Pass t as NOQUERY argument to
	vc-resynch-window here too.  This means that all uses of
	vc-resynch-window pass t; I'm going to wait until I understand the
	situation better before I rip out the NOQUERY argument
	altogether.

	* vc.el (vc-revert-buffer1): Try to preserve the position of mark
	as well as point.
	(vc-position-context, vc-find-position-by-context): New functions
	to help with that, made out of the old innards of vc-revert-buffer1.

Wed Nov 18 12:34:10 1992  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* fortran.el: New version of version 1.30 (!) from Stephen A. Wood
	<saw@hallc1.cebaf.gov>

Tue Nov 17 00:22:09 1992  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* fortran.el: New version (1.30) from "Stephen A. Wood"
	<saw@hallc1.cebaf.gov>

	* subr.el (lambda): Doc fix.

Sun Nov 15 02:17:04 1992  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* simple.el (comment-column): Doc fix.

Fri Nov 13 13:45:55 1992  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* paths.el (rmail-spool-directory): Add dgux-unix to the list of
	systems which put their mail in "/usr/mail".

	* lpr.el (lpr-command, lpr-switches): Removed strings starting
	with \newline; this file is loaded in loaddefs.el, and doesn't
	need to follow that convention.
	
	* lpr.el (lpr-command): Add dgux-unix to the list of systems which
	want "lp".

Thu Nov 12 02:53:21 1992  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* bytecomp.el: Declare unread-command-char an obsolete variable.
	* vip.el (vip-escape-to-emacs, vip-prefix-arg-value,
	vip-prefix-arg-com): Use unread-command-event instead of
	unread-command-char; respect its new semantics.
	* simula.el (simula-electric-label): Same.
	* comint.el (comint-dynamic-list-completions): Same.
	* ebuff-menu.el (electric-buffer-list, Electric-buffer-menu-exit):
	Same.
	* ehelp.el (electric-help-command-loop): Same.
	* electric.el (Electric-command-loop): Same.
	* emerge.el (emerge-show-file-name): Same.
	* fortran.el (fortran-abbrev-start, fortran-window-create-momentarily):
	Same.
	* gnus.el (gnus-Subject-next-article): Same.
	* info.el (Info-summary): Same.
	* isearch-mode.el (isearch-update, isearch-unread): Same.
	* map-ynp.el (map-y-or-n-p): Same.
	* mlsupport.el (push-back-character): Same.
	* replace.el (perform-replace): Same.
	* simple.el (prefix-arg-internal): Same.
	* subr.el (read-quoted-char, momentary-string-display): Same.
	* sun-mouse.el (mouse-second-hit): Same.
	* terminal.el (te-escape-extended-command-unread): Same.

	* emerge.el (emerge-file-names): Use `temp-buffer-show-function',
	not `temp-buffer-show-hook'.
	(emerge-combine-versions-edit): Fix misarranged cond expression;
	the t is an `else' clause, not a function call in the preceeding
	clause.

	* simula.el (simula-calculate-indent): Call backward-word with the
	appropriate argument.

	* vip.el (vip-delete-char, vip-delete-backward-char, ex-delete):
	Don't pass nil as a fourth argument to vip-append-to-register; it
	takes only three.
	(vip-mark-point, ex-mark): Pass required second argument to
	point-to-register.

	* bytecomp.el: (require 'backquote).

	* subr.el (lambda): Don't use backquotes in lambda's definition.

	* disass.el (byte-compile): Specify that the 'byte-compile feature
	is provided in the file "bytecomp".

Wed Nov 11 23:24:15 1992  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* ange-ftp.el (ange-ftp-repaint-buffer): Give this a non-hacky
	definition using (message nil).
	(ange-ftp-read-passwd, ange-ftp-process-filter): Uncomment out the
	calls to ange-ftp-repaint-buffer.

Wed Nov 11 15:18:12 1992  Eric S. Raymond (eric@mole.gnu.ai.mit.edu)

	* c-mode.el (c-style-alist): Add quotes around C++ style name.

Tue Nov 10 21:00:27 1992  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* rect.el (operate-on-rectangle): Use move-to-column's FORCE
	argument instead of implementing it ourselves.
	(rectangle-coerce-tab): No longer used; deleted.

	* rect.el (open-rectangle): Leave point at the upper corner of the
	rectangle just opened, in imitation of open-line.  Fix doc typo.
	(open-rectangle-line): Use skip-chars-backward's LIM argument to
	leave spaces before the line segment's beginning undisturbed.

	* rect.el: Provide 'rect.

Sun Nov  8 13:58:00 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* vc.el (vc-cancel-version): Use yes-or-no-p.

Fri Nov  6 23:05:17 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* startup.el (after-init-hook): Doc fix.

Thu Nov  5 22:07:19 1992  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

        * isearch.el (isearch-frames-exist): This isn't what we want -
	replaced by...
	(isearch-gnu-emacs-events): non-nil if should expect events in the
	style generated by GNU Emacs 19.  Set if set-frame-height is
	fboundp; this is true on any GNU Emacs 19, whether or not it was
	compiled with multiple frame support.
	(isearch-mode-map): Test isearch-gnu-emacs-events instead of
	isearch-frames-exist to see if we should bind switch-frame events.
	(isearch-update): Test isearch-gnu-emacs-events instead of
	isearch-frames-exist to see if unread-command-char's quiescent
	value is nil or -1.

	* simple.el (previous-line): Doc fix.

Thu Nov  5 09:58:13 1992  Stephen A. Wood  (saw@cebaf.gov)

	* fortran.el version 1.28.8
	(fortran-indent-to-column): Make turning of lines that begin with
	`fortran-continuation-string' into properly formated continuation
	lines work for fortran TAB mode.

	* fortran.el version 1.28.7a
	Cleaned up some doc strings.

	(fortran-abbrev-help, fortran-prepare-abbrev-list-buffer): Use
	`insert-abbrev-table-description' and make buffer in abbrevs-mode.

	* fortran.el version 1.28.7
	Many changes since version 1.28.3.   Added auto-fill-mode, support
	for some Fortran 90 statements.  Adjust comments to conform to new
	gnu conventions.

	(fortran-mode): Fix `comment-line-start-skip' by changing \\1 to
	\\2 and include cpp statements in matching.  Changes for auto fill.  

	(fortran-auto-fill-mode, fortran-do-auto-fill,
	fortran-break-line): New functions to implement auto fill.

	(fortran-indent-line, fortran-reindent-then-newline-and-indent):
	Added auto fill support.

	(find-comment-start-skip, is-in-fortran-string-p): New functions.

	(fortran-electric-line-number): Works better in overwrite mode.

	(fortran-indent-comment, fortran-indent-line,
	fortran-indent-to-column):  Use find-comment-start-skip instead of
	searching for `comment-start-skip'.

	(fortran-mode, calculate-fortran-indent): Added indentation
	for fortran 90 statements.

	(fortran-next-statement, fortran-previous-statement): Bug fixes.

	(fortran-mode, calculate-fortran-indent,
	fortran-setup-tab-format-style, fortran-setup-fixed-format-style):
	`fortran-comment-line-column' meaning changed.  Now defaults to 0.

Thu Nov  5 05:00:28 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* term/x-win.el: (command-switch-alist, x-switch-definitions):
	-ib was used for two things.  Use -itype for icon type.

Wed Nov  4 23:58:42 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* term/x-win.el (command-switch-alist, x-switch-definitions):
	-ib was used for two things.  Use -itype for icon type.

Wed Nov  4 01:44:17 1992  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* term/x-win.el: Moved functions to support selections and cut
	buffers out from amidst the X initialization code.

	* simple.el (kill-line): Don't shift point before doing the
	delete.

	* startup.el (normal-top-level): Don't worry about setting
	default-directory to PWD if PWD is shorter.  And, if PWD isn't
	accurate, delete it.

Tue Nov  3 19:52:43 1992  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* compile.el (compile-internal): Use NAME-OF-MODE in the prompt
	when offering to kill an existing process.

	* autoload.el (make-autoload): When creating an autoload
	invocation for a macro, pass (list 'quote 'macro) as the sixth
	argument, not just t.  autoload's sixth argument is now a type
	instead of just a boolean value, so we should use a value which
	reflects that.

	* cl.el: New version - 3.0 - from Cesar Quiroz.

	* etags.el (find-tag-noselect): Doc fix.

Tue Nov  3 03:46:41 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rect.el (insert-rectangle): Put mark at upper left corner.

	* dired-aux.el (dired-mark-confirm): For `compress',
	say `Compress or uncompress'.
	(dired-map-over-marks-check): Likewise.

Sun Nov  1 17:07:52 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* isearch-mode.el (isearch-search): Handle all sorts of errors
	from regexp search.

Sat Oct 31 04:27:09 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (make-directory): Renamed from make-directory-path.
	Optional argument says whether to create parent dirs.
	Invoke file-name handler here.
	(after-find-file): Delete code that offers to create dir.
	Instead, just print a message.

	* bytecomp.el (byte-compile-lambda):
	Don't compile the interactive spec if it is a call to `list'.

Fri Oct 30 22:34:45 1992  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* ange-ftp.el: Tighten the regular expression used in
	file-name-handler-alist to recognized ange-ftp filenames; the
	slash, username and hostname must be at the start of the filename,
	not just anywhere in the filename.

Fri Oct 30 00:37:54 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* tabify.el: Doc fix.

Wed Oct 28 01:03:50 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* vc.el (vc-admin): Pass t as noquery arg to vc-resynch-window.

	* paths.el (manual-program): Always use /usr/ucb/man if that exists.

Tue Oct 27 03:47:32 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* fortran.el (fortran-tab-mode): Add defvar.
	(fortran-analyze-file-format): Bind i.
	(fortran-tab-mode-string): Add defvar.
	(fortran-tab-mode): Use `arg' as variable, not as function.
	(fortran-prepare-abbrev-list-buffer): New function.
	(fortran-abbrev-help): Call that.
	(fortran-window-create): Use screen-width, not frame-width.

	* info.el: Rename buffer-flush-undo to buffer-disable-undo.
	(Info-goto-emacs-key-command-node): Fix typo.
	(Info-menu-item-sequence): Commented out.
	(Info-follow-nearest-node): Use new event format.
	Select the window clicked on.

	* vc.el (vc-log-file, vc-log-version): Declared.

	* simple.el (shell-command-on-region):
	Use region-beginning and region-end, in interactive spec.

Mon Oct 26 23:11:12 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* isearch-mode.el (isearch-edit-string):
	Bind cursor-in-echo-area only around read-char/allocate-event.

Sat Oct 24 15:57:11 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* vc-hooks.el (vc-prefix-map): Put vc-diff on = and vc-directory on d.

	* vc.el (vc-resynch-window): New arg NOQUERY.
	Pass it to vc-revert-buffer1.
	(vc-checkout, vc-finish-logentry, vc-revert-buffer, vc-finish-steal):
	Supply t as NOQUERY arg for vc-resynch-window.
	(vc-next-action):
	Don't revert workfile from master if buffer is modified.

Fri Oct 23 04:53:38 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (set-visited-file-name): Change the auto save file name.

	* macros.el (insert-kbd-macro): Replace nonprinting chars with escapes.
	If arg is empty, use last macro as default.

	* sendmail.el (mail-aliases): Doc fix.

	* help.el (describe-function): Print `an autoloaded', not `a ...'.

	* simple.el (goal-column): Don't put the defvar inside the
	make-variable-buffer-local.

Wed Oct 21 00:50:11 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* dired.el (dired-chown-program):
	Treat silicon-graphics-unix like usg-unix-v.

	* rmail.el (rmail-mode-map): Delete binding of M-r (use global one).

	* lpr.el (lpr-command):
	Treat hpux and silicon-graphics-unix like usg-unix-v.

	* rmailout.el (rmail-output-to-rmail-file): Call abbreviate-file-name.

	* files.el: Doc fixes.

Tue Oct 20 00:35:01 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el (comment-region): Do move to next line, in neg arg case.

	* isearch-mode.el (isearch-mode-map): Make the top-level keymap dense.
	Explicitly bind control characters at that level.

	* files.el (file-truename): Check for root by seeing if
	directory-file-name returns same as DIR.
	Look for a file-truename handler for the file name.
	* vc-hooks (vc-registered): Look for a vc-registered handler.
	But only if file-name-handler-alist is bound.
	* ange-ftp.el: Add dummy handlers for file-truename and vc-registered.
	(ange-ftp-add-vms-host, ange-ftp-add-dl-dir, ange-ftp-add-mts-host):
	(ange-ftp-add-dumb-unix-host):
	Use default-directory, not dired-directory.
	(ange-ftp-allow-child-lookup): Eliminate dired-local-variables-file.

	* mailalias.el (mail-aliases): Add definition here.

Mon Oct 19 18:37:46 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* add-log.el (add-log-current-defun): Add condition-case around
	the body, so at worst we return nil.

Sun Oct 18 15:09:51 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* paragraphs.el (kill-sentence, backward-kill-sentence): 
	(kill-paragraph, backward-kill-paragraph):
	Don't change point before calling kill-region.

	* sendmail.el (mail-setup):
	Call build-mail-aliases, not mail-abbrev-setup.
	(sendmail-send-it): Call expand-mail-aliases.

	* mailalias.el: Doc fixes.

	* mailabbrev.el: Delete version 18 compatibility stuff.
	(mail-abbrevs, build-mail-abbrevs, rebuild-mail-abbrevs):
	(merge-mail-abbrevs): Renamed `mail-aliases' to `mail-abbrevs'.
	(mail-abbrev-end-of-buffer): Renamed from abbrev-hacking-end-of-buffer.
	(mail-abbrev-next-line): Renamed from abbrev-hacking-next-line.

	* isearch-mode.el (isearch-mode-map): Use sparse keymaps.
	Start printing-char loop at SPC.

	* rmailsort.el (rmail-sort-messages):
	Give up right away if not Rmail mode.

Sat Oct 17 21:06:20 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* replace.el (occur): Always search entire buffer.

Sat Oct 17 17:34:47 1992  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* mouse.el (mouse-tear-off-window): New function.

Sat Oct 17 03:07:14 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* mouse.el (mouse-set-region): New command.  Bind drag-mouse-1 to it.

Thu Oct 15 03:17:47 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* telnet.el (telnet): Wait for telnet output before sending `open'.

Wed Oct 14 12:29:09 1992  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* files.el (file-truename): The variable ~ should be considered an
	absolute pathname; handle it correctly.  Concatenate the directory
	onto the filename in the correct order.

Tue Oct 13 15:48:28 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* isearch-mode.el (isearch-mode-map): Bind t in top-level map 
	and in the submap for meta keys.  Don't bind the individual chars.

Mon Oct 12 17:18:22 1992  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* etags.el (visit-tags-table-buffer): When trying to pick table, call
	tags-expand-table-name on alternatives that might be nil.
	(tags-table-files): Don't call visit-tags-table-buffer; assume we
	are there.

Mon Oct 12 00:52:04 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* picture.el (edit-picture): Run picture-mode-hook.

Sat Oct 10 12:12:30 1992  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* dired-aux.el (dired-compress-file): Change references to
	`from-file' to use `file'; the former only works because
	dired-compress-file is only called by dired-compress, which binds
	from-file.

	* rmail.el (rmail-mode): Make this autoload; we might find a file
	whose first line local variables want to put it in RMAIL mode;
	that ought to work.

Sat Oct 10 02:13:18 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* comint.el (comint-last-input-match): defvar moved up.

	* files.el (buffer-file-number): New variable.
	(find-file-noselect): Record the file's filenum and devnum.
	Notify if any buffer has the same values.
	(basic-save-buffer): Save new filenum and devnum.
	For file-precious-flag, pass real name as VISIT arg of write-region.
	(set-visited-file-name): Likewise.
	Clear buffer-file-{number,truename} if now visiting no file.

Fri Oct  9 01:29:03 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmail.el (mail-unsent-separator): Handle "Message text follows".

	* files.el (hack-one-local-variables): New subroutine.
	(hack-local-variables-prop-line): New function.
	(hack-local-variables): Use them both.
	(ignored-local-variables): New variable.

	* files.el (file-truename): New function.
	(find-file-noselect): Look for buffer with same truename.
	Warn about it; optionally find it.  Set buffer-file-truename.
	(set-visited-file-name): Set buffer-file-truename.
	(buffer-file-truename): New var, permanent local in all buffers.
	(find-file-visit-truename, find-file-compare-truenames): New options.

Thu Oct  8 02:14:14 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmail.el (mail-unsent-separator): Allow "original message" as
	alternative.  Allow extra dashes and spaces.
	(rmail-retry-failure): Ignore case while searching for unsent sep.

	* add-log.el (add-log-current-defun): In normal C case,
	start with beginning-of-line.
	In last (fallback) case, start with end-of-line.
	(add-log-current-defun-header-regexp): In first alternative
	within the parens, don't allow space as last character.

	* cust-print.el (custom-prin1-chars):
	Var defined, and renamed from prin1-chars.
	(circle-tree, circle-table): Define vars.
	(cust-print-vector, cust-print-list): Rename level to circle-level.
	(cust-print-top-level): Likewise.
	(circle-level): Var defined.

	* cmuscheme.el (inferior-scheme-filter-regexp):
	Move definition of this var up before first use.
	(scheme-buffer): Define variable.

	* cmulisp.el (cmulisp-mode): Eliminate compatibility code calling
	lisp-mode-variables with no arg.
	(cmulisp-mode-map): Use shared-lisp-mode-map as tail.
	(cmulisp-args-to-list): Fix typo in recursive call.
	(cmulisp-buffer): Define variable.

	* files.el (hack-local-variables): Ignore attempts to bind
	enable-local-eval.

Wed Oct  7 04:59:09 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* cust-print.el: CP:: changed to cust-print- in all names.
	Lots of doc fixes.

Tue Oct  6 01:12:33 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* add-log.el (add-log-current-defun): Catch errors checking for DEFUN.

Mon Oct  5 16:53:41 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* vc.el (vc-steal-lock): Use mail-setup, and do like `mail'.
	Supply vc-finish-steal as an action on sending.
	(vc-finish-steal): Delete the code to send the message.
	(vc-backend-steal): Put filename after options in rcs commands.
	Delete the workfile after the rcs -M -u.

Mon Oct  5 16:33:46 1992  Joseph Arceneaux  (jla@churchy.gnu.ai.mit.edu)

	* rmail.el (rmail-first-unseen-message): Don't show the message,
	just return its number, if there was an unseen message.
	(rmail): Check for unseen messages before calling
	rmail-get-new-mail.  After getting the new mail, call
	rmail-show-message to show the 	pre-existing unseen message, or if
	that is nil, the current message, which rmail-get-new-mail sets to
	the first new message.

Mon Oct  5 06:15:05 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* isearch-mode.el (isearch-ring-advance-edit): Delete spurious `)'.

	* info.el (Info-restore-point): Delete duplicate definition.

Mon Oct  5 05:49:27 1992  Roland McGrath  (roland@albert.gnu.ai.mit.edu)

	* vc.el (vc-backend-checkin):
	Change buffers to get local value of vc-checkin-switches.

	* vc.el (vc-backend-checkin):
	Use apply on vc-do-command: vc-checkin-switches is a
	list.

Mon Oct  5 05:17:21 1992  Roland McGrath  (roland@albert.gnu.ai.mit.edu)

	* vc.el (vc-checkin-switches): New defvar.
	(vc-backend-checkin): Pass vc-checkin-switches to prog.

Mon Oct  5 00:12:51 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* ls-lisp.el (insert-directory): Renamed from dired-ls.
	All other functions renamed to start with ls-lisp.

	* ls-lisp.el: New file from Kremer.

Sun Oct  4 00:08:59 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* fill.el (fill-paragraph): Don't actually change point before
	calling fill-region-as-paragraph.
	(fill-region-as-paragraph): Save point on undo list at start.

Sat Oct  3 23:44:31 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el (insert-buffer): Before reading arg, barf if read-only.

Sat Oct  3 03:01:25 1992  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* mouse.el: Begin adapting this to the new event format.
	(event-window, event-point, mouse-coords, mouse-timestamp):
	Removed.
	(event-start, event-end, posn-window, posn-point, posn-col-row,
	posn-timestamp): New accessors; these are defsubsts.
	(mouse-delete-window, mouse-delete-other-windows,
	mouse-split-window-vertically, mouse-set-point): Rewritten to use
	the new accessors.

	* mouse.el: Remove hack of binding down-mouse-1.

	* mouse.el (mouse-movement-p): Add docstring for this.

Fri Oct  2 22:21:12 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el (open-line): Shield undo from the hack to insert at pt-1.

Thu Oct  1 20:31:53 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* man.el (nuke-nroff-bs): 4 lines after header was 1 too many.
	Likewise for 10 before the header.

Thu Oct  1 02:00:41 1992  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* compile.el (compilation-parse-errors): Save (match-beginning 0)
	in a variable, so the looking-at call doesn't clobber its value
	when we want to use it to back up before the error we discard.
	Make sure compilation-error-list is at least two elts long before
	checking its first two elts for being in the same file.

Wed Sep 30 06:30:31 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el (kill-word): Don't change point before calling kill-region.
	(delete-indentation): Don't go beyond eob, comparing with fill-prefix.

Wed Sep 30 04:36:39 1992  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* gud.el (gud-last-frame): Added defvar for this.

Tue Sep 29 22:12:49 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* info.el (Info-follow-nearest-node): Handle line breaks after *note.
	Fix interactive spec.  Doc fix.  Put on mouse-3.

Wed Sep 30 01:45:47 1992  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* compile.el (compilation-parse-errors): After we get enough errors
	to stop early, toss the last one (which is for a different file),
	so we don't lose the same way on the next run.

Tue Sep 29 23:59:26 1992  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* compile.el (compilation-parse-errors): When we reach
	FIND-AT-LEAST errors, keep going until we have seen all the
	consecutive errors in the same file.

Tue Sep 29 14:14:01 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* sendmail.el (mail-send-and-exit): Do other-buffer before bury-buffer.

	* rmail.el (mail-unsent-separator): Add another alternative.

Tue Sep 29 02:09:01 1992  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* term/x-win.el (x-select-text, x-cut-buffer-or-selection-value):
	Use x-get-cut-buffer and x-set-cut-buffer, instead of expecting
	x-selection-value to manipulate the cut buffers.

	* term/x-win.el (x-cut-buffer-or-selection-value): Treat
	selections whose value is the empty string like unset selections.
	This allows us to truncate cut buffers to the empty string (if the
	text is too large, say) without causing
	interprogram-paste-function to wipe out the latest kill.
	
	* gud.el: When we send a command to the debugger via gud-call,
	it's annoying to see the command and the new prompt in the
	debugger interaction buffer; nuke the command and the old prompt.
	(gud-delete-prompt-marker): New variable, with extensive documentation.
	(gud-mode): Make gud-delete-prompt-marker buffer-local, and
	initialize it.
	(gud-filter-insert): If gud-delete-prompt-marker is set, delete
	the prompt, and clear gud-delete-prompt-marker.
	(gud-call): Arrange for the last prompt printed to get deleted, by
	setting gud-delete-prompt-char.

	* gud.el (gud-def): Doc fix.
	(gud-gdb-marker-filter, gud-sdb-marker-filter,
	gud-dbx-marker-filter): Rename the argument `s' or `str' to
	`string', and change all uses; these definitions were referring to
	`string', which is unbound in the lexical context, but which
	happens to end up being bound to the right thing by the caller,
	gud-filter.
	(sdb): Set comint-prompt-regexp, not comint-prompt-pattern; the
	latter doesn't exist.
	(gud-dbx-debugger-setup): Use the argument `f', not the variable
	`file', which happens to be bound in the caller.
	(gud-filter-insert): The variable `start' is never used.  The
	variable `moving' is unnecessary.  The variable `old-buffer' and
	the unwind-protect form are unneeded, since save-excursion can do
	their work.  The binding of output-after-point should be done after
	switching to the process's buffer, not in whatever random buffer
	happens to be current when the process filter is called.  There's
	no need to set the process mark if we've just inserted at its
	location using insert-before-markers.
	(gud-read-address): Don't bother setting the variable `result'; it
	is never used.

Mon Sep 28 08:34:47 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* ange-ftp.el (ange-ftp-kill-ftp-process): Delete spurious ".

	* files.el (file-relative-name-1): New function split out.
	(file-relative-name): Use it.

	* timer.el (timer-process-sentinel): Don't set timer-scratch.

	* ws-mode.el (ws-mark-word): Use forward-word, with an arg,
	instead of backward-word.
	(wordstar-mode): Move after definition of keymap.
	(ws-move-block): Just two args for kill-region.

	* vc.el (vc-rename-file): Use OLD, not FILE which is unbound.

	* two-column.el: Use frame-width instead of screen-width.

Mon Sep 28 01:27:56 1992  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* map-ynp.el: Use (function ...) around lambdas, so it works in v18.

Sun Sep 27 02:42:08 1992  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* vc.el (vc-update-change-log): Use file-relative-name.

Sun Sep 27 02:40:49 1992  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* files.el (file-relative-name):
	Rewritten so unrelativizable file names win.

Sun Sep 27 02:27:00 1992  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* files.el (file-relative-name): Don't lose when DIRECTORY is nil.

	* files.el (file-relative-name): New function.

Sun Sep 27 01:51:04 1992  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* vc.el (vc-checkin-hook): New user hook variable.
	(vc-log-after-operation-hook): New internal defvar.
	(vc-checkin): Set vc-log-after-operation-hook to 'vc-checkin-hook.
	(vc-finish-logentry): (run-hooks vc-log-after-operation-hook) at end.
	
	(vc-update-change-log): When doing all visited files, remove directory
	names from file names that are in default-directory.

	* vc.el (vc-update-change-log):
	Use shell-command, not shell-command-on-region.
	Take optional args to pass to script.
	Add fancy interactive spec: C-u for current file only;
	M-0 for all visited.

Sun Sep 27 01:24:00 1992  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* find-dired.el: New version from sk.
	Changed copyright owner to FSF, and updated year.
	(find-grep-dired): Use ! -type d, not -type f.

Sun Sep 27 00:45:57 1992  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* vc-hooks.el (vc-toggle-read-only): Doc fix.
	(vc-mode-line): Add interactive spec.

Sat Sep 26 03:51:54 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* two-column.el (tc-window-width, tc-separator, tc-other): 
	Add permanent-local property.
	(tc-two-columns): Renamed from tc-split.
	(tc-split): Renamed from tc-unmerge.  Put it on C-x 6 s.
	Use make-local-variable on tc-separator.

	* spook.el (spook): Make it autoload.

	* gomoku.el (gomoku): Make it autoload.

	* mpuz.el: Fix setup of mpuz-read-map not to depend on keymap format.
	(mpuz): Renamed from mult-puzzle.  Make it autoload.

	* setenv.el (setenv): Doc fix.  Make it autoload.

	* diff.el (diff): Don't print echo area message.
	(diff-parse-differences): Always add `done' to message, at end.
	New local num-loci-found counts the loci.

	* mouse.el (mouse-split-window-vertically): Use @.
	(mouse-split-window-horizontally): New command.
	Use S-mouse-2 for them.
	(mouse-delete-window): Put on mode-line mouse-3.
	(mouse-save-then-kill): New command, on mouse-3.
	(mouse-delete-other-windows): Use @.  Now on mode-line mouse-1.
	(mouse-scroll-down, mouse-scroll-up): Use e, get line from event.
	(mouse-scroll-move-cursor): Likewise.
	(mouse-scroll-left, mouse-scroll-right): Likewise for column.
	(mouse-scroll-move-cursor-horizontally): Likewise.

Thu Sep 24 03:22:29 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (after-find-file): New arg NOAUTO.
	(revert-buffer, recover-file): Pass t for that arg.

Wed Sep 23 15:34:53 1992  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

        * cal-mayan.el (calendar-print-mayan-date): Fix conversion in
        output message.

Wed Sep 23 00:18:25 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* c-mode.el (calculate-c-indent): When testing for function-start line,
	always match the first paren if have more than one.

Mon Sep 21 03:46:20 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* vms-pmail.el: New file.

	* texinfo.el (texinfo-mode): Capitalize the mode name string.

	* mail-extr.el (mail-undo-backslash-quoting): Renamed from undo-...
	(mail-safe-move-sexp): Renamed from safe-...
	(mail-variant-method): Renamed from variant-method.

	* tq.el: Doc fixes.  Make tq-create autoload.

	* keypad.el: File deleted (obsolete).

	* setenv.el (setenv): Add interactive spec.  Use \\` for string beg.
	Improve error message.

	* isearch-mode.el (isearch-other-meta-char): Use isearch-unread.
	Support `edit' as search-exit-option.

	* recompile-startup.el: File deleted.

	* at386.el: Deleted from here; latest version moved into term.

	* c-mode.el (calculate-c-indent): When checking for DEFUN macro,
	stop moving down if reach eob.

Sun Sep 20 15:06:52 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* prompt.el: File deleted.

	* find-dired.el (start-process-shell-command): Deleted.

	* diff.el (diff-switches): Default is now -c.
	(diff-parse-differences): Use line beg as location of message.

	* c-mode.el (calculate-c-indent): When checking for DEFUN macro,
	stop moving down at line with # or /.
	(c-fill-paragraph): Set first-line whenever we find a comment start
	on the current line.  Protect text before the comment start 
	by excluding it from the region and adding spaces to bring back 
	proper indentation of that point.

Sat Sep 19 01:58:01 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* ange-ftp.el (ange-ftp-generate-anonymous-password): Default now t.
	??? This file is waiting for papers from several people.

	* vms-patch.el (vms-command-line-again): New function.
	(vms-pmail-setup): Autoload added here.
	(vms-suspend-resume-hook): Handle envvars EMACS_COMMAND_ARGS and
	EMACS_FILE_LINE.

	* dired.el (dired-view-file, dired-up-directory): Test that
	dired-subdir-alist has more than one element, to use dired-goto-subdir.
	(dired-goto-file, dired-clean-up-after-deletion): Likewise.
	(dired-mark): Likewise, before dired-get-subdir.
	(dired-subdir-max): Likewise, before dired-next-subdir.

	* isearch-mode.el (isearch-done): Do push on ring if ring is empty.
	(isearch-edit-string): Get default from search ring.
	Don't set the default here.
	(search-last-string, search-last-regexp): Vars deleted.
	(search-highlight): No longer a user option.

	* subr.el (baud-rate): Defined.
	(substitute-key-definition): Understand today's keymap format.
	New arg OLDMAP.  Operate recursively on prefix keys.

	* rmail.el (rmail-insert-inbox-text): Make the inbox file empty here
	if we rename it with rename-file here.
	(rmail-get-new-mail): Always try deleting the files in delete-files.

Fri Sep 18 02:58:14 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* lisp-mode.el (eval-last-sexp): Narrow before reading
	so don't read past point.

	* isearch-mode.el (isearch-mode): Change back to (baud-rate).

	* rmail.el (rmail-get-new-mail): Truncate inbox file if we
	fail to delete it, or if it's not in the ordinary mail spool dir.

Thu Sep 17 15:50:30 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* c-mode.el (calculate-c-indent): When checking for DEFUN macro,
	stop moving down at line with open-brace or close-brace.

	* ange-ftp.el (ange-ftp-file-name-as-directory): Fix typo.

Thu Sep 17 14:31:04 1992  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* gud.el (gud-mode-map): Bind gud-refresh to C-c C-l, not C-c l;
	the latter is reserved for the user's purposes.

Wed Sep 16 21:27:17 1992  Joseph Arceneaux  (jla@churchy.gnu.ai.mit.edu)

	* isearch-mode.el (isearch-ring-advance-edit): added missing
	closing paren to end of this function.

Wed Sep 16 20:45:04 1992  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* rmail.el (rmail-insert-inbox-text): Avoid "Getting mail from"
	message for zero-length files.

Tue Sep 15 17:04:49 1992  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* term/x-win.el: Bind M-next to scroll-other-window.

	* etags.el (visit-tags-table-buffer): Only return nil if (null
	tags-table-list-pointer) when CONT is t, not anything non-nil.

	* etags.el (tags-apropos): Pass arg to tags-apropos-function.

	* mailabbrev.el: Delete comment about needing papers.  We have them.

	* etags.el (tags-apropos): Start FIRST-TIME as t, not nil.
	Set it to nil inside the loop.

Tue Sep 15 03:21:44 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el (previous-history-element): Doc fix.

	* isearch-mode.el (isearch-event-data-type):
	Renamed from isearch-events-exist.
	(isearch-frames-exist): Set properly in Emacs 18.
	(isearch-mode): Use baud-rate as variable, not function.
	(isearch-abort): Use nil as 2nd arg to `signal'.
	(isearch-ring-advance-edit, isearch-ring-retreat-edit): Fns deleted.
	(isearch-ring-adjust-edit): Fns deleted.
	(isearch-done): Add new string to ring unless matches newest elt.
	Don't update the yank pointers.
	(isearch-repeat): Always use newest elt of ring.
	(isearch-mode): Set *search-ring-yank-pointer to nil.
	(isearch-edit-string): Set cursor-in-echo-area to nil after read-char.
	Use read-from-minibuffer and specify a ring as history.
	(*search-ring-yank-pointer): Value now integer or nil.
	(isearch-ring-adjust1): Modify yank pointer usage accordingly.

Mon Sep 14 20:10:28 1992  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* dabbrev.el: Change provide to 'dabbrev from 'dabbrevs.

	* etags.el (find-tag-noselect, next-file, list-tags, tags-apropos):
	Call visit-tags-table-buffer with nil, not 'reset.
	(tags-expand-table-name): New function.
	(tags-table-list-member): New function.
	(tags-next-table): New function.
	(visit-tags-file): Folded into visit-tags-table-buffer.
	(tags-table-list-started-at): New defvar.
	(visit-tags-table-buffer): Rewritten.  No longer groks 'reset arg.
	For 'same, just expand tags-file-name.
	For t, use tags-next-table, and skip over nonexistent files.
	Use tags-table-list-member to search lists.
	Set tags-table-list-started-at.
	(visit-tags-table): Use (visit-tags-table-buffer 'same) in place of
	visit-tags-file.
	(tags-table-parent-pointer-list): Doc fix.
	(tags-table-including): New function, subr of visit-tags-table-buffer.

Mon Sep 14 19:02:22 1992  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* gud.el (gdb, sdb, dbx): Use C-c C-r ("resume") for continuing,
	instead of C-c C-c.  C-c C-c should be comint-interrupt-subjob;
	it's important to have that available, and the C-c C-c binding is
	consistent with all the other comint-derived modes.

Mon Sep 14 18:31:53 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* isearch-mode.el: Add global key bindings.
	(isearch-mode-map): Use only define-key, not aset.
	Don't try using length of keymap.
	(isearch-update): Handle unread-command-char properly for Emacs 19.
	(isearch-switch-frame-handler): Use select-frame to switch frames.
	(isearch-pre-command-hook): Commented out.
	(search-upper-case): Renamed from search-caps-disable-folding.

Mon Sep 14 14:41:54 1992  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* etags.el (visit-tags-file): Return t iff tags file exists.
	(visit-tags-table): Error if file doesn't exist.
	(tags-next-table): New function, code broken out from
	visit-tags-table-buffer.
	(visit-tags-table-buffer): Use it.
	Skip over nonexistent files in the tags-table-list.
	(find-tag-in-order): When (not FIRST-SEARCH), call
	visit-tags-table-buffer with 'same, not nil.

	* etags.el (visit-tags-file): Check for file being a directory here.
	(visit-tags-table-buffer): Not here.
	(visit-tags-table): Or here.

Mon Sep 14 01:54:25 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmail.el (rmail-retry-failure): Bind off mail-signature and
	mail-setup-hook.
	(rmail-forward): Likewise.

	* loaddefs.el: Added autoloads for dabbrev.  (That section got lost.)

	* simple.el (repeat-complex-command): Get rid of strings added
	to command-history by read-from-minibuffer.
	Don't bind minibuffer-history-variable here.
	(previous-matching-history-element): Read argument manually,
	with a special history list.  Delete this command from command-history.
	Fix arithmetic for counting N.
	(next-matching-history-element): Likewise.
	(minibuffer-history-search-history): New variable.

	* simple.el (read-expression-map): New keymap, w/ lisp-complete-symbol.
	(eval-expression, edit-and-eval-command): Use read-expression-map.
	(repeat-complex-command): Likewise.

Sun Sep 13 14:13:23 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* compile.el: Fix first lines of doc strings.
	(compilation-sentinel): Use local value of compilation-finish-function.
	(compilation-num-errors-found): New variable.
	(compilation-parse-errors): Use that, not `nfound'.
	* diff.el (diff-parse-differences): Likewise.

	* lisp-mode.el (save-match-data): Define indentation.

	* files.el (file-local-copy): New function, replaces diff-prepare.

	* subr.el (save-match-data): New macro.
	* files.el (insert-directory): Use that macro.
	(file-name-sans-versions): Likewise.
	* dired-aux.el (dired-compress-file): Likewise.
	* diff.el (diff-old-file, diff-new-file): Vars declared.
	(diff-old-temp-file, diff-new-temp-file): Vars declared.
	(dired-add-entry): Pass t as wildcard arg to insert-directory.
	(diff): Use compilation-finish-function to delete temp files.

	* comint.el (comint-mode): Reinsert kill-all-local-variables.
	Delete kludges to preserve comint-ptyp and comint-input-ring.
	(comint-ptyp): Move declaration before uses.  Make permanent.
	(comint-input-ring): Make permanent.
	(comint-input-ring-index): Declare it.

	* bytecomp.el (byte-compile-report-error):
	Set byte-compiler-have-errors.
	(byte-compile-file): Don't kill ` *Compiler Input*' buffer if error.
	Put input and output buffers in local vars when made.
	Make two separate save-excursion forms, excluding the call
	to byte-compile-from-buffer.

	* dired.el (dired-uncache): New function.
	(dired-revert, dired-insert-old-subdirs): Use it.
	(dired-view-file): Undo previous change.

Sun Sep 13 03:33:49 1992  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* mouse.el: Change uses of 'K' interactive spec to 'e'.

Sun Sep 13 00:13:00 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* diff.el (diff): Call diff-prepare.  If we do have temporary files,
	tell diff to override their names in the listing; delete them at end.
	(diff-prepare): New function.

	* files.el (file-name-sans-versions): Support file-name-handler-alist.
	New arg KEEP-BACKUP-VERSION means don't delete backup versions. 

	* dired.el (dired-display-file, dired-find-file-other-window): 
	(dired-view-file, dired-find-file): Call file-name-sans-versions
	to remove non-backup version numbers.

	* dired-aux.el (dired-compress-file): New function.
	(dired-compress): Call that, to compress and determine new name.

	* files.el (insert-directory): New function; based on dired-ls.
	Supports file-name-handler-alist.
	(insert-directory-program): New variable.
	* dired-aux.el (dired-add-entry, dired-insert-subdir-doinsert):
	Use insert-directory.
	* dired.el (dired-readin-insert): Use insert-directory.
	(dired-ls, dired-ls-program): Deleted.

Sat Sep 12 04:41:34 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* autoload.el (update-file-autoloads): Use beginning of specified line.

	* loaddefs.el: Sort alphabetically by file name.

	* files.el (backup-buffer): If backup file to copy into exists 
	and is not writable, try deleting it.

	* ange-ftp.el: New version from Andrew Norman.
	Modified to use file-name-handler-alist.
	Get rid of the dummy shell mode.
	Rename many variables used free to start with ange-ftp.
	Don't do anything special for revert-buffer.

Fri Sep 11 03:06:55 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* mouse.el (x-fixed-font-alist): New variable.
	(mouse-set-font): New function, now on C-mouse-3.

	* term/x-win.el (scroll-bar-mode): New function (and variable too).

	* dired.el (dired-next-subdir, dired-subdir-index): Moved here
	* dired-aux.el: From here.
	* dired.el (dired-build-subdir-alist): Don't print msg after each dir.
	Clarify final message.	

	* files.el (auto-mode-alist): Recognize ChangeLog.N as change-log-mode.
	Move *.N pattern for nroff mode after ChangeLog.N.

Thu Sep 10 18:58:19 1992  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* add-log.el (add-log-current-defun): Use eq instead of = when one
	side might be nil.

Wed Sep  9 19:53:33 1992  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

        * frame.el (frame-notice-user-settings): In situations where we
	have to delete the existing frame and create a new one, redirect
	the dying frame's focus to the new frame, so that characters typed
	ahead won't get lost.

	* frame.el (frame-notice-user-settings): Explicitly include
	default-frame-alist in the frame parameter lists; it was nil
	before the .emacs file was loaded, and now we have to make sure it
	takes effect.

	* subr.el (keyboard-translate): keyboard-translate-table is a C
	variable; it's never unbound.  Assume it's bound, and create a new
	string if its current value is a non-array, or if the current
	array is too short to handle FROM or TO.

Tue Sep  8 15:25:58 1992  Joseph Arceneaux  (jla@geech.gnu.ai.mit.edu)

	* mailabbrev.el (sendmail-pre-abbrev-expand-hook): Changed the
	structure of this function:  Don't check to call
	mail-resolve-all-aliases unless we are actually in a header field
	where an abbrev should be expanded.

Sat Sep  5 19:19:26 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* c-mode.el (c-fill-paragraph): Fix the cases where point is before
	or after the comment.  This uses new var comment-start-place.

Fri Sep  4 04:59:33 1992  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* rmail.el (rmail-unix-mail-delimiter): Expand this to recognize
	time zones after the date too.  Re-arranged some of the whitespace
	matching, to facilitate factoring out the time zone regexp.
	(rmail-nuke-pinhead-header): Deal with the timezone matched in
	either position.

Fri Sep  4 17:49:24 1992  Roland McGrath  (roland@albert.gnu.ai.mit.edu)

	* server.el: Add provide.

Fri Sep  4 01:20:40 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* c-mode.el (calculate-c-indent): Delete stray setq of tem.
	(c-fill-paragraph): If line contains any comment, treat as comment.

	* add-log.el (change-log-mode): Match start of word at start of line.
	* page.el (forward-page): Handle page delim that matches null string.

	* rmail.el (rmail-mode): Doc fix.

	* shell.el (shell): Doc fix.

	* sendmail.el (mail-do-fcc): Copy code from Emacs 18 to add time zone.

Thu Sep  3 20:04:28 1992  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* rmail.el (rmail-unix-mail-delimiter): Split this up and comment
	its various components so it looks a bit less like three lines of
	garbage.

Wed Sep  2 19:15:42 1992  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* compile.el (compile-goto-error): Move to bol before looking for
	the error.

Wed Sep  2 18:09:41 1992  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* c-mode.el (c-auto-newline): Added backslashed before quotes in
	docstring.

Tue Sep  1 15:05:33 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* lpr.el (lpr-command): Make this autoload.

	* fill.el (justify-current-line): Fix escape syntax of regexp constant.

Mon Aug 31 20:24:43 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (enable-local-eval): Default value is `maybe'.
	(hack-local-variables): Ask just once about `eval:', not each time.

Mon Aug 31 19:22:20 1992  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* loadup.el: Don't delete old DOC-M.N.O file if it doesn't exist.

Mon Aug 31 02:26:43 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* loadup.el: Delete old DOC-M.N.O file before copying to it.

	* c-mode.el (calculate-c-indent): Recognize the Emacs DEFUN macro.
	Do condition-case around sexp functions when checking for
	function arg decls.
	(c-fill-paragraph): Detect comment starting after code on current line.
	Exclude everything before line where comment starts.

	* add-log.el (add-log-current-defun): Fix test for LOCATION
	in range, for instace of DEFUN macro.

	* simple.el (open-line): Fix fill-prefix case.

	* loaddefs.el: Swap bindings of C-x a i l and C-x a i g.
	The former is now for mode abbrevs and the latter for global.

Sun Aug 30 21:57:08 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* mouse.el: Add bindings for down-mouse-1, drag-mouse-1,
	S-mouse-3, C-mouse-1.
	Add real keybindings for scroll bar commands.
	(help-menu-map): New tree of menu-maps, on C-mouse-2.
	(mouse-buffer-menu): New function.

Sat Aug 29 04:25:31 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* c-mode.el (calculate-c-indent): If taking indent from prev stmt
	and it starts with an {, subtract c-brace-offset.

Thu Aug 27 00:22:35 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* add-log.el (add-log-current-defun): Recognize Emacs DEFUN properly.

Mon Aug 24 18:47:15 1992  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* rnewspost.el (news-setup): Don't use kill-line; that puts
	trash in the kill ring; instead, use delete-region.

	* mouse.el (mouse-kill, mouse-set-point): Remember that
	event-point does not always return a number; it may return
	`mode-line' or `vertical-line'.

	* simple.el (prefix-arg-internal): Make sure that the key
	sequence is a string before comparing it against "0" and "9".

Mon Aug 24 18:07:55 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* etags.el (etags-recognize-tags-table): Don't print message.

Fri Aug 21 03:18:34 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el: Doc fixes.

Wed Aug 19 04:13:25 1992  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* sendmail.el (mail-signature-file): Undo the previous change -
	replace this with mail-signature.  The manual has already gone to
	the printer.
	(mail-setup): Use mail-signature, rather than mail-signature-file.
	(mail-signature): Use "~/.signature", rather than
	mail-signature-file.
	(mail): Doc fix.

Wed Aug 19 03:03:49 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmail.el (rmail): Bind enable-local-variables, not inhibit...

	* sendmail.el (mail-setup): Don't use mail-signature-file
	if nonexistent.  Insert just one newline if no signature.

Tue Aug 18 17:18:25 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmail.el (rmail-next-undeleted-message): No error at eob,
	just message.  (This reverses the previous change.)

Mon Aug 17 14:28:46 1992  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* sendmail.el (mail-signature): Variable replaced with...
	(mail-signature-file): This, since this is the way all the
	other lisp packages do it, and it's how people always say they
	want it on the mailing lists.
	(mail-setup, mail-signature): Adjusted accordingly.
	(mail): Doc fix.

Mon Aug 17 23:13:23 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* sort.el (sort-subr): No progress messages if sorting less than 50k.

Mon Aug 17 13:56:14 1992  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

        * solar.el (sunrise-sunset): Get various values set properly when
        there is (or isn't) a double prefix arg.

Fri Aug 14 13:24:20 1992  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* timer.el (run-at-time, timer-process-filter): The character
	used to separate the time from the token in input to the timer
	subprocess used to be ?\001, which is not human-readable.
	Make it ?@, which is.

Fri Aug 14 03:50:30 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* info.el (Info-find-node): Be more flexible about format of
	tags table.

Thu Aug 13 20:14:21 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* unrmail.el: New file.

Thu Aug 13 15:01:28 1992  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

        * hideif.el (hide-ifdef-mode): Made this function autoload.
	(hide-ifdef-initially, hide-ifdef-read-only,
	hide-ifdef-lines): Make these variables autoload.

Wed Aug 12 14:37:41 1992  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* compile.el (grep-regexp-alist): New defvar.
	(grep): Pass grep-regexp-alist to compile-internal.

	* etags.el (find-tag-noselect): If NEXT-P,
	(visit-tags-table-buffer 'same) first.

	* add-log.el: Add (provide 'add-log).

Wed Aug 12 02:48:34 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* add-log.el (change-log-mode): Make it autoload.

Wed Aug 12 01:49:56 1992  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* frame.el (initial-frame-alist): Change the initial frame
	alist from ((minibuffer . nil)), which asks for no minibuffer,
	to ((minibuffer . t)), which asks for a minibuffer.

        * term/x-win.el: Don't call set-input-mode from here; it's
	already taken care of in x_term_init, which is called from
	Fx_open_connection.  Rah.

Tue Aug 11 21:35:43 1992  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* calendar.el, diary.el, diary-insert.el, holidays.el,
	cal-french.el cal-mayan.el, solar.el, lunar.el: Installed the
	latest update of this calendar stuff from that calendar guy, Ed
	Reingold.  Entries for his changes have been inserted in this
	file, ordered by date amongst the rest of the changes.
	* diary-add.el: This has become diary-insert.el.
	* calendar.el (generate-calendar-window,
	update-calendar-mode-line, calendar-set-mode-line): Replace uses
	of screen-width with frame-width.
	* diary.el (simple-diary-entry, fancy-diary-entry): Same.

Tue Aug 11 03:25:08 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el (eval-expression): Doc fix.

Mon Aug 10 17:24:27 1992  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* add-log.el (add-log-current-defun): Protect against "Unbalanced
	parens" error from down-list.

Mon Aug 10 10:19:28 1992  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* frame.el (set-screen-width, set-screen-height): Make the
	docstring say that these are obsolete.
	(screen-width, screen-height, set-screen-width,
	set-screen-height): Apply make-obsolete to these.

Mon Aug 10 09:03:24 1992  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

        * calendar.el (calendar-mode): Update mode line.

        * calendar.el (calendar-read-date): New function.
        (calendar-goto-date): Use it.

        * holidays.el (holidays): Optional prefix arg causes prompting for
        month and year.

        * calendar.el (calendar-interval): Fix doc string.

        * calendar.el (calendar): Changed use of prefix arg--now it causes
        prompting for the month and year.
        (regenerate-calendar-window): Renamed generate-calendar-window.
        Changed optional argument from an offset from the current month to
        a month, year pair.
        (redraw-calendar, calendar-current-month, scroll-calendar-left,
        calendar-other-month): Change calls from regenerate-calendar-window
        to generate-calendar-window.

Sat Aug  8 18:08:46 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

        * vc.el (vc-revert-buffer): Use yes-or-no-p.  Doc fix.

        * Reinstalled a loaddefs.el backup dated Aug 4.
        The installed copy seems to be a very old version.

Sat Aug  8 13:37:31 1992  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* frame.el (set-screen-width, set-screen-height): Changed these
	from fset aliases to actual functions, since they aren't supposed
	to take a frame argument, while set-frame-{width,height} do.

Fri Aug  7 17:13:23 1992  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* add-log.el (add-log-current-defun): Handle ansidecl DEFUN macros.
	(change-log-mode): Doc fix.

	* add-log.el (add-log-current-defun): Use an intelligent regexps
	instead of many looking-at calls.  Use memq instead of (or (eq x a)
	(eq x b)).  Stupidity reigns.

Fri Aug  7 04:51:50 1992  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* frame.el (set-frame-width, set-frame-height): Functions deleted
	*again*.  Where did these come from?

	* bytecomp.el: Merged changes up to version 2.08 of the
	Zawinski-Furuseth compiler.  Added a comment above the declaration
	of byte-compile-version indicating this, to assist future patchers.
	(byte-compile-warnings): Doc fix.
	(byte-recompile-directory): Ignore CVS subdirectories, as well as
	RCS dirs.
	* byte-opt.el: Correctly extract the components of a compiled
	function object.

	* bytecomp.el (byte-compile-warnings): Have this default to t,
	since Zawinski says everyone likes the warnings about unbound
	variables.  

	* appt.el (appt-issue-message, appt-message-warning-time,
	appt-audible, appt-visible, appt-display-mode-line,
	appt-msg-window, appt-display-duration, appt-display-diary): Added
	;;;###autoload cookies for these variables, since they are options
	for the user to set.
	* tex-mode.el (tex-shell-file-name, tex-directory, tex-offer-save,
	tex-run-command, latex-run-command, latex-block-names,
	slitex-run-command, tex-bibtex-command, tex-dvi-print-command,
	tex-alt-dvi-print-command, tex-dvi-view-command,
	tex-show-queue-command, tex-default-mode, tex-open-quote,
	tex-close-quote): Same.

Thu Aug  6 19:44:31 1992  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* add-log.el (add-log-current-defun): Use eq instead of = when one
	side might be nil.

	* compile.el (compilation-mode-map): Change
	compilation-previous/next-file bindings to M-{ and M-}.

Wed Aug  5 00:41:53 1992  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* cl.el (*cl-valid-named-list-accessors*, *cl-valid-nth-offsets*,
	byte-compile-named-accessors): Deleted.
	(first, second, ... tenth, rest): Define these with defsubst, to
	get the same effect.
	(byte-compile-ca*d*r): Deleted.
	(caar, cadr, ..., cddddr): Define these using defsubst.

	* Installed changes from Zawinski-Furuseth 2.04 to 2.07:
	* byte-run.el (dont-compile): Doc fix.
	(make-obsolete-variable): New function.
	* bytecomp.el (byte-compile-log-1): Added new optional argument,
	FILL; if it is non-nil, reformat the error message.
	(byte-compile-warn): Use that flag.
	(byte-recompile-directory): Offer to recompile subdirectories.  If
	prefix argument is zero, create .elc files for those .el files
	which lack them, without asking.
	(byte-compile-output-form, byte-compile-output-docform): Disable
	print-gensym while writing the form.
	(byte-compile-form): Warn if t or nil are called as functions.
	(byte-compile-variable-ref): Check for, and warn about, obsolete
	variable uses.
	(byte-set-marker, byte-string=, byte-string<, byte-setcar,
	byte-setcdr, byte-rem): Define these with byte-defop-compiler19,
	not plain byte-defop-compiler.
	(auto-fill-hook, blink-paren-hook, lisp-indent-hook,
	temp-buffer-show-hook, inhibit-local-variables): Declare these
	variables to be obsolete.
	* byte-opt.el (byte-optimize-apply): If the last argument to apply
	is a constant list, and we therefore decide to turn this into a
	funcall, then don't forget to quote all the elements of the
	constant list.

	* inf-lisp.el (inferior-lisp-filter-regexp, inferior-lisp-program,
	inferior-lisp-load-command, inferior-lisp-prompt,
	inferior-lisp-mode-hook, inferior-lisp): Added ;;;###autoload
	cookies for these.

	* bytecomp.el (byte-compile-warnings): When choosing the default
	value for this variable, don't forget to apply delq to a COPY of
	byte-compile-warning-types, so we don't nuke the `free-vars' flag
	altogether.

Tue Aug  4 21:08:02 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmail.el (rmail-search): Fix typo (premature ref to reversep).
	Choice of amount to increment n by was backwards.	
	(rmail-search-backwards): Setting of reversep was backwards.

Tue Aug  4 18:30:51 1992  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* compile.el (compilation-next-file): Use FILE instead of "This"
	in error for moving too far.

Tue Aug  4 17:39:24 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* comint.el (comint-mode-map): Set to nil at load time.

	* lint.el: File deleted.

Tue Aug  4 17:28:01 1992  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* compile.el (compilation-parse-errors): Write progress messages
	on all regexp matches, not just errors.

Tue Aug  4 13:08:26 1992  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* view.el (view-mode): teach this how to use help-char.

	* info.el (Info-mode): scroll-up, scroll-down now do the right
	thing for preorder browsing when the beginning/end of the node
	is visible.  RET now goes to the next preorder node.  These
	changes make sequential reading of info subtrees easier.

Tue Aug  4 01:01:00 1992  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* appt.el (appt-make-list): Add ;;;###autoload cookie for this
	function.

	* vc-hooks.el: Removed autoloads; this task is better performed by
	the autoload cookies.
	* vc.el (vc-next-action, vc-register, vc-diff, vc-insert-headers,
	vc-directory, vc-create-snapshot, vc-retrieve-snapshot,
	vc-print-log, vc-revert-buffer, vc-cancel-version,
	vc-update-change-log): Added the ;;;###autoload cookies to these
	functions, since they get bound to keys in the global keymap.
	* loadup.el: Load vc-hooks.el.

Mon Aug  3 20:52:21 1992  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* compile.el (compile-error-at-point): New function.
	(compilation-next-error): Use it.
	(compile-file-of-error): New function.
	(compilation-next-file, compilation-previous-file): New functions.
	(compilation-mode-map): Bind C-x [ and C-x ] to them.

Mon Aug  3 18:33:31 1992  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* compile.el (next-error): Call compile-reinitialize-errors with
	3rd arg of ARGP-1, not ARGP.
	(compile-reinitialize-errors): Don't need to parse if
	compilation-parsing-end is past LIMIT-SEARCH.
	(compilation-next-error): Rewritten to use compile-reinitialize-errors
	limiting args.
	(compile-reinitialize-errors): Don't parse at all if
	compilation-parsing-end is at (point-max).

	* loaddefs.el (complete-tag): Define here to always error; loading
	etags will redefine it.

	* etags.el (complete-tag): Error if no tags table loaded.

Mon Aug  3 17:11:41 1992  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* ebuff-menu.el, echistory.el, help.el, hexl.el: teach these packages
	to use help-char, and add the appropriate magic to doc strings.

Mon Aug  3 15:20:17 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* gud.el (gud-def): If KEY is nil, don't make a binding.

Mon Aug  3 14:50:40 1992  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

        * diary.el (print-diary-entries): Rewrote to work for either
        simple or fancy diary display.
        (add-diary-heading): Deleted--incorporated into print-diary-entries.
        * calendar.el (print-diary-entries-hook): Change default value.

Mon Aug  3 12:41:32 1992  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* add-log.el (change-log-mode): Doc fix.

	* map-ynp.el (map-y-or-n-p): Use key-description for USER-KEYS.

Mon Aug  3 05:19:24 1992  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* simple.el (current-kill): Reinstate interprogram-paste feature.
	It doesn't seem to be wedged for me, and I can't find out how it is 
	wedged unless it's enabled.

	* terminal.el (terminal-map, terminal-escape-map,
	terminal-more-break-map): Apply fillarray to the cadr of the map,
	not to the map itself; dense keymaps are no longer vectors.
	* ehelp.el (electric-help-map): Same here.

	* bytecomp.el (byte-compile-file): Don't catch errors here.
	(displaying-byte-compile-warnings): Catch them here.  This way,
	errors get caught no matter which compilation entry point we use;
	anyplace that can report warnings, also catches errors.

	* sun-cursors.el: Require 'cl, for the sake of the push macro.
	(sc::pic-ins-at-mouse): Call move-to-column with the FORCE
	argument true, instead of calling an unknown function named
	`move-to-column-force'.

	* medit.el (medit-zap-define-to-mdl): Fix interactive spec.
	(medit-zap-define-to-mdl): Change `medit-save-defun' to
	`medit-save-define'.
	(medit-save-region, medit-save-buffer, medit-zap-define-to-mdl):
	Changed `medit-go-to-mdl' to `medit-goto-mdl'.  Did anyone ever
	try this code?

Sun Aug  2 00:39:59 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* comint.el: Fix message syntax.
	(comint-previous-similar-input): Use error, not message.

	* files.el (save-some-buffers): Use C-r, not v, to look at a buffer.
	Use view-buffer and a recursive edit to do it.

	* view.el: Delete key bindings for C-x v and C-x 4 v.
	(View-scroll-lines-forward, view-helpful-message):
	Use view-exit, not exit-recursive-edit.

	* map-ynp.el: Fix prompt.

	* dired.el (dired-why): Don't use save-excursion.
	(dired-change-marks): New command.	
	(dired-mode-map): Put dired-change-marks on c.
	Put dired-do-kill-lines on k.

	* dired-aux.el: Require dired.el for compilation.
	(dired-bunch-files): Was duplicating PENDING in apply calls.  Fixed.
	(dired-do-shell-command, dired-run-shell-command):
	Delete arg IN-BACKGROUND; rely on including & at end of command.
	(dired-run-shell-command): Return nil.
	(dired-do-shell-command): Accept COMMAND as arg; use minibuf
	within `interactive'.
	(dired-create-files, dired-handle-overwrite): 
	Rename overwrite-confirmed to dired-overwrite-confirmed.
	(dired-do-kill-lines): Handle prefix arg as number of lines to kill.
	(dired-kill-line-or-subdir): Deleted. 

Sat Aug  1 22:35:09 1992  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* mailabbrev.el [from jwz] (mail-interactive-insert-alias): Do
	mail-aliases-setup if necessary before completing for interactive.
	(build-mail-aliases): Changed parsing regexp.

	* compile.el (compilation-parse-errors): Take 2nd arg FIND-AT-LEAST.
	If non-nil, stop after parsing that many new errors.
	(compilation-parse-errors-function): Document 2nd arg.
	(compile-reinitialize-errors): Take optional 3rd arg; pass to parser.
	(next-error): Pass repeat count to compile-reinitialize-errors.
	* diff.el (diff-parse-differences): Take same new arg.

	* reposition.el (C-l): Fix typo.

Sat Aug  1 15:00:51 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* comint.el: ring-* functions deleted--get them from ring.el.

	* ring.el (ring-mod): Renamed from comint-mod.
	Provide `ring', not history'.
	(make-ring, ring-p): Add autoloads.	
	* history.el: Link deleted.

	* c-mode.el (c-up-conditional): New function.

	* add-log.el (add-log-current-defun): In C and Lisp, verify the defun
	really starts at or before the original point.

Sat Aug  1 10:41:29 1992  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* mailalias.el: Provide 'mailalias.
	* mailpost.el: Require 'mailalias and 'sendmail, since we use
	expand-mail-aliases and mail-do-fcc.

	* mail-extr.el (mail-extract-address-components, variant-method):
	Use buffer-disable-undo instead of buffer-flush-undo; the latter
	is obsolete.

	* lpr.el (print-region-new-buffer): Added arguments START and END;
	this used to use dynamic scope, but it makes things less readable.
	(print-region-1): Always call this with two arguments, not
	sometimes two and sometimes none.

	* lint.el: Require 'compile.
	(compilation-convert-lint): Call set-buffer with only one argument.

	* life.el: Move the definitions of the macros out of the require
	clause; the new compiler seems to handle the macros correctly.
	(life): Add an autoload cookie for this.
	(life-display-generation): If the sit-for returns before the
	timeout has elapsed, exit the life loop.

	* ledit.el (ledit-setup): Use shared-lisp-mode-map, instead of
	lisp-mode-commands.

	* kermit.el (kermit-send-input-cr): comint-send-input doesn't
	accept any arguments.  Instead of applying comint-send-input to
	"\r", call comint-send-input on no arguments, and then use
	comint-send-string to send the carriage return.
	(kermit-clean-filter): Call re-search-backward, not
	re-search-backware.
	(kermit-clean-on): Remove extra quote from doc string.

	* informat.el (batch-info-validate): Don't pass any arguments to
	Info-tagify; it doesn't want any.

	* hideif.el (hif-endif-to-ifdef): Fix munged comment which was
	interfering with parsing.

	* hexl.el (hexl-next-line): Fixed up malformed let binding.

	* bytecomp.el (byte-compile-file): Catch errors that occur during
	compilation, and record them in the compilation log.  This allows
	us to find the name of the guilty file when we get a "invalid read
	syntax" error or some such.

	* gud.el: Require `etags', not `tags'.
	(sdb): Move interactive spec to top of function, just under doc string.
	(gud-read-address, send-gud-command): Use the point and point-max
	function instead of dot and dot-max; the latter two are obsolete.

	* gnus.el (gnus-Group-mode, gnus-Subject-mode,
	gnus-Subject-rmail-digest, gnus-Article-mode,
	gnus-output-to-rmail, gnus-output-to-file): Use
	buffer-disable-undo, instead of buffer-flush-undo; the latter is
	an obsolete name.

	* simple.el: Bind the `next' and `prior' function keys to
	next-history-element and previous-history-element in the
	minibuffer maps.  Clean up binding code.

	* two-column.el: Doc fixes.

	* loaddefs.el (function-keymap): Definition deleted; this has been
	superceded by function-key-map.

	* gomoku.el (gomoku-mode-map): Use function key symbols, instead
	of the keypad.el facilities.

	* edt.el: Converted to use the new function key events instead of
	keypad.el.  Don't require keypad.  Change global key bindings.
	(advance-direction, backup-direction): Bind the function key
	symbols directly in the global map, not in function-keymap.
	(edt-emulation-on): Doc fix.  This function will now work when
	called simply from .emacs; it doesn't need to be run after the
	terminal-dependent file has been loaded.

	* cl.el (byte-compile-named-list-accessors, byte-compile-ca*d*r):
	Changed these to work correctly with the Zawinski-Furuseth byte
	compiler.

Fri Jul 31 13:01:45 1992  Robert J. Chassell  (bob@churchy.gnu.ai.mit.edu)

	* loaddefs.el: New keybinding, `C-x r y', for `yank-rectangle'. 

Fri Jul 31 10:17:35 1992  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

        * calendar.el (calendar-string-spread): New function.
        (calendar-mode-line-format): Redefine it.
        (calendar-set-mode-line): Rewrite using new function.
        (update-calendar-mode-line): Rewrite using new function.

Fri Jul 31 00:04:58 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* startup.el (command-line-1): Mention info in startup message.

Thu Jul 30 22:27:50 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* byte-opt.el (byte-optimize-plus): Don't entirely eliminate the call.
	(byte-optimize-minus): Likewise.
	(byte-optimize-multiply,(byte-optimize-divide): Likewise.

Thu Jul 30 17:08:34 1992  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* compile.el (compile-goto-error): Set compilation-error-list to
	the one we want, not the one before it.
	(next-error): Use the ARGP-1th, not ARGPth cdr of
	compilation-error-list.

Thu Jul 30 15:23:02 1992  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* bytecomp.el (byte-compile-warnings): By default, do not display
	warnings about references free variables.

Thu Jul 30 00:30:21 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* sendmail.el (mail): Get rid of the multiple mail buffer feature.

Wed Jul 29 16:04:40 1992  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

        * calendar.el (general-holidays, hebrew-holidays, local-holidays,
        christian-holidays, islamic-holidays, solar-holidays, other-holidays):
        New variables.
        (calendar-holidays): Use them to define the default value.


Wed Jul 29 00:56:29 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* comint.el (comint-mode-map): comint-previous-similar-input now M-r.
	(comint-previous-similar-input):
	Initialize comint-input-ring-index if nil.	
	(comint-previous-input-matching): Report ordinary error if fail.
	Initialize comint-input-ring-index if nil.	
	(comint-next-similar-input): New command, on M-s.
	(comint-previous-input): Always delete what was already given
	for the next input.  Initialize comint-input-ring-index if nil.
	(comint-send-input): Set comint-input-ring-index to nil.

	* field.el, cmushell.el: Files deleted.

	* co-isearch.el: File deleted; comint should have M-r and M-s
	like the minibuffer, instead.

Wed Jul 29 00:18:09 1992  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* diff.el: Everything but diff and diff-backup removed.
	(diff-regexp-alist): New defvar.
	(diff-parse-differences): New defun.
	(diff): Use compile-internal.
	Take optional arg SWITCHES; interactively, prompt if prefix arg.
	(diff-backup): Take same new arg.
	Make this autoload.

	* compile.el (compilation-parse-errors): No message when we stop
	at LIMIT-SEARCH.
	(compile-reinitialize-errors): Don't short-circuit if passed
	a non-nil LIMIT-SEARCH.
	(compilation-next-error): New; bound to M-n.
	(compilation-previous-error): New; bound to M-p.

Tue Jul 28 22:54:02 1992  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* compile.el (compilation-mode-map): Bind SPC, DEL, M-n, M-p.

Tue Jul 28 22:15:36 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* texinfo.el (texinfo-mode-map): Move M-} and M-{ to C-c prefix.

	* simple.el (delete-indentation): Delete fill prefix from after join.

Tue Jul 28 18:12:28 1992  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* map-ynp.el (map-y-or-n-p-help): Remove.
	(map-y-or-n-p): Take new arg ACTION-ALIST.
	Compute help string fully instead of using map-y-or-n-p-help.
	* files.el (save-some-buffers): Pass new arg to map-y-or-n-p, so
	`v' displays the buffer.  Change save-excursion to
	save-window-excursion; it was only there to restore the current
	buffer, and now display-buffer might change windows.

	* compile.el (compilation-parse-errors): Fix M-t-o on `found-desired'.
	(compilation-error-list): Doc fix.
	(compile-internal): Document to return the buffer.
	(next-error): Simplify code to set NEXT-ERRORS from
	compilation-error-list and ARGP.
	(compile-goto-error): Rewrote searching so it finds the error that
	point is in or after; the error need not start at bol.
	Restore current buffer after calling other-window.

Tue Jul 28 11:48:12 1992  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

        * holidays.el (calendar-holiday-function-sexp):
        New function.
        *calendar.el (calendar-holidays): Describe it and use it for daylight
        savings.

        * calendar.el, cal-mayan.el, cal-french.el: Change names of all
        calendar-goto-next- or calendar-goto-previous- commands to
        eliminate the word "goto".

        Change names of all cursor-to-***-calendar-date commands to
        calendar-print-***-date.

        * diary.el (sort-diary-entries): New function.

Tue Jul 28 01:24:36 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (backup-extract-version): Copied from Emacs 18.
	(find-backup-file-name): Use that.

	* dired-aux.el (dired-clean-directory): Moved here.
	(dired-map-dired-file-lines, dired-collect-file-versions): 
	(dired-trample-file-versions): Likewise.
	* dired.el: Moved from here.
	(dired-clean-directory): Auto load added.

	* add-log.el (add-change-log-entry): Chase symlinks.

Mon Jul 27 16:24:31 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* gud.el (gdb, dbx, sdb): Change C-c LETTER commands to C-c C-LETTER.

	* add-log.el (add-log-current-defun): Handle C macros.
	Handle the DEFUN macro used in Emacs C sources.	

Mon Jul 27 13:27:44 1992  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* compile.el (compilation-parse-errors): Take arg LIMIT-SEARCH;
	if non-nil stop parsing when we pass that location.
	(compilation-parse-errors-function): Document arg.
	(compile-reinitialize-errors): Take optional 2nd arg; pass to parser.
	(compile-goto-error): Pass (point) to compile-reinitialize-errors.

	* compile.el (compile-goto-error): Doc fix.

	* etags.el (find-tag): Fixed prompt.
	(tag-exact-match-p): Rewritten (again).

	* startup.el (command-line): Load site-start here.
	(normal-top-level): Not here.

	* etags.el: Remove M-? binding; move M-TAB binding to after defun.

Mon Jul 27 03:59:00 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* completion.el: Moved to external-lisp.

	* diff.el (diff-rcs, diff-sccs): Deleted.

Mon Jul 27 02:53:31 1992  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* tar-mode.el (tar-subfile-save-buffer): whoever changed
	current-time forgot to check for breakage.  Added code to print
	the seconds parts of a (current-time) value as 11 octal digits
	(yes, this is nontrivial).

Sun Jul 26 22:37:50 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el (next-history-element): Fix error messages.
	(previous-matching-history-element): Likewise.

	* help.el (describe-function): Don't give the file name
	in the case of an autoloaded function.

	* lisp-mode.el (emacs-lisp-mode-map, lisp-interaction-mode-map):
	Add M-TAB as lisp-complete-symbol.
	* loaddefs.el: Delete binding of M-TAB.
	* etags.el: Add binding of M-TAB.	

Sun Jul 26 22:14:02 1992  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* etags.el (tags-exact-match-p): Rewritten.
	(tags-with-syntax): New macro.

Sun Jul 26 19:20:33 1992  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

        * calendar.el (calendar-cursor-to-date): Change `current-day' to
        `starred-day'.
        (calendar-star-date): Create and set buffer local var `starred-day'.
        (calendar-mode): Don't create buffer local vars current-month,
        current-day, current-year.
        (regenerate-calendar-window, calendar-current-date): Don't set
        buffer local vars current-month, current-day, current-year.
        (calendar, redraw-calendar, scroll-calendar-left,
        calendar-other-month, calendar-goto-date, calendar-goto-hebrew-date,
        calendar-goto-julian-date, calendar-goto-islamic-date,
        calendar-goto-iso-date): Use `calendar-current-date' instead of
        buffer local vars current-month, current-day, current-year.

Sun Jul 26 15:26:20 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* diff.el (diff-backup): New function.
	(diff-last-backup-file): Renamed from dired-last-backup-file.	
	* dired-aux.el (dired-backup-diff): Use diff-backup.
	(dired-last-backup-file): Moved and renamed.
	* dired.el, dired-aux.el (dired-diff, dired-backup-diff): Doc fixes.

	* help.el (command-apropos): Fix call to apropos for new arg.
	
	* finder.el (finder-by-keyword): Rewrite to read args in `interactive'
	and use with-output-to-temp-buffer.

	* startup.el (normal-top-level): Load site-start if it exists.

	* add-log.el (add-log-current-defun): In C, when moving back over arg
	decls, stop at beg of buffer.
	(add-change-log-entry): Likewise for blank lines at end of buffer.

	* picture.el (picture-mode-old-major-mode): Declared.
	(picture-mode-old-mode-name, picture-mode-old-local-map): Likewise.
	(picture-mode-map): Don't use aset directly; use define-key.

	* saveconf.el: File deleted.

	* rmail.el (rmail-search): Accept repeat count.
	(rmail-search-backwards): New command, on M-r.

	* simple.el (previous-matching-history-element): New command.  On M-r.
	(next-matching-history-element): New command.  On M-s.

Fri Jul 24 00:16:32 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* c-mode.el (c-beginning-of-statement): If in string or comment,
	move by sentences.

	* compile.el (compile-history): New variable.
	(compile): Specify history list copile-history, with
	compile-command as initial contents.
	(grep): Specify constant "grep -n" as initial input,
	and history list grep-history.
	(grep-command): Variable deleted.

	* replace.el (query-replace-read-args): New function.
	It reads two args using query-replace-history.	
	(query-replace, query-replace-regexp, replace-string):
	(replace-regexp): Use query-replace-read-args.
	(map-query-replace-regexp): Read args using query-replace-history.
	(perform-replace): Add local binding for `char'.

	* dired.el: Don't check for version 18.
	(dired-file-version-alist): New defvar.
	Use this instead of file-version-assoc-list.	
	(dired-shrink-to-fit): Default is always t.
	(dired-internal-do-deletions): remove-directory => delete-directory.

	* abbrev.el (define-abbrevs): Bind name, hook, exp, count.

	* replace.el (perform-replace): Fix typo: match-after => match-again.
	(map-query-replace-regexp): Delete duplicate definition.

	* subr.el (defun-inline): Commented out.

	* comint.el (comint-input-ring*): Renamed from input-ring*.
	(ring-remove, ring-rotate): use setcar, not set-car.
	* co-isearch.el: input-ring* renamed to comint-input-ring*.

	* tex-mode.el: Don't require comint.
	* comint.el (make-comint): Make this autoload.

	* case-table.el (describe-buffer-case-table): Move the describe-vector
	inside the let.
		
	* c++-mode.el (indent-c++-exp): Fix typo "innerloop-done".
	Make last-depth local.

Thu Jul 23 22:53:46 1992  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* flow-ctrl.el: fixed set-input-mode call broken by new third
	  arg for meta control.  

Thu Jul 23 15:31:04 1992  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

        * calendar.el (cursor-to-islamic-calendar-date,
        cursor-to-hebrew-calendar-date): Add phrase "until sunset" to message.

        * calendar.el (calendar-goto-astro-day-number,
        calendar-print-astro-day-number): New functions.
        (calendar-mode): Put them on keys and describe them.
        * diary.el (diary-astro-day-number): New function.

        * diary.el (diary-julian-date): New function.

Thu Jul 23 13:17:24 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)
	
	* simple.el (current-kill): Ignore the interprogram paste feature;
	it is wedged.
	
	* paths.el (mh-lib, mh-prog): Add more alternatives.

Wed Jul 22 18:53:04 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)
	
	* emerge.el (emerge-startup-hook, emerge-quit-hook):
	Renamed from ...-hooks.
		
	* dired.el (dired-display-file): New command, on C-o.	
		
	* files.el (ctl-x-4-map): display-buffer is now C-x 4 C-o.
	
Wed Jul 22 17:16:56 1992  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* etags.el (visit-tags-table-buffer): Look for a tags table
	containing buffer-file-name's tags.

Wed Jul 22 17:04:14 1992  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* etags.el (last-tag): New defvar.
	(find-tag-noselect): Set and use it.

Wed Jul 22 16:54:20 1992  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* edebug.el, gnus.el, gnusmail.el, gnusmisc.el, gnuspost.el,
	hideif.el, isearch-mode.el, mh-e.el, mhspool.el, netunam.el,
	nnspool.el, nntp.el, scheme.el, xscheme.el: Removed RCS "$Header"
	and "$Log" files; K. Richard Pixley <rich@cygnus.com> says they
	cause trouble with patches.

Wed Jul 22 16:44:30 1992  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* etags.el (find-tag-noselect): Properly return
	find-tag-in-order's value.

Wed Jul 22 12:55:43 1992  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* bytecomp.el: Removed relative jump instructions.
	(byte-rel-goto-ops): Variable deleted.
	(byte-compile-lapcode): Code to recognize potential relative jumps
	and patch the PC into relative jumps removed.
	* byte-opt.el (disassemble-offset, byte-decompile-bytecode-1):
	Support for relative jumps removed.

Wed Jul 22 00:23:27 1992  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* Removed all Last-Modified headers.

Tue Jul 21 23:14:54 1992  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)
	
	* files.el (trim-versions-without-asking): Non-nil, non-t value
	suppresses all trimming of excess backups.  This is so we can make
	the @!%$@ question at save time go away....
	
Tue Jul 21 21:15:37 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el (kill-ring-save): Display only if interactive-p.

	* c-mode.el (c-backslash-region): New command.
	(c-append-backslash, c-delete-backslash): New functions.
	* c++-mode.el (c++-macroize-region, backslashify-current-line):
	Deleted.
	(c++-comment-region, c++-uncomment-region): Deleted.
	comment-region works just fine.	
	(c++-beginning-of-defun, c++-end-defun, c++-indent-defun): Deleted.
	(c++-point-bol): Renamed from point-bol.
	(c++-within-string-p): Renamed from within-string-p.
	(c++-count-char-in-string): Renamed from count-char-in-string.
	(fill-c++-comment): Renamed from fill-C-comment.
	(c++-insert-header): Deleted.

Tue Jul 21 19:29:21 1992  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* inf-lisp.el: When creating inferior-lisp-mode-map, use
	shared-lisp-mode-map, instead of calling the function
	lisp-mode-commands; that doesn't exist any more.
	(inferior-lisp-args-to-list): Recurse, rather than
	calling tea-args-to-list, which doesn't exist.
	(inferior-lisp-mode): Always call lisp-mode-variables with one
	argument; there's no longer any need to adapt to different
	versions of Emacs.

Tue Jul 21 14:22:35 1992  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

        * calendar.el (calendar-set-mode-line): New function.
        (list-yahrzeit-dates): Use it for mode line.
        * diary.el (simple-diary-display, fancy-diary-display): Use it for
        mode line.
        * diary.el (show-all-diary-entries): Use default mode line.
        * lunar.el (calendar-phases-of-moon): Use it for mode line.
        * holiday.el (list-calendar-holidays, calendar-cursor-holidays):
        Use it for mode line.

Tue Jul 21 13:57:56 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* dired.el (dired-remember-hidden): Fix typo in `following-char'.

	* add-log.el (add-change-log-entry): Avoid spurious whitespace
	when making new entry.  Delete excess blank lines.
	Really don't use "ChangeLog" as the file name in the entry.	
	Always put a space after the colon.	
	(add-log-current-defun): Verify the defun actually contains point.
	Handle the lines of a C function before the open brace.

	* rmail.el (rmail-undelete-previous-message): Don't catch errors.
	
	* simple.el (end-of-buffer): If buffer end is on screen, don't scroll.
		
	* c-mode.el (set-c-style): Deleted the first version of this function.
	It was badly written.
	Modified the remaining version by adding new argument GLOBAL
	and setting the parameters locally if GLOBAL is nil.
	
Tue Jul 21 03:38:22 1992  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* Turfed r2bibtex.el.  Refbib.el turns out to be a newer version
	of the same package.

	* Installed co-isearch.el, new gud.el (1.19)

Tue Jul 21 00:02:03 1992  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)
	
	* frame.el (get-frame): Renamed to get-other-frame; get-frame
	sounds like a parallel to get-buffer or get-process.

	* c-mode.el (set-c-style): Remove the extraneous copy of this
	function.
		
	* c++-mode.el (within-string-p): Use `%', not `mod', as the name
	of the modulus function.
		
	* frame.el (frame-height, frame-width): Fixed several confusions
	here.

	* blackbox.el: When building blackbox-mode-map, locally rebind all
	keys to which the movement commands are bound to blackbox's
	movement functions.  Define the insert and kp-enter keys.

Mon Jul 20 23:02:48 1992  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)
	
	* blackbox.el (blackbox): Doc fix.	
	(bb-outside-box): For some reason, this function was replaced by
	the comment ";; blackbox.el ends here"
	
	* dired.el (dired): Doc fix.	
	
Mon Jul 20 22:48:55 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)
	
	* sendmail.el (mail-send-and-exit): Just switch windows
	if the next window is in Rmail mode.
	
Mon Jul 20 18:30:25 1992  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* simple.el (set-variable): If VAR has a `variable-interactive'
	property, use it as an interactive spec to prompt for VAL.
	* etags.el (tags-file-name): Give it a variable-interactive property.

	* etags.el (tags-table-format-hooks): Remove ctags-recognize-tags-table
	* ctags.el: Removed.
	(visit-tags-table): Don't call abbreviate-file-name.
	(visit-tags-file): If find-file-noselect changed the file name,
	propagate the change to tags-file-name and tags-table-list.

	* startup.el (command-line): Fixed typo in comment.

Mon Jul 20 14:57:27 1992  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)
	
	* bytecomp.el (byte-compile-warnings): Include the full
	documentation given in the comments at the top of the file in this
	variable's docstring.
	
Sun Jul 19 01:05:22 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)
	
	* dired.el (dired-mark): Use prefix-numeric-value.
		
	* simple.el (kill-ring-save): Say "saved", not "killed", in messages.
	Let message do the formatting.
			
	* fill.el (fill-individual-paragraphs): If MAILP, skip indented headers
	and blank lines.
		
	* register.el (window-configuration-to-register): New function.	
	(frame-configuration-to-register): New function.
	* loaddefs.el: Put them on C-x r w, C-x r f.
	* window.el (window-config-to-register, register-to-window-config):
	Deleted, along with keybindings C-x 6 and C-x 7.
	
Sun Jul 19 00:24:35 1992  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

        * cal-mayan.el: New file.  The only functions visible to the
        outside world are calendar-goto-mayan-date,
        calendar-next-haab-date, calendar-previous-haab-date,
        calendar-next-tzolkin-date, calendar-previous-tzolkin-date,
        calendar-next-calendar-round-date,
        calendar-previous-calendar-round-date,
        diary-mayan-date, and cursor-to-mayan-calendar-date.
        * diary.el: Autoload diary-mayan-date.
        * calendar.el: Autoload the 7 "goto" functions.
        (calendar-mode-map): Put them on keys.
        (calendar-mode): Describe them.

        * cal-french.el (french-calendar-month-name-array): Add accents to
        month names.
        (cursor-to-french-calendar-date): Add accents.

        * cal-french.el (calendar-goto-french-date): New function.
        * calendar.el: Autoload it.
        (calendar-mode-map): Put it on a key.
        (calendar-mode): Describe it.

        * cal-french.el (diary-french-date): Moved from diary.el and fixed
        accent.
        * diary.el: Move dairy-french-date to cal-french.el and autoload it.

        * diary-insert.el: Move all diary inserting commands from diary.el
        * diary.el: Move all diary inserting commands to diary-insert.el
        * calendar.el: Change autoloads for all diary inserting commands
        from diary.el to diary-insert.el.

        * calendar.el: Put ";;;###autoload" before calendar function and
        before list-yahrzeit-dates function.
        * holiday.el: Put ";;;###autoload" before holiday function.
        * diary.el: Put ";;;###autoload" before diary function.

        * cal-french.el: New file. All French Revolutionary calendar
        code from calendar.el has been moved here.

        * calendar.el: All French Revolutionary calendar code moved to a
        new file, cal-french.el.  Autoload cursor-to-french-calendar-date.

        * diary.el (list-sexp-diary-entries): Add mention of
        diary-sunrise-sunset, diary-lunar-phase, and diary-sabbath-candles
        to doc string.

        * calendar.el (list-yahrzeit-dates): Prompt for date of death if
        not called from the calendar window.  This function should now be
        known to the outside world.

        * calendar.el (diary-file): Add mention of diary-sunrise-sunset,
        diary-lunar-phase, and diary-sabbath-candles to doc string.

Sat Jul 18 20:13:20 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)
	
	* bytecomp.el (compile-defun): Use displaying-byte-compile-warnings.
	(byte-compile-warn): Don't display the warning now, just log it.

	* files.el (auto-mode-alist): Recognize .texi.
		
	* rmail.el (rmail-delete-forward): Removed the feature
	of moving back if there's nowhere to go forward.	
	
Fri Jul 17 17:32:29 1992  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

